5.3.0.0 (2010/12/01)
	[jfreechart 見直し]
	jfreechartで、表示に利用する DatasetとRenderer、Plot の定義データを見直しました。
	これに伴い、インスタンス作成箇所を修正します。
	また、サンプル画面に、新しく使えるようになったグラフの追加と、機能的に不備なデータの
	削除を行いました。
		hayabusa\io\ChartFactory#newDataset( final Connection conn,final String query,final String type )
		hayabusa\io\ChartFactory#newDataset( final DBTableModel table , final String type )
		hayabusa\io\ChartFactory#newChartPlot( final String type )
		hayabusa\io\ChartFactory$TypeRenderer
		hayabusa\io\ChartPlot_Pie#getPlot( final ChartCreate create )

	サンプル画面も修正しておきます。
		gf\jsp\GF6110

	[左右分割スクロールのタグ化]
	左右分割処理で、今までは、Viewタグを２つに分けてDIV要素で直接指示して左右分割を
	実現していましたが、これを簡素化できるように、タグを追加します。
	タグ内部で、設定を変えつつ、Viewを２回呼び出しています。
		hayabusa\html\AbstractViewForm#setNumberType( final String type )
		hayabusa\taglib\SplitViewTag.java(48):  * @og.rev 5.3.0.0 (2010/12/01) 新規作成
		hayabusa\taglib\ViewFormTag#doStartTag()
		hayabusa\taglib\ViewFormTag#splitViewParamSet()

	TLDファイルに追加します。
		gf/src/META-INF/hybs-taglib.tld
		gf/WEB-INF/hybs-taglib.tld

	サンプル画面も修正しておきます。
		gf\jsp\GF6130

	[軽微な修正、警告対応]
	メソッドの引数で使われていない物を削除しました。
		hayabusa\taglib\DirectWriteTableTag#executeCall( final Connection conn,final CallableStatement callStmt,final String[] args )

	若干、コメント修正
		hayabusa\taglib\CommonTagSupport#doEndTag()

	[web.xml修正]
	gf の WEB-INF/web.xml が、version="2.5" の場合は、taglib 定義を、
	jsp-config で括る必要があるにもかかわらず、括っていなかった。
	正式な形式に修正します。
	ge の web.xml は、version="2.4" であり、gf と整合性が取れていないため、
	version="2.5" に変更するとともに、taglib 定義の箇所を修正します。
		ge/WEB-INF/web.xml		tld宣言がコメントされていますが、修正しておきます。
		gf/WEB-INF/web.xml

	hayabusa/servlet/TestCometServlet.javaを一旦削除します。
	これは、Cometのサンプルですが、Tomcat7 以降、CometEvent、CometProcessor の
	パッケージが、異なります。よって、このまま、Tomcat6 と Tomcat7 との互換性を
	取ることが難しいため、一旦削除し、Tomcat7 を標準とするバージョンで
	必要であれば復活させます。
		org.apache.catalina.CometEvent     ⇒ org.apache.catalina.comet.CometEvent
		org.apache.catalina.CometProcessor ⇒ org.apache.catalina.comet.CometProcessor
	（Comet自体がそもそも苦し紛れの仕様なので、今後どうするかは未定です。）
		hayabusa/servlet/TestCometServlet.java		削除

	これに伴い、web.xml に記述してあるサーブレットの設定サンプルも削除します。
		ge/WEB-INF/web.xml
		gf/WEB-INF/web.xml

	[headタグ・バグ修正]
	linkタグの終了がscriptで終了しているバグを修正します。
		org.opengion.hayabusa.taglib.HeadTag.addStyleTag(String, StringBuilder)

	[topMenuタグ・改善]
	menuType="NEXTGUI"の場合でも、マルチセッションチェックを行わないようにします。
		org.opengion.hayabusa.taglib.TopMenuTag.doEndTag()

	[ヘッダー固定改善]
	左右分割時のヘッダー固定で、表示データをCtrl+Aで選択後、Excel等で貼り付けると左右で行がずれる問題に対応します。
		jsp/common/scrollBar2.js

	[リソース登録画面バグ修正]
	リソース登録画面で以下のバグを修正します。
	①キー差分で差分データに対して"変更"処理を行った場合に、接続先(From)のUNIQ番号で接続先(To)のデータが
	  更新されてしまうバグを修正(キー差分では「複写」ボタンのみ、属性差分では「変更」ボタンのみを表示するように変更)
	②リソース登録画面で、変更時にシステムIDを変更して登録すると、変更後のシステムIDでデータが「追加」される
	  のではなく、変更前のシステムIDのデータが「変更」されてしまうバグを修正
	③カラム、ラベル、コードの各画面で、システムID='**'のラベルが適用されているデータに対して、追加、変更を行うと、
	  システムID='**'のデータが変更されてしまうバグを修正
		ge/jsp/GE0002
		ge/jsp/GE0003
		ge/jsp/GE0004
		ge/jsp/GE0005

	[DB定義追加]
	①ユーザーアクセス画面管理テーブル(GEA09) の次画面リストカラム追加
	ALTER TABLE GEA09 ADD ( NEXTGUI VARCHAR2(1000)) ;
		ge\changes\changes.txt
		ge\changes\5300\alter(GE).txt

	[jfreechartの改造]
	jfreechart のグラフ表示用タグ ChartDatasetTag で、DBTableModel の値を
	利用して、表示する機能を追加します。
	 * useTableData="false"(初期値)の場合は、BODY部に書かれた SQL 文を実行してデータを取得します。
	 * useTableData="true" にすると、その前の query タグ等で作成した DBTableModel を利用して
	 * グラフ化します。その場合は、BODY部の SQL 文は、無視されます。
	 * 利用する DBTableModel は、tableId と scope 属性から取得します。
	useTableData , tableId , scope 属性を追加します。
		hayabusa.taglib.ChartDatasetTag#doStartTag() {
		hayabusa.taglib.ChartDatasetTag#doAfterBody() {
		hayabusa.taglib.ChartDatasetTag#doEndTag() {
		hayabusa.taglib.ChartDatasetTag#release2() {
		hayabusa.taglib.ChartDatasetTag#setUseTableData( final String flag ) {		新規追加
		hayabusa.taglib.ChartDatasetTag#setTableId( final String tableId ) {		新規追加
		hayabusa.io.ChartDataset#makeDataset( final DBTableModel table ) {			新規追加
		hayabusa.io.ChartFactory#newDataset( final Connection conn,final String query,final String type )
		hayabusa.io.ChartFactory#newDataset( final DBTableModel table , final String type ) {			新規追加
		hayabusa.io.ChartFactory#newChartPlot( final String type ) {

	これに伴い、TLDを変更します。
		gf/src/META-INF/hybs-taglib.tld
		gf/WEB-INF/hybs-taglib.tld	

	サンプル画面も修正します。
		gf/jsp/GF6110
		gf/jsp/GF6120

	[daemon処理の強化]
	帳票デーモンで、不審な停止が起こったが、原因が不明であった。
	暫定処置ではあるが、デーモン処理を見直すことで、発生頻度を低下します。
	現在、Throwable で catch しているが、その内容として、
		１．LogWriter
		２．insertErrorGE56
		３．updateGE50
		４．vals == null の HybsSystemException
		５．USE_LISTID.remove
		６．rc の 初期化(= nullセット)
	の順番で、処理をしているが、エラー発生の確率の少ない５番を、
	先に持ってきます。
	また、今回は、LogWriter による書き込みもありませんでしたが、
	標準出力へも書き込んで置くようにします。
		plugin.daemon.Daemon_Report#startDaemon() {
		plugin.daemon.Daemon_MailReceive.HybsTimerTask#startDaemon() {

	[使われていない変数の削除]
	メソッドの引数で使用されていない引数を削除します。
		hayabusa.taglib.DirectWriteTableTag#create( final PrintWriter out )  {
		hayabusa.taglib.DirectWriteTableTag#ResultSet executeCall( final Connection conn,final CallableStatement callStmt,final String[] args ) throws SQLException {

5.2.3.0 (2010/12/01)
	[URLHashFilter 追加 ※試作中]
	URLHashFilter で、レベル対応を実装します。
	これとともに、ハッシュ化と暗号化の両方をサポートします。
		fukurou.security.URLHashMap.java
		hayabusa.filter.URLHashFilter.java
		hayabusa.common.SystemData#URL_ACCESS_SECURITY_LEVEL = "0" ;

	 *   レベル０：なにも制限はありません。
	 *   レベル１：Referer チェックを行います。つまり、URLを直接入力しても動作しません。
	 *             ただし、Refererが付いてさえいれば、アクセス許可を与えます。
	 *             Referer 無しの場合でも、URLにパラメータが存在しない、または、
	 *             アドレスがハッシュ化/暗号化されている場合は、アクセスを許可します。
	 *             レベル１の場合、ハッシュ戻し/複合化処理は行います。あくまで、ハッシュ化
	 *             暗号化されていない場合でも、Refererさえあれば、許可するということです。
	 *             (パラメータなし or ハッシュあり or Refererあり の場合、許可)
	 *   レベル２：フィルター処理としては、レベル１と同じです。
	 *             異なるのは、URLのハッシュ化/暗号化処理を、外部URLに対してのみ行います。
	 *             (パラメータなし or ハッシュあり or Refererあり の場合、許可)
	 *   レベル３：URLのパラメータがハッシュ化/暗号化されている必要があります。
	 *             レベル１同様、URLにパラメータが存在しない場合は、アクセスを許可します。
	 *             レベル１と異なるのは、パラメータは必ずハッシュ化か、暗号化されている
	 *             必要があるということです。(内部/外部問わず)
	 *             (パラメータなし or ハッシュあり の場合、許可)
	 *   それ以外：アクセスを停止します。

	[画面アクセス履歴管理 ※試作中]
	（※ 正式には、GEA09 テーブルに項目追加が必要な為、Ver.5.3.0.0 でリリースします。）
	画面アクセスの履歴(順番)を管理する機能を追加します。
	この機能により、ある画面から次の画面に遷移する場合の統計情報が
	取得できます。
	これは、QUERY画面上部のショートカットリンクに、次に使用する画面の
	リンクを用意することで、出来るだけ画面を広く使える様になります。
	(query_info.jsp の topMenu タグのmenuType を ONELEVEL から NEXTGUI に変更)
		hayabusa.resource.GUIInfo#setNextGuiKey( final String guiKey ) {
		hayabusa.resource.GUIInfo#getNextGuiKeys() {
		hayabusa.taglib.HeadTag#doStartTag()
		hayabusa.resource.UserInfo#setAccessGui( final GUIInfo guiInfo )
		hayabusa.resource.UserInfo#saveGUIAccessInfo()
		hayabusa.resource.UserAccessTable#updateLastAccessTime(
			 final String systemId,final String userId,final String guiKey,final String lastAccessTime,final String nextGuiKeys )
		hayabusa.taglib.TopMenuTag#makeNextguiMenu()		menuType に NEXTGUI 属性を追加
		gf\jsp\custom\query_info.jsp		topMenu タグのmenuType を ONELEVEL から NEXTGUI に変更

	[テーブル罫線対応]
	テーブルに罫線を表示できるように機能追加します。
	なお、現時点では、IE ではうまく表示できないため、使えません。
	(Firefox ではうまく表示されます。)
		hayabusa.common.SystemData#HTML_TABLE_PARAM
		plugin.view.ViewForm_HTMLTable#getTableTag() {
		gf\src\script\common\scrollBar2.js
			ヘッダーに属性をコピーする際に、"bordercolor", "frame", "rules" を追加

	[マルチメニュー対応]
	マルチメニューで、２種類存在する方式のそれぞれの問題箇所を修正します。
	・MATRIX（大分類付きマルチメニュー）で、sideCount の機能を追加
	・sideCount の初期値を、１ から 無制限 に変更
	・matrixMenu.jsp の CSS 指定部を、共通、MATRIX用、MATRIX2用に整理
	・標準サンプルの設定値変更(sideCount = "6")
		gf\jsp\menu\matrixMenu.jsp
		hayabusa.taglib.TopMenuTag#release2()
		hayabusa.taglib.TopMenuTag#makeMatrixMenu() {

	[カラムのリソースの初期値利用]
	カラムでリソースファイルの初期値を使うかどうかを指定。
	カラムの値や初期値がセットされていないときに、カラムリソースの
	初期値を利用するかどうかを、true/false で指定します。
	true の場合は、初期値を使用します。
	過去との互換性の関係で、この属性は、false に設定されています。
		hayabusa.taglib.ColumnTag#release2() {
		hayabusa.taglib.ColumnTag#setUseDefaultPropertieVal( final String dv ) {
		hayabusa.common.SystemData#USE_DEFAULT_PROPERTIE_VALUE = "false" ;

	[switch タグ、case タグ作成]
	switch タグとcase タグを新規に追加します。
	これは、equals タグで、ごちゃごちゃ書かれている箇所を、スムーズに書くためのタグです。
	基本的には、JSP にロジックを持ち込みたくないので、多用しないでください。
		hayabusa.taglib.SwitchTag.java
		hayabusa.taglib.CaseTag.java

	これに伴い、TLDを変更します。
		gf/src/META-INF/hybs-taglib.tld
		gf/WEB-INF/hybs-taglib.tld	

	[bulkSet チェックボックス、ラジオボタン対応]
	カンマ文字列対応とチェックボックス対応を行います。
	カンマ文字列対応とは、一括入力欄に対して、カンマ区切りの文字列を入力した場合に
	変換する仕様とします。
	また、コピー＆ペーストした結果を、クリップボード経由で取得、設定する場合は、
	カンマを改行文字に置き換えて処理します。
	また、EXCEL等で、縦でなく横の文字列は、タブ区切り文字になりますので、
	その場合も、タブをカンマに置き換えて、一括設定できるようにします。
	・テキストは、カンマ区切り文字で分割して設定します。
	・プルダウンは、Ctrl-V/Ctrl-V というオプションを新規作成し、値をセットします。
	・プルダウンは、値：ラベル文字列で抜き出し、設定時は、":"で分割した値のみ設定します。
	・チェックボックスは、1,0 の値を取得します。"1" の場合にチェックをONします。
	・ラジオボタンは、設定部は、プルダウン(MENU)に変更して簡素化します。
		gf\src\script\common\resultScript.js#bulkSet( obj )
		gf\src\script\common\resultScript.js#bulkPaste( obj )
		gf\src\script\common\resultScript.js#ctrlCV( obj )

	チェックボックスでは、onChange ではなく、onClick でイベントを発生させます。
	また、ラジオボタンは、制御が特殊なので、プルダウン(MENU)に変換して使用します。
		hayabusa.html.AbstractViewForm#getSortedColumnLabel( final int column )

5.2.2.0 (2010/11/01)
	[リソースVer3,Ver5共有]
	以下の対応で、表示パラメーター、編集パラメーター、文字パラメーターに"_"が設定されている場合に
	nullとして処理されない問題に対応します。
	--------------------------------------------------------------------------------------------
		[リソースVer3,Ver5共有]
		リソースの "_" の取り扱いを修正します。
		Ver3時代は、"_" は、ゼロ文字列として処理するケースと、null と
		同等と判断するケースがありました。
		Ver3とVer5でリソース共有する場合、コードリソース以外では不都合が発生します。
		そこで、StringUtil#nval2 のメソッドを変更して互換性を保つようにします。
		具体的には、現状、"_" を ゼロ文字列に変換している箇所を、null と判断するように
		変更します。それとともに、第３の引数を用意して、"_" をゼロ文字列と判断する場合の
		ロジックを追加します。
			fukurou.util.StringUtil#nval2( final String in,final String def ) {
			fukurou.util.StringUtil#nval2( final String in,final String def,final String def2 ) {
			hayabusa.resource.CodeData#CodeData( final String clm, final Map<String,String[]> data) {
	--------------------------------------------------------------------------------------------
		org.opengion.hayabusa.resource.ColumnData.ColumnData(String[])

	[ドキュメント管理モジュール・DB定義/設定変更]
	ドキュメント管理モジュールの実装に伴い、DB定義及びweb.xmlの設定変更を行います。
	(実装は次回リリース 5.2.3.0 (2010/12/01) になる予定です)
		GE38				SYKEY	削除
		GE39				SYKEY	削除
		GE39				SRCHKEY1～10 追加
		GE39S02				追加
		WEB-INF/web.xml		[ContextRoot]/filemg以下を公開できるように設定変更

	[Calc帳票システム・バグ修正]
	Calc帳票でセルの定義として、関数を使用せずに他のセルを直接参照した場合に正しく処理されない
	バグを修正します。
		org.opengion.hayabusa.report2.TagParser.doParse(String, String, String, boolean)

	[Calc帳票システム・条件付書式対応]
	Calc帳票で雛形に設定した条件付書式が正しく動作するように対応します。
		org.opengion.hayabusa.report2.OdsContentParser

	[default.css修正]
	DBType="KCL"(全角+改行C)がdefault.cssに定義されていなかったため、修正します。
		jsp/common/default.css

	[Renderer_NUMBER 修正]
	オブジェクトのキャッシュの箇所で、初期値、小数点数の組み合わせが、
	足りないため、おかしな組み合わせになっていた箇所を修正します。
	現象的には、小数点で、少数桁数が０でない場合、初期値が '0' になりますが
	初期値が ゼロ文字列の場合は、ゼロ文字列にします。
		plugin.column.Renderer_NUMBER#newInstance( final DBColumn clm )

	[DBColumn#valueCheckの見直し]
	あいまい検索時など、通常の valueCheck と データ登録時の valueCheck は
	精度が異なります。（あいまい検索では、桁数の少ないチェックは不要など）
	そこで、検索時のチェック(makeErrorMessage) と、登録時(makeEntryErrorMessage)
	で、valueCheck を方法を分けます。
	具体的には、引数に、厳密フラグ(=true)を用意して、対応します。
	初期値は、互換性の考慮と、チェックを甘くする方を指定するという意味で、
	true にしておきます。

	ColumnCheckTag で、厳密なチェックを行うかどうかを指定できるように属性追加(useStrict)
		hayabusa.taglib.ColumnCheckTag#setUseStrict( final String flg )
	これに伴い、TLDを変更します。
		gf/src/META-INF/hybs-taglib.tld
		gf/WEB-INF/hybs-taglib.tld	

	ColumnCheckTag の makeErrorMessage 側のvalueCheck だけ、isStrictフラグを false で呼び出す。
		hayabusa.taglib.ColumnCheckTag#makeErrorMessage( final ErrorMessage errMsg )
		hayabusa.db.DBColumn#valueCheck( final String value ) {
		hayabusa.db.DBColumn#valueCheck( final String value , final boolean isStrict ) {
		hayabusa.db.DBType#valueCheck( String key ,String value ,int sizeX ,int sizeY,String typeParam , boolean isStrict ) ;
		hayabusa.db.AbstractDBType#valueCheck( final String key ,final String value ,
											final int sizeX ,final int sizeY ,final String typeParam ) {

	引数に、isStrictフラグを追加。内部ロジックは、変更なし。
		plugin.column.DBType_ALL#valueCheck( final String key ,final String value ,
		plugin.column.DBType_K#valueCheck( final String key ,final String value ,
		plugin.column.DBType_KCL#valueCheck( final String key ,final String value ,
		plugin.column.DBType_OASNM#valueCheck( final String key ,final String value ,
		plugin.column.DBType_R#valueCheck( final String key ,final String value ,
		plugin.column.DBType_S9#valueCheck( final String key ,final String value ,
		plugin.column.DBType_X9#valueCheck( final String key ,final String value ,
		plugin.column.DBType_XH#valueCheck( final String key ,final String value ,
		plugin.column.DBType_XHU#valueCheck( final String key ,final String value ,
		plugin.column.DBType_XK#valueCheck( final String key ,final String value ,
		plugin.column.DBType_XKZ#valueCheck( final String key ,final String value ,
		plugin.column.DBType_XL#valueCheck( final String key ,final String value ,
		plugin.column.DBType_XLU9#valueCheck( final String key ,final String value ,
		plugin.column.DBType_XU#valueCheck( final String key ,final String value ,
		plugin.column.DBType_XU9#valueCheck( final String key ,final String value ,

	引数に、isStrictフラグを追加。isStrict=true の場合は従来どおり文字数の同数チェック。
	falseの場合は、最大を超えていないかだけチェック。
		plugin.column.DBType_DATE#valueCheck( final String key ,final String value ,
		plugin.column.DBType_YM01#valueCheck( final String key ,final String value ,
		plugin.column.DBType_YM31#valueCheck( final String key ,final String value ,
		plugin.column.DBType_YMD#valueCheck( final String key ,final String value ,

	[popup のheight、width の px 修正]
	5.2.1.0 (2010/10/01) で対応した、popup のheight、width の px 修正の件で、
	height、width が null の場合、前後に シングルクオートを出したために、'null'
	文字列が出力されてしまい、JavaScript側で値設定が漏れ、最小の大きさのダイアログに
	なってしまった。
	文字列の null の場合の対応を入れます。
		hayabusa.taglib.PopupTag#makePopup( final boolean useKey )

	[URLHashFilter 追加 ※試作中]
	jspへのアクセスに関する制限を行うフィルターです。
	このフィルターを利用するには、web.xml の設定が必要です。
	また、実際に機能させるには、システムリソースの URL_ACCESS_SECURITY_LEVEL 
	パラメータで、レベルを指定します。
	現時点ではポップアップなどの考慮もされていないため、使用できません。
		hayabusa.common.HybsSystem#URL_HASH_REQ_KEY = "h_r";
		hayabusa.common.SystemData#URL_ACCESS_SECURITY_LEVEL = "0" ;

	web.xml のサンプルとして、コメントですが、追記しておきます。
		gf/WEB-INF/web.xml

	これに伴い、MD5 処理のロジックを、fukurou.util.StringUtil から、
	fukurou.security.HybsCryptography へ移動させます。
		fukurou.util.StringUtil#getMD5( final String input )	廃止
		fukurou.security.HybsCryptography#getMD5( final String input )	こちらへ移動
		fukurou.process.Process_StringUtil$SU_getMD5 extends StrAction {	内部クラスの修正
		fukurou.process.Process_StringUtil$SU_encrypt extends StrAction {	内部クラスの修正
		fukurou.process.Process_StringUtil$SU_decrypt extends StrAction {	内部クラスの修正
		hayabusa.resource.URLXfer#getRandomURL( final String redirectURL,final String name,final String validDate,final String userid ) {
		plugin.column.DBType_MD5#valueSet( final String value ) {

	URLのハッシュ化で、fukurou.security に URLHashMap.java を新規作成します。
		fukurou.security.URLHashMap.java			新規作成

	[クラス循環参照の解消]
	パッケージ間で、優先順位を決めており、上位から下位を参照しないように
	していますが、上位から下位を参照しているクラスが有りますので修正します。
		fukurouパッケージ内での依存関係
			model 、 security			依存なし
			util						security に依存
			xml 、mail、taglet			util に依存
			db							util、xml に依存
			business					util、db、model に依存
			process						util、xml、db、model、mail に依存

		hayabusaパッケージ内での依存関係(fukurouは、上位パッケージとして依存している)
			common、develop				依存なし
			filter						common
			remote						resource
			db							common、resource		※ resource と循環参照
			resource					common、db				※ db と循環参照
			html、io、mail、report		common、db、resource
			report2						common、db、resource、report
			servlet						common、remote、servlet.multipart
			taglib						common、db、develop、html、io、mail、report、report2、resource、servlet

		pluginパッケージ内での依存関係(fukurou、hayabusaは、上位パッケージとして依存している)
			pluginパッケージ内での依存なし

	LogWriter の使用を止めて、System.out.println で代用する。(サンプルプログラムなので)
		fukurou.security.HybsCryptography.java(18)	import org.opengion.fukurou.util.LogWriter;

	ProcessFactory 側で、Cleanable インターフェースを実装する。
		hayabusa.common.SystemManager#sofficeKill()			削除
		hayabusa.report2#ProcessFactory
		hayabusa.common.HybsContextListener#contextDestroyed( final ServletContextEvent event )

	[クラス移動]
	クラスのパッケージ間移動を行います。よって、元のクラスファイルは、削除されます。
		org.opengion.hayabusa.html.StringFormat		 ⇒ fukurou.util.StringFormat
		org.opengion.hayabusa.db.DBSimpleTable		 ⇒ fukurou.db.DBSimpleTable

	パッケージ移動(hayabusa.html.StringFormat ⇒ fukurou.util.StringFormat)
		org.opengion.hayabusa.html.StringFormat		 ⇒ fukurou.util.StringFormat
		hayabusa.db.DBEventColumn.java(19)	import org.opengion.hayabusa.html.StringFormat;
		plugin.column.Editor_DBMENU.java(25): import org.opengion.hayabusa.html.StringFormat;
		plugin.column.Editor_DBRADIO.java(28): import org.opengion.hayabusa.html.StringFormat;
		plugin.column.Editor_INDBMENU.java(25): import org.opengion.hayabusa.html.StringFormat;
		plugin.column.Editor_QUERY.java(22): import org.opengion.hayabusa.html.StringFormat;
		plugin.column.Renderer_DBMENU.java(26): import org.opengion.hayabusa.html.StringFormat;
		plugin.column.Renderer_FORM.java(21): import org.opengion.hayabusa.html.StringFormat;
		plugin.column.Renderer_MULTIQUERY.java(24): import org.opengion.hayabusa.html.StringFormat;
		plugin.column.Renderer_QUERY.java(22): import org.opengion.hayabusa.html.StringFormat;

	パッケージ移動(hayabusa.db.DBSimpleTable ⇒ fukurou.db.DBSimpleTable)
		org.opengion.hayabusa.db.DBSimpleTable		 ⇒ fukurou.db.DBSimpleTable
			HybsSystemException  ⇒ RuntimeException
			HybsSystem.CR		 ⇒ CR
		fukurou.db.DBSimpleTable.java(50): public class DBSimpleTable {
		fukurou.db.DBSimpleTable.java(77): 	public DBSimpleTable( final String[] nm ) {
		hayabusa.common.SystemManager.java(35):  import org.opengion.hayabusa.db.DBSimpleTable;
		hayabusa.resource.UserInfo.java(34): import org.opengion.hayabusa.db.DBSimpleTable;

	[JavaScript圧縮]
	JavaScript圧縮のソースで、圧縮後、改行コードのあるなしで、
	差分が発生していたのを、オリジナル（改行コードなし）に
	統一します。
		ge/jsp/common/
		gf/jsp/common/
		gf/jsp/menu/

	[Process_TableReader]
	バッチ系ファイル読取で、#NAME が存在しない場合の対応として、
	columns 属性を対応します。
	同時に、行番号部分を読み飛ばすかどうかを指定する、useNumber 属性も
	追加します。
		fukurou.process.Process_TableReader#init( final ParamProcess paramProcess )
		fukurou.process.Process_TableReader#usage()

	[JavaDoc 修正]
	ant 実行時の spec で警告の出た分の対応
	これは、ソースコメントの記述不足の警告です。
	ソースは、徐々にメンテナンスしていきますが、簡易的にコメントを埋めます。
	修正ソースの一覧は、5.2.2.0_refactoring.txt として、別途残します。

	[ファイル入力時の改行処理]
	""で囲われているデータに改行が入っていた場合の対応として、ダブルクオートの
	数が、奇数の場合は、継続して次の行を読み取るように修正します。
		fukurou.process.Process_TableReader#next()
		hayabusa.taglib.DirectTableInsertTag#create( final BufferedReader reader )

	[ファイル出力時の改行処理]
	ファイル出力時には、読取時のルールに適合するように出力します。
	１．改行を含む場合は、ダブルクオートを強制的に前後に追加する。
	２．ダブルクオートを含む場合は、その直前にダブルクオートを強制的に追加する。
		fukurou.process.Process_TableWriter#writeData( final LineModel data )
		hayabusa.taglib.DirectWriteTableTag#create( final PrintWriter out )
		hayabusa.io.AbstractTableWriter#quotation2( final String data )
		plugin.io.TableWriter_Data#writeData( final DBTableModel table,final PrintWriter writer ) {
		plugin.io.TableWriter_Default#writeData( final DBTableModel table,final PrintWriter writer ) {

	[クロス集計機能改善]
	String 各列情報のclass属性に、カラム名などを付与するかどうかを指定する属性 useClassAdd を
	追加します。
	class属性は、その列のオリジナルの属性名と、ラベル名の文字列を設定します。
	例えば、集計行の計カラムが複数ある場合は、それぞれに色を指定して、ゼブラ模様を
	設定できます。また、ラベル(表示ヘッダー)も設定されるので、特別な列のみ指定することも
	可能になります。

	※ 特殊対応：cssなどで指定できるIDやCLASS属性は、先頭文字が数字の場合は、
	無効になります。（つまり、効きません。）
	表示ヘッダーは、年月や、社員番号(数字）などのケースもあります。そこで、先頭が数字の
	場合は、"x"(小文字のx)を自動的に頭に追加します。この処理は、ViewForm_HTMLCrossTable
	で行います。
		hayabusa.html.ViewCrossTableParam#ViewCrossTableParam.java
		hayabusa.taglib.ViewCrossParamTag#setUseClassAdd( final String useClassAdd )
		plugin.view.ViewForm_HTMLCrossTable#
		plugin.view.ViewForm_HTMLCrossTable#clear() {
		plugin.view.ViewForm_HTMLCrossTable#create( final int startNo, final int pageSize )  {
		plugin.view.ViewForm_HTMLCrossTable#paramInit( final DBTableModel table ) {
		plugin.view.ViewForm_HTMLCrossTable#makeCrossTable( final DBTableModel table ) {
		gf\jsp\GF6070

	className が、BIT の場合のみ、getColumnDbType(String) の戻り値に、dbType の値＋
	"BIT"  を付与して、センター表示させていましたが、逆に、VARCHAR2 と NUMBER 以外は
	出力するように変更します。
	これは、columnEditor 等で、className を外部から指定することで、class 属性に新しい値を
	設定できるようにします。
		hayabusa.html.AbstractViewForm#getColumnDbType( final int column )

	[andタグ 機能追加]
	multi="true" 時に、引数がマルチリクエストでなくても、separeta 属性を
	指定すると、その分も分割する機能を追加します。
	これは、AA,BB,CC という単独のリクエスト(XX)に対して、
		<og:and value = "XX in ( {@XX} )" multi="true" separator="," />
	という指定により、XX in ( 'AA','BB','CC' ) という文字列を生成します。
	サンプル画面として、gf\jsp\GF7070 を復活します。
	(【タグリブテスト】　Valueタグ GF7070)
		hayabusa.taglib.SqlAndTag#release2()
		hayabusa.taglib.SqlAndTag#makeCSVvalue( final String[] array ) {
		hayabusa.taglib.SqlAndTag#setSeparator( final String sepa ) {
		gf\jsp\GF7070		復活

	[valueタグ 機能追加]
	valueタグに、新しいアクションを追加します。
		REPLACE	文字列置換	value の値から、指定された正規表現(from)の部分文字列を、部分文字列(to)で置換します。
		SUBSTR	部分文字列	value の値から、指定された(from)から(to)の部分文字列を作成します。
		SPLIT	文字列分割	value の値から、指定されたseparatorで分割した文字列を作成します。(key+0～連番)
	これに伴い、fromVal、toVal 属性を追加します。
		hayabusa.taglib.ValueTag#doStartTag()
		hayabusa.taglib.ValueTag#release2()
		hayabusa.taglib.ValueTag#actionExec( final String action,final String value )
		hayabusa.taglib.ValueTag#setAttribute( final String key,final String value,final String action )
		hayabusa.taglib.ValueTag#setFromVal( final String from )
		hayabusa.taglib.ValueTag#setToVal( final String to )

	これに伴い、TLDを変更します。
		gf/src/META-INF/hybs-taglib.tld
		gf/WEB-INF/hybs-taglib.tld	

	[caseKey 、caseVal 属性対応]
	タグ自体を利用するかどうかの条件判定を指定できる、caseKey 、caseVal 属性を対応します。
	これは、(caseKey == null) || (caseVal == null) || caseKey.matches( caseVal ) の
	結果を元に、そのタグが実行するのかしないのかを判定します。
	セッターゲッターは、共通の CommonTagSupport に用意しますので、各プログラムに関しては、
	実装を入れるとともに、tld ファイルにcaseKey 、caseVal 属性を定義します。
		hayabusa.taglib.ButtonTag.java
		hayabusa.taglib.ColumnEditorTag.java
		hayabusa.taglib.ColumnTag.java
		hayabusa.taglib.CommonTagSupport.java	tldなし
		hayabusa.taglib.HTMLTagSupport.java		tldなし
		hayabusa.taglib.HiddenTag.java
		hayabusa.taglib.InputTag.java
		hayabusa.taglib.LinkTag.java
		hayabusa.taglib.MessageTag.java
		hayabusa.taglib.OptionTag.java
		hayabusa.taglib.OrderByTag.java
		hayabusa.taglib.PopupTag.java
		hayabusa.taglib.QueryOptionTag.java
		hayabusa.taglib.QueryTag.java
		hayabusa.taglib.SelectTag.java
		hayabusa.taglib.SqlAndTag.java
		hayabusa.taglib.SubmitTag.java
		hayabusa.taglib.TableMergeTag.java
		hayabusa.taglib.TFormatTag.java			tldなし	(TheadTag、TbodyTag、TfootTag)
		hayabusa.taglib.UserInfoTag.java
		hayabusa.taglib.ValueTag.java
		hayabusa.taglib.ViewFormTag.java

	この処理は、5.1.9.0 (2010/08/01) で SqlAndTag に導入した matchKey、matchVal 属性と
	同じ動作を行いますので、matchKey、matchVal 属性を廃止(削除)します。

	これに伴い、TLDを変更します。
	(matchKey、matchVal 属性を削除、caseKey、caseVal 属性を追加)
		gf/src/META-INF/hybs-taglib.tld
		gf/WEB-INF/hybs-taglib.tld	

	[リソースVer3,Ver5共有]
	リソースの "_" の取り扱いを修正します。
	Ver3時代は、"_" は、ゼロ文字列として処理するケースと、null と
	同等と判断するケースがありました。
	Ver3とVer5でリソース共有する場合、コードリソース以外では不都合が発生します。
	そこで、StringUtil#nval2 のメソッドを変更して互換性を保つようにします。
	具体的には、現状、"_" を ゼロ文字列に変換している箇所を、null と判断するように
	変更します。それとともに、第３の引数を用意して、"_" をゼロ文字列と判断する場合の
	ロジックを追加します。
		fukurou.util.StringUtil#nval2( final String in,final String def ) {
		fukurou.util.StringUtil#nval2( final String in,final String def,final String def2 ) {
		hayabusa.resource.CodeData#CodeData( final String clm, final Map<String,String[]> data) {

	[msg属性の廃止]
	メッセージリソースの廃止に伴い、msg 属性を廃止します。
	現在、残っているのは、dataCheckタグのみです。
	当面は、msg属性は残しますが、廃止予定とします。
	それ以外に、CommonTagSupport で残っている、setMsglbl(String)メソッドも
	処理は、setLbl(String) とまったく同じなので、削除します。
		hayabusa.taglib.DataCheckTag#setMsg( final String id )				廃止予定
		hayabusa.taglib.DataCheckTag#setLbl( final String id )
		hayabusa.taglib.DataCheckTag#setMsgParamKeys( final String keys )	廃止予定
		hayabusa.taglib.DataCheckTag#setLblParamKeys( final String keys )
		hayabusa.taglib.CommonTagSupport#setMsglbl( final String lbl )		削除
		hayabusa.taglib.InputTag#setLbls( final String lbls )
		hayabusa.taglib.OptionTag#setLbls( final String lbls )
		hayabusa.taglib.OrderByTag#setLbls( final String lbls )

	jsp ファイルの修正
	(common,custom は、ge も修正)
		gf/jsp/common/fileDownload.jsp_Overflow(39): <og:message msg="ERR0028" />
		gf/jsp/common/gamen/05_DBCONFIG/entry.jsp(20): 		<og:dataCheck command="ENTRY" msg="GEE0004">
		gf/jsp/common/gamen/14_EDIT/update.jsp(34): 			msg		= "GEE0001">
		gf/jsp/common/gamen/14_EDIT/upload.jsp(27): 		msg		= "GEE0002">
		gf/jsp/custom/query_info.jsp_linemenu(17): 			<og:message msg="MSG0049" />
		gf/jsp/custom/query_info.jsp_linemenu(20): 	<td><og:help msg="HELP" guiInfoKey="{@GUI.KEY}" /></td>
		gf/jsp/GF2020/entry.jsp(25): <og:dataCheck command="{@command}" exist="false" sqlType="{@sqlType}" execType="INSERT|COPY" msg="GFE0006">
		gf/jsp/GF2170/backup/query.jsp_GEA08_use(87):   <tr><og:input name="ORDER_BY" msg="ORDER_BY" maxlength="100" size="50" />		</tr>
		gf/jsp/GF9100/result.jsp(29): 	<og:dataCheck command="{@command}" msg="GFE0003" msgParamKeys="{#GF44},{@CDTAN}">
		gf/jsp/GF9100/result.jsp(36): 	msg="GFE0002"
		gf/jsp/GF9100/result.jsp(37): 	msgParamKeys="{#SYSTEM_ID},'ZW GE GF',{@SYSTEM_ID}"
		gf/jsp/GF9200/result.jsp(29): 	<og:dataCheck command="{@command}" msg="GFE0003" msgParamKeys="{#GF44},{@CDTAN}">
		gf/jsp/GF9200/result.jsp(36): 	msg="GFE0002"
		gf/jsp/GF9200/result.jsp(37): 	msgParamKeys="{#SYSTEM_ID},'ZW GE GF',{@SYSTEM_ID}"
		gf/jsp/GF9300/result.jsp(29): 	msg="GFE0002"
		gf/jsp/GF9300/result.jsp(30): 	msgParamKeys="{#SYSTEM_ID},'ZW GE GF',{@SYSTEM_ID}"
		gf/jsp/GFX013/query.jsp_GEA08_use(87):   <tr><og:input name="ORDER_BY" msg="ORDER_BY" maxlength="100" size="50" />		</tr>

	ソースチェックの項目追加
	ERROR25 msg 属性やmsgParamKeys属性は廃止属性です。lbl属性,lblParamKeys属性に置き換えてください。
		gf/jsp/DOC18/xsltV5GF70_PROG.xsl

	これに伴い、TLDを変更します。
	(dataCheck に、lbl 、lblParamKeys 属性を追加 )
		gf/src/META-INF/hybs-taglib.tld
		gf/WEB-INF/hybs-taglib.tld	

	[ソース修正]
	ソースチェックでエラーが発生していた箇所を修正します。
		ge/jsp/menu/menu_init.jsp			gfjsp/menu/menu_init.jsp をコピー
		ge/jsp/menu/matrix_info.jsp			gfjsp/menu/matrix_info.jsp をコピー
		ge/REP21/result.jsp					htmlend.jsp のインクルード漏れ
		ge/REP21/result2.jsp				htmlend.jsp のインクルード漏れ
		ge/jsp/GE0009/result_report.jsp		XML形式見直し、件数表示追加
		ge/jsp/GE0009/result_reportData.jsp	XML形式見直し、件数表示追加
		ge/jsp/GE0009/result_resource.jsp	XML形式見直し、件数表示追加

	[ソース削除]
	不要のソースや利用されていないソースを削除します。
		gf/jsp/custom/result_info_Capture.jsp
		gf/jsp/GF2253/copyRow.jsp
		gf/jsp/GF2253/insertGF92.jsp
		gf/jsp/ORA10/entry.jsp
		gf/jsp/ORA10/forward.jsp
		gf/src/script/common/option/jqog.js

	[submitタグ action 属性]
	Ver5 になって、update.jsp ですべての処理を行う方向で開発するに当たり、
	command と lbl を記述する必要がでてきました。
	そこで、action 属性を用意し、command を記述するだけでパラメータを
	設定できるようにしました。
	 *    [action属性]  [初期設定されるパラメータ郡]
	 *      INSERT       value="update" command="INSERT" lbl="INSERT"  accesskey="I"
	 *      COPY         value="update" command="COPY"   lbl="COPY"    accesskey="C"
	 *      MODIFY       value="update" command="MODIFY" lbl="MODIFY"  accesskey="M"
	 *      DELETE       value="update" command="DELETE" lbl="DELETE"  accesskey="Z"
	 *      ENTRY        value="entry"  command="ENTRY"  lbl="ENTRY"   accesskey="E"
	 *      RESET        value="reset"  command="RESET"  lbl="ENTRY"   accesskey="R"

		hayabusa.taglib.SubmitTag#ENUM_ACTION
		hayabusa.taglib.SubmitTag#doStartTag()
		hayabusa.taglib.SubmitTag#release2()
		hayabusa.taglib.SubmitTag#setAction( final String act )
		hayabusa.taglib.SubmitTag#getHiddenTag( final String command, final String lbl, final String valueLink ) 

	update.jsp に対して、columnWritable と、noWritable は commandごと、または、
	ボタンごとに変更するケースがほとんどです。
	（INSERT時とUPDATE時に書き換え可能なカラムの指定が変わる）
	Ver3 では、それぞれのボタンに対するJSPを作成していたため、直書きしていました。
	Ver4 では、update.jsp に統一したため、submitタグの keys,vals で指定していました。
	Ver5 では、上記の action 属性を用意するとともに、columnWritable と、noWritable を
	独立した属性として用意します。
	なお、update.jsp への渡し方は、従来の keys,vals に設定した場合と同じです。
		hayabusa.taglib.SubmitTag#setColumnWritable( final String columnName )
		hayabusa.taglib.SubmitTag#setNoWritable( final String columnName )

	これに伴い、TLDを変更します。
		gf/src/META-INF/hybs-taglib.tld
		gf/WEB-INF/hybs-taglib.tld	

	[guiQueryタグ 新規作成]
	ロール指定による画面一覧の検索ができる画面を作成します。
	ロールは、エンジン内部で処理しているため、単純な文字列比較処理等では
	対応できません。よって、検索用のカスタムタグを新規作成します。
		hayabusa.taglib.GuiQueryTag.java		新規追加
		gf/jsp/GF1080							実行サンプル

	これに伴い、TLDを変更します。
		gf/src/META-INF/hybs-taglib.tld
		gf/WEB-INF/hybs-taglib.tld	

	[HybsAdmin 修正]
	HybsAdminでシステムリソースから取得しようとしている変数（USE_HTML_TABLE_CSS、HTML_BORDERなど）
	は、すでに廃止されています。
	よって、その箇所をコメントアウトします。
		hayabusa.servlet.HybsAdmin#getTableHeaderTag()

	[/gf/jsp の統一]
	JSPのアドレス指定で、絶対アドレス化できる箇所は対応していますが、
	対応方法に若干のゆれが生じていましたので、統一します。
	コンテキストを指定する方法として、システムリソースに
		CONTEXT_NAME	gf
		JSP				/gf/jsp
	があります。
	基本的に、{@SYS.JSP}/・・・ に統一します。
	（/{@SYS.CONTEXT_NAME}/jsp/common/・・・ ⇒ {@SYS.JSP}/common/・・・）
		jsp/common\gamen\12_GUIMAKEGUI\main.jsp(10):	  <script type="text/javascript" src="/{@SYS.CONTEXT_NAME}/jsp/common/jquery/jquery-ui.js?v={@SYS.BUILD_ID}" ><!-- --></script>
		jsp/common\gamen\13_GUILIST\menu.jsp(22):	 【<og:link lbl="Top Menu" href="/{@SYS.CONTEXT_NAME}/jsp/index.jsp" target="_top" />】
		jsp/common\gamen\13_GUILIST\menu.jsp(37):	  <og:link column="NMPG" href="/{@SYS.CONTEXT_NAME}/jsp/customUserDef/[PGID]/index.jsp" target="CONTENTS"
		jsp/common\gamen\14_EDIT\result.jsp(11):	  <script type="text/javascript" src="/{@SYS.CONTEXT_NAME}/jsp/common/jquery/jquery-ui.js?v={@SYS.BUILD_ID}" ><!-- --></script>

	[admin画面のｼｽﾃﾑﾘｿｰｽ]
	admin画面のｼｽﾃﾑﾘｿｰｽ で、SERVER_URL と CONTEXT_URL が、最下位に表示されます。
	その上位には、プラグインなど普段使用しない属性が表示されているため
	場合によっては、このキーを見つけられないケースがあります。
	このｼｽﾃﾑﾘｿｰｽの並び順は、SystemParameter.java に記述された順番なので、
	先の２つのキーのみを、(値はリクエストから求めるので初期設定できない)
	予約語的に、定義しておきます。
		hayabusa.common.SystemData#SERVER_URL = "" ;
		hayabusa.common.SystemData#CONTEXT_URL = "" ;

	admin画面のParameter で取得される内容をメンテナンスします。
	この画面は、使い方のサンプル集の形なので、すべての情報を動的に
	取得しているわけではなく、通常のドキュメントと同じ感覚で
	修正する必要があります。
	今回は、{@SYS.XXXX} に、
	HOST_NAME,HOST_ADRS,SYSTEM_ID,JSP,FILE_URL,FILE_OUT_URL
	の属性をサンプルとして追加しました。
		jsp/common/gamen/01_ADMIN/printSystemParameter.jsp

	[クロス集計改修]
	クロス集計に、columnDisplay 属性を追加(有効に)します。
	従来は、noDisplay のみ用意していましたが、集計側のカラムには
	名称が存在しない為（皆同じ）固定キー部分を "残す" という指定
	ができれば、集計側が消えることになります。
	そのため、columnDisplay 属性を追加します。
		plugin.view.ViewForm_HTMLCrossTable#clear()
		plugin.view.ViewForm_HTMLCrossTable#create( final int startNo, final int pageSize )
		plugin.view.ViewForm_HTMLCrossTable#setColumnDisplay( final String columnName )
		plugin.view.ViewForm_HTMLCrossTable#getHeadLine()

		jsp/GF6070	改修

	useHeaderColumn 属性が、ロジックの中で直接 getParam していた（しかもループ中で）ため、
	paramInit に移動します。
	また、ViewCrossParamTag で設定する場合のキーを、ViewCrossTableParam で定義しているの
	ですが、これも、文字列が直書きされていたため、static 文字列を定義しました。
		hayabusa.html.ViewCrossTableParam#USE_HEADER_COLUMN    = "h_useHeaderColumn" ; // 5.2.2.0 (2010/11/01)
		hayabusa.taglib.ViewCrossParamTag#setUseHeaderColumn( final String useHeaderColumn )
		plugin.view.ViewForm_HTMLCrossTable#create( final int startNo, final int pageSize )
		plugin.view.ViewForm_HTMLCrossTable#paramInit( final DBTableModel table ) 
		plugin.view.ViewForm_HTMLCrossTable#makeCrossTable( final DBTableModel table )
		hayabusa.taglib.ViewFormTag#doEndTag()

	ViewCrossParamTag の saveTableId 属性が、文字列直書きなので、ViewCrossTableParam.SAVE_TABLEID_KEY を
	利用するように書き換えました。
	同時に、出力時の スコープ指定が出来るように、saveScope 属性を追加しました。
		hayabusa.html.ViewCrossTableParam#SAVE_TABLEID_KEY 	= "h_saveTableId"
		hayabusa.html.ViewCrossTableParam#SAVE_SCOPE_KEY	= "h_saveScope" ; // 5.2.2.0 (2010/11/01)
		hayabusa.taglib.ViewCrossParamTag#setSaveTableId( final String id )		修正
		hayabusa.taglib.ViewCrossParamTag#setSaveScope( final String scope )	新規追加
		hayabusa.taglib.CommonTagSupport#setObject( final String key ,final Object object )
		hayabusa.taglib.CommonTagSupport#setObject( final String key ,final Object object ,final String scp )

	[文字の中央表示]
	View関連で、以前(Ver3)は、getColumnClassName の値を使用していましたが、Ver4以降は、
	getColumnDbType を使用して、より細かい、CSSによる表示の区別をするようになりました。
	ところが、従来、中央表示で、BIT を columnClassName で定義していた分が、右か左になって
	しまいました。
	そこで、BIT の場合のみ、BIT もあわせて出力するように変更します。
		hayabusa.html.AbstractViewForm#getColumnDbType( final int column )
		src\script\common/default.css		.BIT 追加

5.2.1.0 (2010/10/01)
	[画面削除]
	GF6060:テーブル回転表示 と GF7070:Valueタグ は、同じJSPソースなので
	GF7070:Valueタグ を削除します。
		jsp/GF7070/		削除
		画面リソース削除

	[must , mustAny 属性]
	inputタグと textarea タグについて、must , mustAny 属性をサポートします。
	これと平行に、must , mustAny 属性 のセッターメソッドを、HTMLTagSupport に移動します。
		hayabusa.taglib.HTMLTagSupport#release2()
		hayabusa.taglib.HTMLTagSupport#setMust( final String flag )
		hayabusa.taglib.HTMLTagSupport#setMustAny( final String flag )
		hayabusa.taglib.HTMLTagSupport#getMustType()
		hayabusa.taglib.HTMLTagSupport#makeMustHidden( final String name )
		hayabusa.taglib.InputTag#makeTag()
		hayabusa.taglib.TextareaTag#makeTag()
		hayabusa.taglib.ColumnTag#release2()
		hayabusa.taglib.ColumnTag#makeTag()
		hayabusa.taglib.ColumnTag#setMust( final String flag )
		hayabusa.taglib.ColumnTag#setMustAny( final String flag )
		hayabusa.taglib.SelectTag#release2()
		hayabusa.taglib.SelectTag#makeTag()
		hayabusa.taglib.SelectTag#setMust( final String flag )
		hayabusa.taglib.SelectTag#setMustAny( final String flag )
		hayabusa.taglib.ColumnEditorTag#release2()
		hayabusa.taglib.ColumnEditorTag#doEndTag()
		hayabusa.taglib.ColumnEditorTag#setMust( final String flag )
		hayabusa.taglib.ColumnEditorTag#setMustAny( final String flag )

	clazz="must" で色だけ必須入力色にしている箇所を修正します。
		jsp/GF6010/query.jsp(27): 	<og:column name="TABLE_CLM2" clazz="must" />
		jsp/GF6020/query.jsp(28): 	<og:column name="TABLE_CLM2" clazz="must" />
		jsp/GF6040/query.jsp(28): 	<og:column name="TABLE_CLM2" clazz="must" />
		jsp/GF6280/query.jsp(23): 	<og:textarea name="SQL" rows="5" cols="40" clazz="must">
		jsp/GF6310/query.jsp(23): <og:textarea name="TEXT" rows="3" cols="40" clazz="must">
		jsp/GF7050/query.jsp(28): 	<og:column name="TABLE_CLM2" clazz="must" />

		gf/src/META-INF/hybs-taglib.tld
		gf/WEB-INF/hybs-taglib.tld	

	[ViewForm_HTMLEntry の must 属性対応]
	ViewForm の テーブル系は、columnCheckが、DBTableModel を直接処理するので、
	問題ないが、HTMLEntry は、通常のカラムに出力して、あたかもQUERYから
	登録するように使用するため、mustチェックするには、hidden を出力しておく
	必要がある。その対応。
	ここでは、mustAny は対応していません。（対応が難しい為）
		plugin.view.ViewForm_HTMLEntry#create( final int startNo, final int pageSize )
		plugin.view.ViewForm_HTMLEntry#init( final DBTableModel table )

	[DBTableModelImpl コメント修正]
	DBTableModelImpl のコメントを修正しました。
	getMustArray() 、getMustAnyArray() の戻り値は、文字列配列なのに、
	元のコメントは、カンマ区切り文字列 となっていたため、修正しました。	
		hayabusa.db.DBTableModelImpl.java

	[popup のheight、width の px]
	IE7 より、height、width には、"px" などの単位をつけないと認識しないという
	仕様になったため、height、width 属性の 形式チェックをソースチェックで行っている。
	og:popup では、タグ側も、JavaScript側も px を｢付けない｣仕様になっているため、
	例外的な設定になっている。これを、px をタグリブの属性段階から付けるように修正する。
		hayabusa.taglib.PopupTag#makePopup( final boolean useKey )
		hayabusa.taglib.PopupTag#setHeight( final String ht )
		hayabusa.taglib.PopupTag#setWidth( final String wh )

		src/script/common/default.js#
			function ogPopup( p_pgid,p_height,p_width,p_in_Array,p_this,p_out_Array,command,event ) {

		jsp/GF9100/query.jsp(46): 		<og:popup gamenId="GF9510" href="index.jsp"
		jsp/GF9100/result.jsp(107): 	<og:popup column="PUP" gamenId="GF9510" href="index.jsp"

	※ エンジン経由(og:popup)の場合は、引数の補完機能を入れたので、"px" が記述されていない
	   旧ソースでも問題なく動きます。
	   直接、JavaScript の ogPopup を呼び出している場合は、"px" がないと、全画面表示になります。

	[JSPソースの改善]
	tabLink,tabList のサンプル修正
		jsp/GF6160/query.jsp

	JSPチェック確認で、画面のアドレスに応じた 画面名称を設定します。
	本来は、アドレスと画面名称の関係は存在しないのですが、ほぼ同一と
	考えて設定しています。
		jsp/DOC10/result.jsp

	ビューフォントサイズ変更
	ERROR06D：og:update タグは廃止クラスです。代わりに tableUpdateタグを使用してください。
		jsp/GF6180						内容的に GF9110 を利用して再構築
		jsp/custom/result_FS_info.jsp	古いメソッドを使用していたので削除

	チェック､マーカー 
		jsp/GF6190						内容的に GF9110 を利用して再構築

	定義ファイル検証・反映
	ERROR11：submit タグは、writeCheck タグの子要素として使用してください。
		jsp/GF2060/query.jsp		上記エラーの修正
		jsp/GF2060/dbdefIn.jsp		実行結果が見えないので、処理件数を表示するように改造

	form要素が、form タグの中にありません。
	確認したところ、表示のためだけに input タグなどを使用しているケースばかりでした。
	本来修正の必要は無いのですが、ERROR 発見を容易にするため、form タグを付与します。
		jsp/GF1060/result.jsp
		jsp/GF6060/keyTable.jsp
		jsp/GF6060/setTable.jsp
		jsp/GF6380/result.jsp
		jsp/GF6410/makeColumn6410.jsp
		jsp/GF7010/zip2.jsp
		jsp/GF7030/query.jsp
		jsp/GF9120/viewer.jsp
		jsp/common/errorMessage.jsp
		jsp/common/eventColumnMaker.jsp
		jsp/custom/multiChoose.jsp

	columnCheck タグのnullCheck属性とmustAnyCheck属性は自動チェックされます。設定不要です。
		jsp/DOC10/group.jsp
		jsp/DOC10/result.jsp
		jsp/DOC11/result.jsp
		jsp/DOC12/result.jsp
		jsp/DOC13/result.jsp
		jsp/DOC14/result.jsp
		jsp/DOC15/group.jsp
		jsp/DOC15/result.jsp
		jsp/DOC16/result.jsp
		jsp/DOC17/group.jsp
		jsp/DOC17/result.jsp
		jsp/DOC18/result.jsp
		jsp/DOC19/result.jsp
		jsp/DOC22/result.jsp
		jsp/GANTT01/entry.jsp
		jsp/GANTT02/entry.jsp
		jsp/GANTT02/entryGF65.jsp
		jsp/GANTT03/entry.jsp
		jsp/GANTT04/entry.jsp
		jsp/GANTT05/entry.jsp
		jsp/GANTT06/entry.jsp
		jsp/GANTT06/result.jsp
		jsp/GANTT06B/entry.jsp
		jsp/GANTT06B/result.jsp
		jsp/GANTT06C/entry.jsp
		jsp/GANTT06C/result.jsp
		jsp/GANTT07/result.jsp
		jsp/GANTT09/entry.jsp
		jsp/GANTT09/result.jsp
		jsp/GANTT09/resultPrint.jsp
		jsp/GANTT10/entry.jsp
		jsp/GANTT11/entry.jsp
		jsp/GANTT12/entry.jsp
		jsp/GF1050/result.jsp
		jsp/GF2000/cube_sample.jsp
		jsp/GF2000/insertGF01.jsp
		jsp/GF2000/result.jsp
		jsp/GF2000/rollup.jsp
		jsp/GF2010/insertGF02.jsp
		jsp/GF2010/result.jsp
		jsp/GF2020/directGF05.jsp
		jsp/GF2020/fileOut.jsp
		jsp/GF2020/insertGF05.jsp
		jsp/GF2020/result.jsp
		jsp/GF2020/updateGF05.jsp
		jsp/GF2030/insertGF06.jsp
		jsp/GF2030/result.jsp
		jsp/GF2040/directGF07.jsp
		jsp/GF2040/insertGF07.jsp
		jsp/GF2040/result.jsp
		jsp/GF2050/deleteAll.jsp
		jsp/GF2050/result.jsp
		jsp/GF2060/result.jsp
		jsp/GF2070/directGF81.jsp
		jsp/GF2070/insertGF81.jsp
		jsp/GF2070/result.jsp
		jsp/GF2080/result.jsp
		jsp/GF2090/result.jsp
		jsp/GF2090/sabun.jsp
		jsp/GF2100/result.jsp
		jsp/GF2110/result.jsp
		jsp/GF2130/result.jsp
		jsp/GF2140/result.jsp
		jsp/GF2150/result.jsp
		jsp/GF2160/result.jsp
		jsp/GF2170/result.jsp
		jsp/GF2170/result.jsp
		jsp/GF2170/result.jsp
		jsp/GF2252/copyRow.jsp
		jsp/GF2252/insertGF92.jsp
		jsp/GF6050/entry.jsp
		jsp/GF6050/popup.jsp
		jsp/GF6050/result.jsp
		jsp/GF6060/result.jsp
		jsp/GF6070/result_sample1.jsp
		jsp/GF6070/result_sample2.jsp
		jsp/GF6070/result_sample3.jsp
		jsp/GF6070/result_sample4.jsp
		jsp/GF6070/result_sample5.jsp
		jsp/GF6100/entry.jsp
		jsp/GF6110/result.jsp
		jsp/GF6120/result.jsp
		jsp/GF6130/entry.jsp
		jsp/GF6130/insertGEA08.jsp
		jsp/GF6130/result.jsp
		jsp/GF6140/result.jsp
		jsp/GF6230/entry.jsp
		jsp/GF6280/result.jsp
		jsp/GF6310/result.jsp
		jsp/GF6320/result.jsp
		jsp/GF6340/entry.jsp
		jsp/GF6340/result.jsp
		jsp/GF6370/result.jsp
		jsp/GF7070_haishi/result.jsp
		jsp/GF9120/result.jsp
		jsp/GF9210/result.jsp
		jsp/GF9220/result.jsp
		jsp/GF9240/result.jsp
		jsp/GF9300/entry.jsp
		jsp/GF9310/entry.jsp
		jsp/GF9310/result.jsp
		jsp/GF9340/entry.jsp
		jsp/GF9340/result.jsp
		jsp/GF9410/entry.jsp
		jsp/GF9410/result.jsp
		jsp/GF9440/entry.jsp
		jsp/GF9440/result.jsp
		jsp/GF9500/result.jsp
		jsp/GF9530/result.jsp
		jsp/GF9540/result.jsp
		jsp/GFX000/entry.jsp
		jsp/GFX006/result.jsp
		jsp/GFX012/result.jsp
		jsp/GFX012/test02.jsp
		jsp/GFX013/result.jsp
		jsp/GFX015/result.jsp
		jsp/GFX016/result.jsp
		jsp/common/upload.jsp

	ERROR20 frame タグの src 属性に、相対パスを指定するのは、良くない慣習です。 
		jsp/GF6160/index.jsp
		jsp/GF7030/index.jsp

	[画面表示不具合]
	戻るリンク時に不要な改行が出力される不具合に対応します。
		org.opengion.hayabusa.taglib.ErrorMessageTag.doEndTag()

	[JSPソースチェックの改善]
	JSPソースチェックの機能を改善します。
	・JspIncludeReader.java で、タグのエスケープ方法の変更
	・XML宣言 の削除
	・コメントの削除
	従来と異なり、jsp:directive.include されるファイルにも、jsp:root を
	記述するので、XSLTパースで、インクルードファイルも対象になってしまう。
	これにより文法的におかしな場合、エラーチェックに引っかかる可能性が出てくる。
		fukurou.xml.XSLT#transform( final String file, final boolean isJspInclude ) 
		fukurou.xml.JspIncludeReader#getString( final File file,final String encode )

	XML形式を変更します。(TEXT⇒TEXT_DATA)
		fukurou.xml.XSLT#toXmlRow( final HybsEntry[] entry,final TransformerException ex )

	[JSPソースチェック]
	JSPソースチェックを行った結果、不正なエラーが出る箇所を修正しました。
		jsp/ORA02/check_extent_error.sql		< , > などを整形(前後のスペース付与等)
		jsp/ORA02/check_extent_warning.sql		< , > などを整形(前後のスペース付与等)
		jsp/GFX018/result.jsp		include file="/jsp/common/htmlend.jsp" 追加
		jsp/GFX018/result2.jsp		include file="/jsp/common/htmlend.jsp" 追加
		jsp/GF9230/update.jsp		include file="/jsp/common/htmlend.jsp" 追加
		jsp/GF9130/update.jsp		include file="/jsp/common/htmlend.jsp" 追加
		jsp/GF6180/copy.jsp			include file="../common/Excel_insert.jsp"	削除(該当するファイルはない)
		jsp/GF6180/modify.jsp		include file="../common/Excel_update.jsp"
		jsp/GF2070/query.jsp		作成途中のファイルで、エラーだったので、取り合えず修正
		jsp/GF2070/result.jsp		作成途中のファイルで、エラーだったので、取り合えず修正
		jsp/GF1060/query.jsp		サンプルデータ(<body> など) を修正（<aaa> など）
		jsp/GANTT06C/viewX2.jsp		<div> タグと、<og:text>タグが入れ子でなく、クロスしていたので修正。
		jsp/GANTT06B/viewX2.jsp		<div> タグと、<og:text>タグが入れ子でなく、クロスしていたので修正。
		jsp/GANTT06/viewX2.jsp		<div> タグと、<og:text>タグが入れ子でなく、クロスしていたので修正。
		jsp/DOC18/query.jsp			jspInclude カラムの初期値を、false から true に変更（今回改造したので）
		jsp/DOC10/result.jsp		リンクで、displayMsg を 　 に設定するように修正。（登録しました、と出るので消す）
		jsp/DOC10/group.jsp			リンクで、displayMsg を 　 に設定するように修正。（登録しました、と出るので消す）

	[JSPソースチェック バッチ版]
	バッチ処理で、JSPソースチェックを実行できる環境(サンプル)を提供します。
		gf/BAT/jspCheck  以下の bat ファイル

	[JavaScriptの整理]
	jsp/custom 分は、圧縮しないように元に戻します。
	ついでに、背景色のグラディエーションは、コメントを物理削除しておきます。
	これを使うと、表示時間が非常に長くなるため、今後も使いません。
		src/script/custom/custom.css	⇒ jsp/custom/custom.css に移動。元のフォルダは削除
		jsp/custom/custom.css			既存のコメント部分を削除

	[JavaScriptの整理]
	YUICompressor の改造クラスである、OGCompressor を修正します。
	オリジナルのファイルと圧縮後のファイルのタイムスタンプが同じ場合は、
	処理をスキップします。
	また、圧縮変換後は、オリジナルのタイムスタンプで圧縮ファイルのタイムスタンプを
	書き換えます。
		gf/doc/src/org/opengion/tools/OGCompressor.java
		gf/yuicompressor-2.4.2og.jar

	[Calc帳票システム・シート名定義対応]
	Calc帳票システムでCalc出力、Excel出力した際にシート名を独自に定義できる機能を追加します。
	具体的には、帳票の雛形で、シート名に"__"を区切り文字として定義しておくことで、"__"より後ろの文字列
	を出力シート名として設定します。
	例として、雛形シート名が、"sheet1__ABC"となっている場合、出力されたCalcまたはExcelでは、ページ毎に、
	ABC1,ABC2,ABC3...というシート名が割り振られます。
	雛形シート名に"__"が含まれていない場合は、既存と同じくPageN_RowNとなります。
	また、シートブレイク機能については、"__"より前のデータをシートキーとして使用します。
	上記の場合であれば、"sheet1"がシートブレイクで参照されるシート名になります。
		org.opengion.hayabusa.report2.OdsContentParser.writeParsedSheet(OdsSheet, BufferedWriter)
		org.opengion.hayabusa.report2.OdsSheet.analyze(String, int)
		org.opengion.hayabusa.report2.OdsSheet.getSheetName()
		org.opengion.hayabusa.report2.OdsSheet.getConfSheetName()
		org.opengion.hayabusa.report2.OdsSheet.getOrigSheetName()

	[JSPソースチェックの改善]
	JSPソースチェックの機能を改善します。
	・JspIncludeReader.java で、タグのエスケープ方法の変更
	・XML宣言 の削除
	・コメントの削除
	従来と異なり、jsp:directive.include されるファイルにも、jsp:root を
	記述するので、XSLTパースで、インクルードファイルも対象になってしまう。
	これにより文法的におかしな場合、エラーチェックに引っかかる可能性が出てくる。
		fukurou.xml.XSLT#transform( final String file, final boolean isJspInclude ) 
		fukurou.xml.JspIncludeReader#getString( final File file,final String encode )

	XML形式を変更します。(TEXT⇒TEXT_DATA)
		fukurou.xml.XSLT#toXmlRow( final HybsEntry[] entry,final TransformerException ex )

	チェック用 GF70_PROG.xsl で、メッセージに、名前空間が書かれている分は削除
	これは、mis: でも、og: でも処理できるので、汎用性を持たせた。
		jsp/DOC18/GF70_PROG.xsl

	[JSPソースチェック]
	JSPソースチェックを行った結果、不正なエラーが出る箇所を修正しました。
		jsp/ORA02/check_extent_error.sql		< , > などを整形(前後のスペース付与等)
		jsp/ORA02/check_extent_warning.sql		< , > などを整形(前後のスペース付与等)
		jsp/GFX018/result.jsp		include file="/jsp/common/htmlend.jsp" 追加
		jsp/GFX018/result2.jsp		include file="/jsp/common/htmlend.jsp" 追加
		jsp/GF9230/update.jsp		include file="/jsp/common/htmlend.jsp" 追加
		jsp/GF9130/update.jsp		include file="/jsp/common/htmlend.jsp" 追加
		jsp/GF6180/copy.jsp			include file="../common/Excel_insert.jsp"	削除(該当するファイルはない)
		jsp/GF6180/modify.jsp		include file="../common/Excel_update.jsp"
		jsp/GF2070/query.jsp		作成途中のファイルで、エラーだったので、取り合えず修正
		jsp/GF2070/result.jsp		作成途中のファイルで、エラーだったので、取り合えず修正
		jsp/GF1060/query.jsp		サンプルデータ(<body> など) を修正（<aaa> など）
		jsp/GANTT06C/viewX2.jsp		<div> タグと、<og:text>タグが入れ子でなく、クロスしていたので修正。
		jsp/GANTT06B/viewX2.jsp		<div> タグと、<og:text>タグが入れ子でなく、クロスしていたので修正。
		jsp/GANTT06/viewX2.jsp		<div> タグと、<og:text>タグが入れ子でなく、クロスしていたので修正。
		jsp/DOC18/query.jsp			jspInclude カラムの初期値を、false から true に変更（今回改造したので）
		jsp/DOC10/result.jsp		リンクで、displayMsg を 　 に設定するように修正。（登録しました、と出るので消す）
		jsp/DOC10/group.jsp			リンクで、displayMsg を 　 に設定するように修正。（登録しました、と出るので消す）

	[DB定義変更]
	JSPソースチェックの改善に伴うDB定義を変更します。
	これは、チェックを行ったときに、桁あふれを起こしたカラムを増やします。
		GF72、GF73	LBLCD VARCHAR2(60)
		GF70、GF71、GF72、GF73、GF74、GF75、GF76、GF77、GF79 FILENAME VARCHAR2(60)

	[JavaScriptの整理]
	jsp/custom 分は、圧縮しないように元に戻します。
	ついでに、背景色のグラディエーションは、コメントを物理削除しておきます。
	これを使うと、表示時間が非常に長くなるため、今後も使いません。
		src/script/custom/custom.css	⇒ jsp/custom/custom.css に移動。元のフォルダは削除
		jsp/custom/custom.css			既存のコメント部分を削除

	[エラーメッセージ表示方法の改善]
	システムリソースの設定で、エラーメッセージの表示内容を変更することができるように対応します。
	(※ここでのエラーメッセージとは、例外がスローされた場合のエラーメッセージの表示方法です
	   columnCheckタグ等で表示されるアプリケーションエラーの内容は、この設定と関係ありません)
	  0:エラー内容は何も表示されません。エラー発生時刻のみが表示されます。
	  1:例外名とエラー内容のメッセージのみが表示されます。スタックとレースは表示されません。
	  2:スタックトレースも含めてエラー内容を表示します。
		org.opengion.hayabusa.common.SystemData.ERR_DISP_LEVEL
		common/error_dev.jsp			削除
		common/error.jsp
		common/error_0.jsp
		common/error_1.jsp
		common/error_2.jsp
		common/error_Auth.jsp
		common/error_Forbidden.jsp

	[表示種別追加]
	表示種別として、"PN2"を追加します。この表示種別では、従来のPNと異なり、3-5-3のデータをハイフン区切りで
	表示するのではなく、3-5-3の各部位にclass属性(PN_1,PN_2,PN_3)を付加しています。
	これにより、真ん中の部分だけの色を変える等を行って、データの区切りを識別できるようにすることができます。
		org.opengion.plugin.column.Renderer_PN2

	[Valueタグ・バグ修正]
	command="SET" action="APPEND"でvalueをbody部に書いた場合に動作しないバグを修正します。
		org.opengion.hayabusa.taglib.ValueTag.doAfterBody()

	[JavaScriptの整理２]
	jsp/common の 標準、option の各 js,css ファイルの配置を
	見直します。
	これは、option にあるが、ほとんど標準で使用している js を標準へ、
	標準に有るが、標準では使用していない js を、オプションへ移動させます。
	これに伴い、headerタグも、修正します。
		common/option/jqog.js			⇒	common/jqog.js
		common/tabLink.js				⇒	common/option/tabLink.js
		hayabusa.taglib.HeadTag.java	関係する private static final 初期値

	custom/multiChoose.jsp において、スクリプトの組み込みに、キャッシュを制御する
	バージョン番号を指定するようにします。
	これは、エンジン標準の JavaScript や CSSファイルは、キャッシュされるため、
	キャッシュの開放条件を指定しておく必要があるためです。
		custom/multiChoose.jsp
		<og:head headType="init" >
			<script type="text/javascript" src="{@SYS.JSP}/common/default.js?v={@SYS.BUILD_ID}" ><!-- --></script>
			<script type="text/javascript" src="{@SYS.JSP}/common/multiChoose.js?v={@SYS.BUILD_ID}" ><!-- --></script>
		</og:head>

	JavaScript の圧縮ファイル(yuicompressor) 処理で発生した警告を修正します。
	判る範囲で修正しています。
	・Found an undeclared symbol: 
	・The symbol XXXX is declared but is apparently never used.
	・The variable XXXX has already been declared in the same scope...
		doc\5.2.1.0_refactoring.txt		参照

	[JSPサンプル修正]
	GF6090（【ビュー関連】棒グラフ）で、バーが、右寄せになっていたので、左寄せに修正します。
		jsp/GF6090/result.jsp

	[JavaScriptのキャッシュ]
	キャッシュのパラメータを、各ファイルの最終更新日を使用するように変更します。
	従来は、BuildNumber.BUILD_ID をパラメータとして表示させていましたが、この方法では、
	開発時や、JavaScriptのみ変更した場合に、キャッシュが効いて、うまく反映されませんでした。
	そこで、キャッシュのパラメータを、各JavaScript/CSSファイルのタイムスタンプとすることで
	JavaScriptのみの修正でも、キャッシュを無効化して読み取らせることが出来るようになります。
	ただし、都度、ファイルのタイムスタンプを取得すると遅くなるため、adminメニューの
	[ﾌﾟｰﾙ削除]で初期化（リロード）するようにします。これにより、JavaScript等を修正後、
	ﾌﾟｰﾙ削除で反映、ということが可能になります。
		hayabusa.taglib.HeadTag#VERSION_PREFIX
		hayabusa.taglib.HeadTag#addScriptTag( final String filename, final StringBuilder buf )
		hayabusa.taglib.HeadTag#addStyleTag( final String filename, final StringBuilder buf )

	※ 現時点では、圧縮するJavaScript/CSSファイルのタイムスタンプは、ソースコンパイル時に
	   変更されます。よって、ほとんどのケースで、エンジンバージョンアップを行うと、
	   各ファイルは、キャッシュが無効（初期化）されます。

	[DisplayCapture 機能強化]
	画面キャプチャを行う機能を強化します。
	具体的には、実用性を重視して、エンジン本体に機能を組み込みます。
	・BAT\displayCapture\DisplayCapture.bat を作成。
	  通常のサンプルである fukurouSample から独立させます。
	・自動キャプチャに必要な、画面IDと実行ファイル名のクリップボードへの
	  書込み関係のファンクションを、default.js に追加します。
	  これにより、jsp\custom\result_info_Capture.jsp サンプルを廃止します。
	・画面自動キャプチャを行うための、JSP側の仕込みを、jsp\indexc.jsp に入れます。
	  具体的には、h_capture=true という値を、セッションにセットしておきます。
	  これを、custom\result_info.jsp で window.onload でファンクションを呼び出します。
	・src\org\opengion\fukurou\util\DisplayCapture.java を見直し、エラーメッセージや
	  パラメータを実用レベルにまで機能アップします。

		fukurou.util.DisplayCapture.java		全般的に手直し
		BAT\displayCapture\DisplayCapture.bat	新規追加
		jsp\custom\result_info_Capture.jsp		サンプルを廃止
		jsp\custom\result_info.jsp				自動化のための仕掛けを追加
		jsp\indexc.jsp（c が余分に付いている)	自動化のためのTop画面
		src\script\common\default.js			function 追加
			（setDisplayCapture、getDisplayCapture）

	以下、BAT\displayCapture\DisplayCapture.bat の説明文です。

		画面イメージをキャプチャして、ファイルに書き出す

		クリップボードに、"GUI:画面ID xxxxx.jsp" 形式の文字が書き込まれると、flavorsChanged イベントが
		発生して、画面を、ファイルに書き出す処理が実行されます。
		エンジンの機能と連動すれば、画面IDやファイル名をクリップボード経由でこのアプリケーションに
		渡すことで、画面操作を行うだけで、自動的に画面キャプチャを行うことが可能です。

		エンジンでは、jsp/indexc.jsp に、この機能が組み込まれているため、gf\BAT\displayCapture の
		DisplayCapture.bat を起動後、アプリケーションを、jsp/indexc.jsp で呼び出せば、自動的に
		画面のキャプチャを開始できます。

		キャプチャは、全画面のみですので、IEを最大に広げて操作してください。
		また、｢Prnt Scrn｣ボタンにも対応していますので、操作中やポップアップ等の非自動化の
		画面キャプチャも、手動で取得できます。

	[linkタグ・バグ修正]
	linkタグで、href属性を指定しなかった場合に、リンク先の画面のロール(gamenId指定)が存在しない場合に、
	NullPointerExceptionが発生するバグを修正します。
		org.opengion.fukurou.util.XHTMLTag.addUrlEncode(String, String, String)

	[業務ロジックバグ修正]
	①パラメーターセットの変数名チェックのバグを修正します。
	②Classファイルのみが存在し、ソースファイルが存在しない場合にエラーとなるバグを修正します。
		org.opengion.fukurou.business.AbstractBizLogic.set(String, String)
		org.opengion.fukurou.util.HybsLoader.getQualifiedName(String)
		org.opengion.fukurou.util.HybsLoader.findFileByCls(String, String)
		org.opengion.fukurou.util.HybsLoader.compileClass(String)

	[JavaScriptの整理]
	jsp\common のJavaScript を整理します。
	それぞれのシチュエーションごとに、ファイルをマージ(統合)し、
	圧縮します。
	ソースを、gf\src\script に置くことで、そこに含まれる .js , .css ファイルを
	gf\jsp 以下に圧縮コピーします。
	これに伴い、個別に、制御していた headタグの属性を削除します。
	※ 互換性は保障されませんので、ご注意ください。

		private static final String DEFAULT_JS		= "common/default.js";	// 5.2.1.0 (2010/10/01) 統合
	//		private static final String DEFAULT_JS		= "common/default.js";		廃止
	//		private static final String INPUTMENU_JS	= "common/inputMenu.js";	廃止
	//		private static final String OGPOPUP_JS		= "common/ogPopup.js";		廃止

		private static final String EVENT_SCRIPT_JS		= "common/eventScript.js";	// 5.2.1.0 (2010/10/01) 統合
	//		private static final String FOCUS_HILIGHT_JS	= "common/focusHilight.js";		廃止
	//		private static final String AUTO_CONVERT_JS		= "common/autoConvert.js";		廃止
	//		private static final String EVENT_COLUMN_JS		= "common/eventColumn.js";		廃止
	//		private static final String REAL_TIME_CHECK_JS	= "common/realTimeCheck.js";	廃止
	//		private static final String BIND_EVENTS_JS		= "common/bindEvents.js";		廃止

		private static final String QUERY_SCRIPT_JS		= "common/queryScript.js";				// 5.2.1.0 (2010/10/01) 統合
	//		private static final String TIME_SET_JS				= "common/timeSet.js";					廃止
	//		private static final String TOGGLE_FRAME_JS			= "common/toggleFrame.js";				廃止
	//		private static final String ADJUST_FRAME_HEIGHT_JS	= "common/adjustFrameHeightEvent.js";	廃止
	//		private static final String FOCUS_FIRST_ELM			= "common/focusFirstElm.js";			廃止

		private static final String RESULT_SCRIPT_JS	= "common/resultScript.js";		// 5.2.1.0 (2010/10/01) 統合
	//		private static final String HILIGHT_ROW_JS		= "common/hilightRow.js";		廃止
	//		private static final String BULK_SET_JS			= "common/bulkSet.js";			廃止
	//		private static final String PRINT_LINE_JS		= "common/printLine.js";		廃止
	//		private static final String TIME_CHECK_JS		= "common/timeCheck.js";		廃止
	//		private static final String ROW_COUNT_REPLACE	= "common/rowCountReplace.js";	廃止

	パラメータの削除
	これらのパラメータは初期値が true なので、基本的には組み込まれているものです。
	よって、利用する場合は、false を登録しますが、通常は、headerType で大枠を制御
	しているので、個別に false にしているケースは、ほとんどないと考えます。
	万一、使用している場合は、その属性を、削除してください。
		hayabusa.taglib.HeadTag#setUseTimeSet( final String flag ) {
		hayabusa.taglib.HeadTag#setUseToggleFrame( final String flag ) {
		hayabusa.taglib.HeadTag#setUseInputFocus( final String flag ) {
		hayabusa.taglib.HeadTag#setUseHilightRow( final String flag ) {
		hayabusa.taglib.HeadTag#setUsePrintLine( final String flag ) {
		hayabusa.taglib.HeadTag#setUseRealTimeCheck( final String flag ) {
		hayabusa.taglib.HeadTag#setUseAutoConvert( final String flag ) {
		hayabusa.taglib.HeadTag#setUseFocusHilight( final String flag ) {
		hayabusa.taglib.HeadTag#setUseFocusFirstElm( final String flag ) {
		hayabusa.taglib.HeadTag#setUseAdjustFrameHeight( final String flag ) {
		hayabusa.taglib.HeadTag#setUseEventColumn( final String flag ) {
		hayabusa.taglib.HeadTag#setUseRowCountReplace( final String flag ) {

		gf/src/META-INF/hybs-taglib.tld
		gf/WEB-INF/hybs-taglib.tld	

	システムリソースのデータ削除
		hayabusa.common.SystemData#USE_REAL_TIME_CHECK
		hayabusa.common.SystemData#USE_INPUT_AUTO_CONVERT
		hayabusa.common.SystemData#USE_ROWCNT_REPLACE

	enter.js は、個別組み込みなので、unrecommend フォルダに移動します。
		jsp\common\enter.js ⇒ jsp\common\unrecommend\enter.js に移動

	上記統合において、JavaScript Lint 処理で発生したエラー、警告は、
	判る範囲で修正しています。
		doc\5.2.1.0_refactoring.txt		参照

	[JavaScriptの圧縮]
	JavaScript ファイルと ＣＳＳファイルを、src\script に集め、これを元に
	圧縮処理を行ったファイルを、通常の jsp 以下のフォルダに置きます。
	現時点では、src\scriptl には、common 、common\option 、common\unrecommend、
	custom 、 menu と、jquery の一部をおきます。（本体は処理を実行しません。)
	この圧縮処理は、yuicompressor を用いて行います。ただし、ant でコンパイルする
	時に、この処理を行いたいので、１ファイルづつの対応を行いたくないため、
	openGion でカスタマイズした、yuicompressor-2.4.2og.jar を再作成します。
	この jar より、org.opengion.tools.OGCompressor を呼び出して、ディレクトリ階層の	
	圧縮処理を行うように、build.xml に組み込みます。
		gf\build.xml
		gf\yuicompressor-2.4.2og.jar
			※  拡張した OGCompressor.java ソースは、gf\doc 以下に保存しておきます。
				実際には、これと、yuicompressor-2.4.2.zip によるソース他も必要です。
				コンパイル環境はopenGion 配布パッケージには含めません。

	[head タグの修正]
	先のJavaScript関係の修正と別に、VERSION_PREFIX の設定方法を若干変更します。
	これは、アドレス合成の方法を少し変えておくだけです。
		hayabusa.taglib.HeadTag#addScriptTag( final String filename, final StringBuilder buf )
		hayabusa.taglib.HeadTag#addStyleTag( final String filename, final StringBuilder buf )

	[JavaScriptの日本語処理]
	JavaScript内のコメント以外の日本語(alert で表示したりしている箇所)を英語に変更します。
	たとえ、alert とはいえ、日本語コメントをハードコーディングしておくのは良くないと判断します。
		eventScript.js(52):		setTimeout(alert("custom/query_info.jsp及びcustom/result_info.js・・・
		eventScript.js(202):	alert( "[SYSTEM_ERROR] : イベントカラムで置き換え対象の要素が存在しません" );
		eventScript.js(220):	alert( "[SYSTEM_ERROR] : イベントを処理するURLが指定されていません。(変数未定義)" );
		eventScript.js(224):	alert( "[SYSTEM_ERROR] : イベントを処理するURLが指定されていません。" );
		queryScript.js(313):	alert("custom/query_info.jsp及びcustom/result_info.jspで次の部分を削除して下さい。・・・
		scrollBar2.js(7):		function scrollBar2( obj ){alert("custom/query_info.jsp及びcustom/result_info.jspで次・・・
		scrollBar2.js(8):		function AdjustScroll2( obj ){alert("custom/query_info.jsp及びcustom/result_info.jspで・・・
		option\jqog.js(43): 	"<h1>エラーが発生しました。</h1><a href='#' class='jqmClose'>×</a>"

	[TLDファイルとソースの見直し]
	ソースにはセッターメソッドが存在するが、TLDファイルに記述されていない
	などの不整合を修正します。
	主な作業は、TLDファイルの属性追加ですが、それに伴い、ソースの修正を
	行っているケースもあります。
		hayabusa.taglib.CommonTagSupport#getScope()		コメントの【TAG】と @og.tag を削除します。（単純な間違い）
		hayabusa.taglib.ChartCreateTag#doEndTag()		debugPrint() の条件で、isDebug() されていたのを省きます。
		hayabusa.taglib.ChartDatasetTag#doEndTag()		debugPrint() メソッド追加
		hayabusa.taglib.ViewParamTag#toString()			デバッグ時のMapの表示を個々のキー=値 にまで展開します。
		hayabusa.taglib.TableFilterTag#doEndTag()		debugPrint() の条件で、isDebug() されていたのを省きます。

	tldの修正（属性を追加します）
		debug		hayabusa.taglib.ChartDatasetTag
		fontName	hayabusa.taglib.WriteTableTag
		fontPoint	hayabusa.taglib.WriteTableTag
		scope		hayabusa.taglib.FileQueryTag

		gf/src/META-INF/hybs-taglib.tld
		gf/WEB-INF/hybs-taglib.tld	

	[@Override の追記]
	taglib クラスで、doStartTag() 、doAfterBody()、doEndTag()、release2() に対して、
	@Override アノテーションを付与します。
	単に、記述漏れのクラスをピックアップして修正しただけです。
		hayabusa.taglib.ChartCreateTag.java
		hayabusa.taglib.ChartDatasetTag.java
		hayabusa.taglib.DatabaseMetaDataTag.java
		hayabusa.taglib.EqualsTag.java
		hayabusa.taglib.JspCreateTag.java
		hayabusa.taglib.PopupTag.java
		hayabusa.taglib.RequestValueTag.java
		hayabusa.taglib.TableFilterTag.java
		hayabusa.taglib.TableMergeTag.java
		hayabusa.taglib.UpdateTag.java
		hayabusa.taglib.ColumnTag.java
		hayabusa.taglib.InputTag.java
		hayabusa.taglib.FileQueryTag.java
		hayabusa.taglib.FrameTag.java

	[JSP自動作成関係の見直し]
	JspCreate 関係のクラスの内容を見直します。
	下記の修正以外に、JavaDocコメントの整理、引数の final 付与など
	関係するソースの修正を行っています。

	実行クラスのクラス名を変更します。
	当然、元のクラスファイルは削除になります。
		plugin.develop.JspCreate_COLUMN.java		JspCreate_OG_COLUMN  ⇒ JspCreate_COLUMN
		plugin.develop.JspCreate_COMMENT.java		JspCreate_OG_COMMENT ⇒ JspCreate_COMMENT
		plugin.develop.JspCreate_QUERY.java			JspCreate_OG_QUERY   ⇒ JspCreate_QUERY
		plugin.develop.JspCreate_SELECT.java		JspCreate_OG_SELECT  ⇒ JspCreate_SELECT
		plugin.develop.JspCreate_VIEW.java			JspCreate_OG_VIEW    ⇒ JspCreate_VIEW
		hayabusa.taglib.JspCreateTag#execute()

	メソッドの引数を、OGAttributes から OGElement に変更します。
		hayabusa.develop.AbstractJspCreate#execute( final OGElement ele)
		hayabusa.develop.AbstractJspCreate#filter( final OGDocument doc )
		plugin.develop.JspCreate_COLUMN#execute( final OGElement ele, final String nameSpace  )
		plugin.develop.JspCreate_COMMENT#execute( final OGElement ele, final String nameSpace  )
		plugin.develop.JspCreate_QUERY#execute( final OGElement ele, final String nameSpace  )
		plugin.develop.JspCreate_SELECT#execute( final OGElement ele, final String nameSpace  )
		plugin.develop.JspCreate_VIEW#execute( final OGElement ele, final String nameSpace  )

	その他、軽微な修正など
		hayabusa.develop.JspConvertEntity.java
		hayabusa.develop.JspCreateFactory.java
		hayabusa.develop.JspEnumeration.java

	[XML 関連で、nameSpace の取り扱い機能追加]
	OGElement で、nameSpace の機能を追加します。
	JspCreate 関係のクラスで、nameSpace を "og:" 決め撃ちにしている箇所を修正します。
	これで、標準の og: に加えて、mis: も取り扱うことができるようになります。
		plugin.develop.OGElement#OGElement( final String qName , final String attTab , final Attributes atts )
		plugin.develop.JspCreate_COLUMN.java
		plugin.develop.JspCreate_COMMENT.java
		plugin.develop.JspCreate_QUERY.java
		plugin.develop.JspCreate_SELECT.java
		plugin.develop.JspCreate_VIEW.java

	OGDocument で、nameSpace を取り扱えるようにします。
		fukurou.xml.OGDocument#getNameSpace()
		fukurou.xml.OGElement#OGElement( final String qName , final String attTab , final Attributes atts )

	[findbugs 対策]
	findbugs で、指摘された箇所を修正します。
	不要な import の削除と、警告の修正です。
	while ループ中での + での 文字列連結を、解消します。
	奇数判定処理で、( x % 2 == 1 ) を ( x % 2 != 0 ) にします。
	※ x が負の数の場合に、x % 2 が、-1 になるためだそうです。
	   ここでは、個数なので、負にはなりませんが、警告を止める意味で、修正しておきます。
		plugin.io.TableReader_Default#readDBTable( final BufferedReader reader )
		plugin.io.TableWriter_Default.java

	[戻るボタンの表示の変更]
	jsp/common/history_back.jspの標準の戻るボタンについて、accessKey="R"が割り当てられていましたが、
	表示に(R)が含まれていなかったため、ラベル名称を変更します。
	本来であれば、og:inputタグ側で、accessKeyの文字を自動的にラベルに付加すべきですが、過去との互換性を
	考慮し、ラベル名称を変更します。
		MSG0079		ラベル追加
		jsp/common/histroy_back.jsp
		jsp/common/errorMessage.jsp
		jsp/gamen/13_EDIT/update.jsp

	[一括入力カラムのアシスト機能]
	一括入力カラムのアシスト機能を利用するカラム名を、カンマ区切りで与えます。
	これは、カラムの書き込み時に、一括入力可能なカラムをヘッダーに表示し、
	一括登録できる機能を提供します。
	この機能は、jsp/common/bulkSet.js JavaScript とともに提供されます。
	IE については、クリップボードも利用できます。Ctrl-C と Ctrl-V でそれぞれ
	一連のカラムの値の取り出しと書き込みが可能になります。
	"*" を指定すると、すべてのカラムを(columnBulkSet)指定したことになります。
	システムリソースで、VIEW_USE_DEFAULT_BULKSET を true に設定すると、初期値が "*"
	になりますので、個別の view に設定しなくてもこの機能が使用できるようになります。
	この機能は一括入力の手間削減が目的なので、selectedType が radio の場合は、
	この機能は無効になります。

	bulkSet.js の新規追加と、realTimeCheck.js の一括入力カラムのチェック解除
		common/bulkSet.js			新規追加
		common/realTimeCheck.js		修正

	ヘッダーに、common/bulkSet.js を設定するロジックを追加します。
		hayabusa.taglib.HeadTag#doEndTag()				common/bulkSet.js の設定

	システムリソースに BULKSET の初期値を指定します。（互換性からfalse）
		hayabusa.common.SystemData#VIEW_USE_DEFAULT_BULKSET = "false" ;

	各クラスを修正します。
		hayabusa.html.ViewForm#setColumnBulkSet( final String columnName );
		hayabusa.html.AbstractViewForm#init( final DBTableModel table ) {
		hayabusa.html.AbstractViewForm#clear() {
		hayabusa.html.AbstractViewForm#getSortedColumnLabel( final int column ) {
		hayabusa.html.AbstractViewForm#isClmBulkSet( final int column ) {
		hayabusa.html.AbstractViewForm#setColumnBulkSet( final String columnName ) {
		hayabusa.taglib.ViewFormTag#doEndTag() {
		hayabusa.taglib.ViewFormTag#release2() {
		hayabusa.taglib.ViewFormTag#setColumnBulkSet( final String columnName ) {

	上記変更に伴う、TLD ファイルの修正を行います。
	view タグに、columnBulkSet 属性を追加します。
		gf/src/META-INF/hybs-taglib.tld
		gf/WEB-INF/hybs-taglib.tld	

		jsp/common/bulkSet.js

	[ReadTableTag 実装変更/レンデラー対応]
	読取処理でラベルをコードリソースに逆変換を行うかどうかを指定します。(初期値:USE_TABLE_READER_RENDERER)
	TableWriter_Renderer 系のクラスで出力した場合は、コードリソースがラベルで出力されます。
	そのファイルを読み取ると、当然、エラーになります。
	ここでは、コードリソースのカラムに対して、ラベルからコードを求める逆変換を行うことで、
	Renderer 系で出力したファイルを取り込むことができるようにします。
	ここでは、TableWriter 系と同様に、TableReader_Renderer 系のクラスを作るのではなく、
	属性値のフラグで、制御します。
	将来的には、TableWriter 系も廃止して、同様のフラグで制御するように変更する予定です。
	初期値は、システム定数の USE_TABLE_WRITER_RENDERER で指定できます。

	longLabel をキーとした、コードのマップを構築します。これに関連して、DBColumn の
	getCodeData()メソッドで、null の場合のExceptuin を止めて、そのまま返すように変更します。
		hayabusa.db.DBColumn#getCodeData() {
		hayabusa.resource.CodeData#makeLabelMap() {

	システムリソースに レンデラーを使うかどうかの初期値を指定します。（互換性からfalse）
		hayabusa.common.SystemData#USE_TABLE_READER_RENDERER = "false" ;

	関係するクラスの修正
		hayabusa.io.TableReader#setUseRenderer( final boolean useRenderer ) ;
		hayabusa.io.AbstractTableReader#setTableDBColumn( final String[] names ) {
		hayabusa.io.AbstractTableReader#setTableColumnValues( final String[] values ) {
		hayabusa.io.AbstractTableReader#setUseRenderer( final boolean useRenderer ) {
		hayabusa.taglib.ReadTableTag#release2() {
		hayabusa.taglib.ReadTableTag#create( final BufferedReader out )  {
		hayabusa.taglib.ReadTableTag#setUseRenderer( final String flag ) {

	各サブクラスは、直接対応するのではなく、setTableColumnValues( String[] )メソッドを通して
	DBTableModel に値を読み取るように修正します。
	AbstractTableReader#setTableColumnValues( String[] )メソッド内で実際のラベル変換処理を
	行います。
		plugin.io.TableReader_Calc#makeBody( final RowInfo rowInfo ) {
		plugin.io.TableReader_Default#readDBTable( final BufferedReader reader ) {
		plugin.io.TableReader_Excel#readDBTable() {
		plugin.io.TableReader_JExcel#readDBTable() {

	[WriteTableTag 実装変更/レンデラー対応]
	書込処理でコードリソースのラベル変換を行うかどうかを指定します。(初期値:USE_TABLE_WRITER_RENDERER)
	コードリソースをそのままの値で出力すると、数字や記号になり何が書かれているのか
	不明になります。
	これは、コードリソースをラベルに変換して出力するかどうかを指定します。
	当然、コードはユニークですが、ラベルはユニークになるかどうか保障はされていませんので
	TableReader 系で読み込む場合には、リスクが発生します。
	また、TableReader 系で読み込む場合にも、ラベルからコードを求める逆変換を行うように、
	setUseRenderer メソッドで指定する必要があります。
	従来は、TableWriter 系に、TableWriter_Renderer 系のクラスを作って対応していましたが、
	このメソッドの属性値のフラグで、制御します。
	初期値は、システム定数の USE_TABLE_WRITER_RENDERER で指定できます。

	システムリソースに レンデラーを使うかどうかの初期値を指定します。（互換性からfalse）
		hayabusa.common.SystemData#USE_TABLE_WRITER_RENDERER = "false" ;

	関係するクラスの修正
		hayabusa.io.TableWriter#setUseRenderer( final boolean useRenderer ) ;
		hayabusa.io.AbstractTableWriter#writeData( final DBTableModel table,final PrintWriter writer ) ;	abstract 化します。
		hayabusa.io.AbstractTableWriter#setUseRenderer( final boolean useRenderer ) {
		hayabusa.io.AbstractTableWriter#isUseRenderer() {
		hayabusa.taglib.WriteTableTag#release2() {
		hayabusa.taglib.WriteTableTag#create( final PrintWriter out )  {
		hayabusa.taglib.WriteTableTag#setUseRenderer( final String flag ) {

	各サブクラスの対応
		plugin.io.TableWriter_Calc#writeData( final DBTableModel table,final PrintWriter writer ) {
		plugin.io.TableWriter_CSV#writeData( final DBTableModel table,final PrintWriter writer ) {
		plugin.io.TableWriter_CSV2#writeData( final DBTableModel table,final PrintWriter writer ) {
		plugin.io.TableWriter_Data#writeData( final DBTableModel table,final PrintWriter writer ) {
		plugin.io.TableWriter_Data2#writeData( final DBTableModel table,final PrintWriter writer ) {
		plugin.io.TableWriter_Default#writeData( final DBTableModel table,final PrintWriter writer ) {
		plugin.io.TableWriter_Excel#writeData( final DBTableModel table,final PrintWriter writer ) {
		plugin.io.TableWriter_T#writeData( final DBTableModel table,final PrintWriter writer ) {
		plugin.io.TableWriter_XML#writeData( final DBTableModel table,final PrintWriter writer ) {

	[ReadTableTag/WriteTableTag 関連]
	上記変更に伴う、TLD ファイルの修正を行います。
	readTable タグに、useRenderer 属性を追加します。
	writeTable タグに、useRenderer 属性を追加します。
		gf/src/META-INF/hybs-taglib.tld
		gf/WEB-INF/hybs-taglib.tld	

	[TableWriter/TableWriter 関連クラスの整理]
	plugin.io から、Default クラスを hayabusa.io にAbstractクラスとして移動させた際の
	クラスの整理を行います。
	今回の、useRenderer 属性の追加により、サブクラスも廃止されているものがあります。
	廃止クラスは、WriteTableTag 内で互換性を持つように修正しています。
		hayabusa.io.TableReader_Default.java	廃止(完全に不要なクラス)
		hayabusa.io.TableWriter_Default.java	廃止(完全に不要なクラス)
		plugin.io.TableReader_Default.java		メソッドの内、hayabusa.io.AbstractTableReader と重複する分を削除
		plugin.io.TableWriter_Default.java		メソッドの内、hayabusa.io.AbstractTableWriter と重複する分を削除
		plugin.io.TableWriter_ExcelRenderer.java	廃止(このクラス名が指定されると、useRenderer=true を自動セット)
		plugin.io.TableWriter_Renderer.java			廃止(このクラス名が指定されると、useRenderer=true を自動セット)

	[パッケージ移動後の関連クラスの整理]
	hayabusa.db.DBTypeCheckUtil に移動した、plugin.column.DBTypeCheckUtil を削除します。
		plugin.column.DBTypeCheckUtil.java		廃止(完全に不要なクラス)

5.2.0.0 (2010/09/01)
	[システム単位のシステム設定画面追加]
	共通メニューとしてシステム単位にそのシステムで設定すべきシステム定数を設定する画面を追加します。
		jsp/common/gamen/07_CONFIG

	[JavaScript関連・実装変更]
	JavaScriptのカラムに対するイベント処理の方法を見直します。具体的には、各JS毎に、イベントをバインドする
	のではなく、イベントを付加する要素のセレクタ、バインドするイベント、関数をマップにスタックし、後で、
	一括でイベントのバインド処理を行います。
	これにより、セレクタ処理の回数を減らし、レスポンスを向上させます。
	また、画面遷移なし登録などで、動的に要素を追加した場合においても、予めスタックされたイベント定義情報
	から、追加した要素に対してイベントをバインドすることで、追加要素でも、リアルタイムチェックや、動的プル
	ダウン等の処理が正常に動くように対応しています。
		org.opengion.hayabusa.taglib.HeadTag.doEndTag()
		jsp/common/default.js
		jsp/common/bindEvents.js
		jsp/common/autoConvert.js
		jsp/common/eventColumn.js
		jsp/common/eventColumn.jsp
		jsp/common/focusHilight.js
		jsp/common/realTimeCheck.js
		jsp/common/scrollBar2.js
		jsp/common/option/noTransition.js

	[ファイル取り込み処理バグ修正]
	共通のファイル取り込み処理が正常に動作しない問題に対応します。
		jsp/common/upload.jsp

	[初回インストール時の管理者ユーザーの変更]
	初回インストール時の管理者ユーザーを"C00000"から"admin"に変更します。
	adminユーザーの初期パスワードは、ユーザー名と同じく"admin"です。
		org.opengion.hayabusa.common.SystemData#CONTEXT_INITIAL_CALL_USERPASS

	[不正アクセス防止機能追加]
	画面IDのパラメーターを付加し、URLを直接指定した際に、本来ロール制御されるべき画面にアクセス
	できてしまうバグを修正します。
	今回の問題は、以下のようなURLでアクセスした場合に発生します。
	①URLとして、本来ロール制御がかかるパスを指定
	②画面ID(GAMENID)にそのユーザーで許可されている画面IDを指定
	具体的には、http://localhost:8824/jsp/GF9999/index.jsp?GAMENID=GF9110 等のURLで直接アクセスした
	場合、ロール制御は、GAMENIDに指定されたGF9110で行われますが、実際にアクセスされる画面は、
	パスとして指定された、GF9999の画面になります。
	これを利用することで、本来ロールエラーとなる画面にもアクセスすることが可能になります。
	【今回の対応】
	今回の対応では、既存の画面動作に影響を与えないように、以下の対応を行ってます。
	①画面リソースに存在するアドレスで、ロール設定により、"許可されないアドレス"に対してのチェックを行う。
	②但し、画面リソースで、アドレスに異なるパスへの参照を定義している('/'が含まれる)場合は、
	  チェック対象外とする。
		org.opengion.hayabusa.resource.ResourceManager.makeGUIInfos(UserInfo)
		org.opengion.hayabusa.resource.UserInfo.setGUIMap(Map<String, GUIInfo>, Set<String>)
		org.opengion.hayabusa.resource.UserInfo.isValidAddr(String)
		org.opengion.hayabusa.taglib.HeadTag.sessionInit()

	[リアルタイムチェックバグ修正]
	リアルタイムチェックで、クエリ画面で「必須入力エラー」が不正に出力されるバグを修正します。
	この問題は、以下のコーディングがされている場合に、以下の操作手順で発生します。
	【コーディング条件】
	①query.jspで任意の項目に対して、必須属性(must="true")を付加
	②result.jspで①で指定したカラムの必須チェックを行わない。
	  (columnCheckタグを記述しない、またはcolumnCheckタグでnullCheck属性を個別に指定し、①の項目を
	   除外する)
	【操作手順】
	①コーディング①で必須に指定した(但し必須チェックをしない)項目に、何も入力せずに検索
	②通常通り、データ選択⇒登録を行う。
	③以降は、query.jspで全ての項目について、フォーカスが離れると「必須入力エラー」が出る。
	※再現パターンは、これ以外にも存在する可能性があります。

	この問題は、クエリ項目における、必須の自動チェックと、リクエストキャッシュの相互影響により
	発生します。クエリ項目における必須チェックは、"h_must_must"というパラメーターキーに対して、
	項目名を送信することで、必須チェック対象の項目を判別しています。
	但し、この内容は、リクエストキャッシュに保存されるため、コーディング方法によっては、
	realtimecheck.jspでこのパラメーターが復元され、不正なエラーチェックが発生します。
		org.opengion.hayabusa.taglib.ColumnCheckTag.makeErrorMessage(ErrorMessage)

	[戻るボタン改善]
	登録エラー時などに表示される、history.back()を利用した戻るボタン(common/history_back.jsp)について、
	formボタンで囲わないようにします。
	これは、戻るボタンJSP自体をformタグの中に記述すると、formタグが入れ子になら、パラメーターが正しく
	送信されなくなるためです。
		jsp/common/histry_back.jsp

	[urlConnectタグ・バグ修正]
	接続時のエラー処理でNullPointerExceptionが発生し、正しくエラー処理が行われないバグを修正します。
		org.opengion.hayabusa.taglib.URLConnectTag.doEndTag()

	[テキストファイル入力改善]
	テキストファイルの入力(readerClass="Default")で、ダブルクオーテーションで囲われたデータ中に改行Cが
	存在する場合に、正しく取り込めないバグを修正します。
	Excelでは、タブ区切りや、カンマ区切りのデータを取り込む際、そのデータが"(ダブルクオーテーション)で
	囲われている場合、そのダブルクオーテーション内の、改行Cは、行の区切りではなく、データの一部と見なされる
	ため、正しく取り込むことができます。
	今回の対応では、Excelの取り込みに合わせて、"(ダブルクオーテーション)の改行Cが正しく取り込みできる
	ように対応します。
		org.opengion.fukurou.util.StringUtil.countChar(String, char)
		org.opengion.fukurou.util.CSVTokenizer.nextToken()
		org.opengion.plugin.io.TableReader_Default.readDBTable(BufferedReader)

	[動的プルダウンバグ修正]
	動的プルダウン機能で、tabindexなど項目に指定した属性情報が、項目入替え後に引き継がれないバグを
	修正します。
		jsp/common/eventColumn.js
		jsp/common/eventColumnMarker.jsp
		org.opengion.hayabusa.taglib.ColumnTag.setEventURL(String)		Javadocのみ修正

	[選択行スクロールバグ修正]
	2回連続で(再検索を行うことなく)登録処理を行った場合に、2回目の行編集時に、選択行に
	スクロールしないバグを修正します。
		org.opengion.hayabusa.html.AbstractViewForm.init(DBTableModel)

	[リアルタイムチェック改善]
	ヘッダー固定が適用されているビューに、リアルタイムチェックの吹き出しが表示された場合、
	ビューをスクロールすると、吹き出しがスクロールせず、吹き出しの位置と実際の入力ボックスが
	ずれてしまう不具合に対応します。
	これは、リアルタイムチェックの吹き出しの要素をbody要素の直下に配置しているためで、bodyに対する
	スクロールには追随しますが、ヘッダー固定のようなbody内部の要素でのスクロールには追随しないためです。
	今回の対応では、ヘッダー固定をスクロール時には、吹き出しを一旦全て非表示にするように対応しています。
		jsp/common/realTimeCheck.js

	[マトリクスメニュー改善]
	マトリクスメニューで、画面の実アドレスと画面IDが異なる場合に、正しく画面が開かないバグを修正します。
		jsp/result.jsp

	[Java業務ロジック改善]
	テーブルモデルに指定のカラムが存在しているかどうかを確認できるメソッドを追加します。
		org.opengion.fukurou.business.AbstractBizLogic.isLine(String)

	[Ver4互換モード対応]
	openGionの旧バージョンであるVer4の環境に対して、互換モードの設定を追加することで旧環境でも
	openGionが起動できるように対応します。
	具体的には、互換モードが設定された場合、openGion本体(Java)及びGEシステムの各画面からアクセスする際の
	項目名が、旧項目名に変換されます。
	これにより、Ver4環境のDB環境に変更を加えることなく、openGionを導入することができるようになります。
	なお、互換モードは、リステムリソースの"VER4_COMPATIBLE_MODE"を"true"に設定することで動作します。
	また、この互換モードの設定により、内部的に項目名が変化される項目一覧は以下の通りです。

	  テーブルID	(false) ※openGion標準	(true) ※Ver4互換
	  ------------	-----------------------	--------------------
	  GEA05			ROLES					ROLE
	  GEA10			NAME_JA					NAME
	  GE50			OUT_FILE				OUTFILE
	  GE50			OUT_DIR					OUTDIR
	  GE51			TEXT_DATA				TEXT
	  GE51			CLM						COLUMN_NAME
	  GE53			OUT_FILE				OUTFILE
	  GE53			OUT_DIR					OUTDIR
	  GE55			HOST_ID					HOST
	  GE58			CLM						COLUMN_NAME
	  GE30			H_TXT					HEADER
	  GE30			F_TXT					FOOTER
	  GE31			CONTENTS				CONTENT
	  GE32			CONTENTS				CONTENT
	  GE33			ADDRESS					MEMBER
	  GE33			NAME_JA					NAME
	  GE33			KBNAME					NM_KBN

	  (以下変更ソースリスト)
		org.opengion.hayabusa.common.SystemData.VER4_COMPATIBLE_MODE
		org.opengion.hayabusa.report.GE50Access
		org.opengion.hayabusa.report.RFIDPrintRequest
		org.opengion.hayabusa.report2.QueueManager_DB
		org.opengion.hayabusa.report2.QueueManager_DB.DBTableModelCreator
		org.opengion.hayabusa.mail.MailManager_DB
		org.opengion.hayabusa.mail.MailPattern
		org.opengion.hayabusa.mail.AbstractMailManager
		org.opengion.plugin.daemon.Daemon_Report
		jsp/ge/GE0001
		jsp/ge/GE0002
		jsp/ge/GE0016
		jsp/ge/GE0017
		jsp/ge/GE0018
		jsp/ge/GE0019
		jsp/ge/GE0020
		jsp/ge/REP01
		jsp/ge/REP02
		jsp/ge/REP03
		jsp/ge/REP04
		jsp/ge/REP06
		jsp/ge/REP14
		jsp/ge/MAIL01
		jsp/ge/MAIL02
		jsp/ge/MAIL03
		jsp/ge/MAIL07

	[Popupタグ、リアルタイムチェックバグ修正]
	Popupタグ、リアルタイムチェックの機能で、"+"など一部の文字が正しく引数として渡されないバグを修正します。
	これは、JavaScriptで文字をエンコードする際に、独自関数、又はencodeURI()を利用していたためです。
	今回の対応では、encodeURIComponent()を使用するように変更します。
		jsp/common/ogPopup.js
		jsp/common/realTimeCheck.js

	[共通項目名の変更]
	5.1.0.0 (2009/11/04) で実施された共通項目名の変更で、一部対応漏れがありましたので、これに対応します。
	定義が変更されるテーブルは、GE36,GEA05,GEA06,GF95です。
	alter文については、GE、GFのコンテキストフォルダのchanges/5200/以下のファイルに記述されています。
		GE36			PRGUPD->PGUPD(リネーム),PGSET,PGPSET,PGPUPD追加
		GEA05			PRGUPD->PGUPD(リネーム),PGSET,PGPSET,PGPUPD追加
		GEA06			PRGUPD->PGUPD(リネーム),PGSET,PGPSET,PGPUPD追加
		GF95			PRGUPD->PGUPD(リネーム),PGSET,PGPSET,PGPUPD追加

	[Calc帳票・バグ修正]
	Calc帳票システムで、表紙となる雛形にボディー部分のデータ{@xxx_n}を定義していない場合に
	エラーとなるバグを修正します。
		org.opengion.hayabusa.report2.OdsContentParser.writeParsedSheet(OdsSheet, BufferedWriter)

	[ユーザーリソース・LDAP対応]
	ユーザーリソースをLDAPから取得できるように対応します。
	Tomcatを含めたLDAP認証の設定方法については、以下のURLを参照して下さい。
	 ( URL : http://www.opengion.com/227.html )
		org.opengion.hayabusa.common.SystemData.RESOURCE_USER_SRC_TYPE
		org.opengion.hayabusa.common.SystemData.RESOURCE_USER_LDAP_CLM
		org.opengion.hayabusa.common.SystemData.RESOURCE_USER_LDAP_FILTER
		org.opengion.hayabusa.common.SystemData.RESOURCE_USER_ROLE_LDAP_FILTER
		org.opengion.hayabusa.resource.UserInfoFactory.clear()
		org.opengion.hayabusa.resource.UserInfoFactory.newInstance(String, String, String)
		org.opengion.hayabusa.resource.UserInfoFactory.getVals(String, String, ApplicationInfo)
		org.opengion.hayabusa.resource.UserInfoFactory.getValsByLdap(String, String)

5.1.9.0 (2010/08/01)
	[DB定義DB・シーケンス定義追加]
		build.xml			シーケンス出力を追加
		GF09				新規テーブル
		gf/jsp/GF2042		新規画面
		gf/jsp/GF2140		シーケンススクリプト出力機能追加
		gf/jsp/GF2150		シーケンススクリプト出力機能追加
		org.opengion.plugin.table.TableFilter_SEQRESET
		org.opengion.plugin.table.TableFilter_SEQRESET_FIREBIRD
		org.opengion.plugin.table.TableFilter_SEQRESET_HSQLDB
		org.opengion.plugin.table.TableFilter_SEQRESET_MYSQL
		org.opengion.plugin.table.TableFilter_SEQRESET_POSGRE
		org.opengion.plugin.table.TableFilter_SEQRESET_SQLSERVER

	[UNIQ番号シーケンス名/トリガー名変更]
	Oracleでは、MySQLやPostgreSQLなどのように、シーケンス番号を採番するためのカラム種別が
	存在していません。このため、テーブル毎にシーケンスを作成し、トリガーでシーケンス番号を
	採番しています。
	現状では、このシーケンス名は、[TABLE_NAME]S01となっていますが、この場合、同じ命名規則で
	新たにシーケンスを定義しようとすると、[TABLE_NAME]S02から採番する必要があり、管理上不都合が
	生じる可能性があるため、UNIQカラムのシーケンス番号を取得するためのオブジェクトは、
	[TABLE_NAME]S00(トリガーは、[TABLE_NAME]T00)にオブジェクト名を変更します。
	但し、既に[TABLE_NAME]S02などのように定義されている、GE32S02(メールモジュールで使用)については、
	過去との互換性を考慮し、今回のタイミングでは変更しません。
		org.opengion.plugin.table.TableFilter_TABLE.makeUniqSeq(int[], String[])
		org.opengion.plugin.table.TableFilter_TABLE.makeUniqTrig(int[], String[], String)
		org.opengion.plugin.table.TableFilter_TABLE_FIREBIRD.makeUniqSeq(int[], String[])
		org.opengion.plugin.table.TableFilter_TABLE_FIREBIRD.makeUniqTrig(int[], String[], String)

	[ファイル入出力不具合対応]
	"[Abstractクラス移動]"による変更で、Defaultのファイル入出力が正しく動作しないバグを修正します。
		org.opengion.hayabusa.io.TableReader_Default
		org.opengion.hayabusa.io.TableWriter_Default
		org.opengion.hayabusa.io.AbstractTableReader
		org.opengion.plugin.io.TableReader_Default
		org.opengion.plugin.io.TableWriter_Default

	[メソッド修正]
	メソッドの引数を使わずに、インスタンス変数をそのまま使用していた
	ため、引数を使用するように変更します。
	処理的には同じですが、将来的に、何か不測の事態を招く可能性があるため
	修正しておきます。
		fukurou.xml.XML2TableParser#getCpParentTagName( final String fQName ) 

	BufferedInputStream のスコープを小さくします。(単に変数が離れていたため)
		fukurou.util.ZipFileUtil#addZipEntry( final ZipOutputStream zos, ････

	if 文の 判定を 反転し、then と else を入れ替えます。
	ソースチェックの警告対応です。 Avoid if (x != y) ..; else ..;
		plugin.daemon.Daemon_Report#initDaemon()

	[画面自動作成]
	不要なメソッド・使われていないメソッドを廃止します。
		fukurou.xml.OGNode#addTabNode( final int tab )							廃止
		fukurou.xml.OGNode#addTabNode( final int tab , final OGNode node )		廃止
		fukurou.xml.OGAttributes#setAttrTab( final String attTab )				廃止

	id 属性のみ特別にキャッシュしておきます。
		fukurou.xml.OGAttributes#OGAttributes( final String attTab , final Attributes attri , final boolean useCR )	
		fukurou.xml.OGAttributes#setVal( final int adrs , final String val ) {
		fukurou.xml.OGAttributes#add( final String key , final String val ) {
		fukurou.xml.OGAttributes#add( final int adrs , final String key , final String val ) {
		fukurou.xml.OGAttributes#remove( final int adrs ) {

	メソッドの新規追加
		fukurou.xml.OGAttributes#getVal( final String key ) {
		fukurou.xml.OGAttributes#getId() { return id; }

	JspSaxParser 、OGAttributes 、OGDocument、OGElement、OGNode について、
	それぞれ、修正を行いました。

	新規クラスの追加・パッケージの追加
	画面自動作成 に伴って、関連するクラスを追加します。
	ただし、現状は、仮状態とします。内容の見直しが入る予定です。
		hayabusa.taglib.JspCreateTag.java				新規追加
		hayabusa.develop								パッケージの追加
			AbstractJspCreate.java
			JspConvertEntity.java
			JspCreateFactory.java
			JspEnumeration.java
		plugin.develop									パッケージの追加
			JspCreate_OG_COLUMN.java
			JspCreate_OG_COMMENT.java
			JspCreate_OG_QUERY.java
			JspCreate_OG_SELECT.java
			JspCreate_OG_VIEW.java

	これに伴い、JspCreateTag に関する tld の変更があります。
	jspCreate タグ追加
		gf/src/META-INF/hybs-taglib.tld
		gf/WEB-INF/hybs-taglib.tld	

	[画面自動作成 JSP側、リソース追加]
	画面リソースの追加、修正を行います。
	既存のアドレス、名称の変更もありますので、ご注意ください。
		GF2200 common/gamen/13_GUILIST 
		GF2201 common/gamen/11_GUIMAKE 
		GF2202 common/gamen/12_GUIMAKEGUI 
		GF2203 廃止

		SPCDEF_SHIYO	仕様書DB登録
		GF2250 青紙定義								GF90
		GF2251 ← GF2252 移動（利用DB定義)			GF91 A, GF90
		GF2252 ← GF2252 移動（画面項目定義）		GF92
		GF2253	画面リンク設定
		GF2254	項目チェック基準
		GF2255	DBセット基準
		GF2256	PG変更履歴

	[シーケンス対応]
	Oracle,Postgresql,MySQL,HSQLDB,Firebirdについて、透過的にシーケンスが扱えるようにします。
	近い将来に、シーケンス自体も、DB定義DBで管理し、ここからスクリプトを自動生成することで、
	より各DBを意識することなく、シーケンスを扱うことが出来るように対応する予定です。
		org.opengion.hayabusa.taglib.BizLogicTag.call(String, Transaction)
		org.opengion.fukurou.db.DBFunctionName.getSequence(String, Transaction)
		org.opengion.fukurou.business.BizLogicHelper.setConnection(Connection) 廃止
		org.opengion.fukurou.business.BizLogicHelper.setDbid(String)
		org.opengion.fukurou.business.BizLogicHelper.setTransaction(Transaction)
		org.opengion.fukurou.business.AbstractBizLogic.seq(String)
		org.opengion.fukurou.business.AbstractBizLogic.setConnection(Connection) 廃止
		org.opengion.fukurou.business.AbstractBizLogic.setDbid(String)
		org.opengion.fukurou.business.AbstractBizLogic.setTransaction(Transaction)
		org.opengion.fukurou.business.AbstractBizLogic.exec()
		org.opengion.fukurou.business.AbstractBizLogic.call(String, String, String, int, ArrayTableModel)

	[DBスクリプトの移動]
	DBスクリプトの配置場所を見直します。
	db/[DBName]/sql/06_DATA          -> db/common/sql/01_DATA に移動(各DB共通化)
	db/[DBName]/xml/install/06_DATA  -> db/common/xml/install/01_DATA に移動(各DB共通化)
	db/xml                           -> db/common/xml/install/01_DATA
	                                    db/common/xml/update/const    に移動(不要データが更新される問題に対応)
		build.xml
		org.opengion.hayabusa.common.SystemInstaller.loadXMLScript(String, String)
		org.opengion.hayabusa.common.SystemInstaller.execScripts(String, String)

	[Calc帳票・複数シート(シートブレイク)機能 バグ修正]
	Calc帳票システムの複数シート(シートブレイク)機能で、要求NOの最終行に対して、正しくシートブレイク処理が
	行わないバグを修正します。
		org.opengion.hayabusa.report2.OdsContentParser.getBodyValue(String, int)

	[パッケージ依存関係見直し]
	fukurouパッケージは、最下位(最もベースとなる)パッケージなので、hayabusa パッケージを
	混ぜないようにします。
	hayabusa.common.HybsSystem をコメントアウトして、fukurou 内部に記述します。
		fukurou.util.ErrMsg.java(18):			import org.opengion.hayabusa.common.HybsSystem;
		fukurou.util.ErrorMessage.java(21): 	import org.opengion.hayabusa.common.HybsSystem;
		fukurou.util.SystemParameter.java(27): 	import org.opengion.hayabusa.common.HybsSystem;

	[クラス見直し]
	JspSaxParser で、static メソッドを廃止。通常のオブジェクトクラスとして扱います。
	また、JspSaxParser で、ディレクトリコピー処理で、間にフィルター機能を追加します。
	これは、JspParserFilter インターフェースを add できるようにします。
		fukurou.xml.JspSaxParser.java
		fukurou.xml.JspParserFilter.java		新規追加

	[taglet の表示方法見直し]
	カスタムタグの説明用の 独自タグ og.tag の処理方法を変更します。
	従来は、og.tag の配列を、テーブルに設定するようなイメージでしたが、
	元々、このタグは一つしか現れないため、単純に合成するようにします。
	その際、<pre> タグで囲うことで、元のドキュメントのレイアウトを生かすように
	します。
	他のタグレットも、若干修正します。
		fukurou.taglet.TagletRev#toString( final Tag[] tagTags )
		fukurou.taglet.TagletFormSample#toString( final Tag[] tagTags )
		fukurou.taglet.TagletTag#toString( final Tag[] tagTags )

	AbstractTaglet.java に対して、処理中のテキストのインラインコメント {@link ･･･}
	を処理できるようにメソッドを追加します。
	例えば、{@link org.opengion.hayabusa.db.CellEditor CellEditor} と登録すると、
	<a href="../../../../org/opengion/hayabusa/db/CellEditor.html" title="org.opengion.hayabusa.db">Editor</a>
	に変換します。
		fukurou.taglet.AbstractTaglet#link( final String in )		新規追加

	[コメント修正]
	BizLogicTag の setCommandメソッドのドキュメントを修正します。
	入力可能な引数を指定するところで、自分のではなく、QueryTag の static 変数を指定していたため。
	自分で指定するには、private static 変数を、public static に変更します。
		hayabusa.taglib.BizLogicTag#CMD_ENTRY			private static final → public static final 変更
		hayabusa.taglib.BizLogicTag.java(420): 	 * @see		<a href="{@docRoot}/constant-values.html#org.opengion.hayabusa.taglib.QueryTag.CMD_NEW">コマンド定数</a>

	javaDoc で警告が出ていたので、修正します。(BizLogic インターフェースが削除された件)
		hayabusa.taglib.BizLogicTag.java:101		警告 - タグ @link: 参照が見つかりません: org.opengion.fukurou.business.BizLogic
			BizLogic → BizLogicHelper に変更

	<a href="/ge/jsp/DOC03/index.jsp ･･･ と指定されていた箇所を、@see タグで代用します。
	本来は、エンジンドキュメントのページへのリンクですが、Tomcatが立ち上がっている必要があるのと、
	既存のアドレスが古くなっており、今後も同様のメンテナンスが発生するのは維持が煩雑なため、
	JavaDoc の閉じた世界で、リンクするように修正します。
	飛ばし先は、各クラスのインターフェースとします。
		hayabusa.taglib.ColumnEditorTag.java(527): 	 * <a href="/ge/jsp/DOC03/index.jsp?command=NEW&SORT=VERSION+DESC%2CSEQ%2CATTKEY&VALUENAME=renderer" target="CONTENTS">renderer</a>
		hayabusa.taglib.ColumnEditorTag.java(544): 	 * <a href="/ge/jsp/DOC03/index.jsp?command=NEW&SORT=VERSION+DESC%2CSEQ%2CATTKEY&VALUENAME=editor" target="CONTENTS">editor</a>
		hayabusa.taglib.ColumnEditorTag.java(561): 	 * <a href="/ge/jsp/DOC03/index.jsp?command=NEW&SORT=VERSION+DESC%2CSEQ%2CATTKEY&VALUENAME=dbType" target="CONTENTS">dbType</a>
		hayabusa.taglib.ColumnTag.java(797): 	 * <a href="/ge/jsp/DOC03/index.jsp?command=NEW&SORT=VERSION+DESC%2CSEQ%2CATTKEY&VALUENAME=renderer" target="CONTENTS">renderer</a>
		hayabusa.taglib.ColumnTag.java(814): 	 * <a href="/ge/jsp/DOC03/index.jsp?command=NEW&SORT=VERSION+DESC%2CSEQ%2CATTKEY&VALUENAME=editor" target="CONTENTS">editor</a>
		hayabusa.taglib.ColumnTag.java(831): 	 * <a href="/ge/jsp/DOC03/index.jsp?command=NEW&SORT=VERSION+DESC%2CSEQ%2CATTKEY&VALUENAME=dbType" target="CONTENTS">dbType</a>
		hayabusa.taglib.ProcessTag.java(142): 	 * <a href="/ge/jsp/DOC03/index.jsp?command=NEW&SORT=VERSION+DESC%2CSEQ%2CATTKEY&VALUENAME=process" target="CONTENTS">process</a>
		hayabusa.taglib.QueryTag.java(635): 	 * <a href="/ge/jsp/DOC03/index.jsp?command=NEW&SORT=VERSION+DESC%2CSEQ%2CATTKEY&VALUENAME=queryType" target="CONTENTS">queryType</a>
		hayabusa.taglib.ReadTableTag.java(679): 	 * <a href="/ge/jsp/DOC03/index.jsp?command=NEW&SORT=VERSION+DESC%2CSEQ%2CATTKEY&VALUENAME=readerClass" target="CONTENTS">readerClass</a>
		hayabusa.taglib.ReportTableTag.java(468): 	 * <a href="/ge/jsp/DOC03/index.jsp?command=NEW&SORT=VERSION+DESC%2CSEQ%2CATTKEY&VALUENAME=reportClass" target="CONTENTS">reportClass</a>
		hayabusa.taglib.ViewFormTag.java(948): 	 * <a href="/ge/jsp/DOC03/index.jsp?command=NEW&SORT=VERSION+DESC%2CSEQ%2CATTKEY&VALUENAME=viewFormType" target="CONTENTS">viewFormType</a>
		hayabusa.taglib.WriteTableTag.java(531): 	 * <a href="/ge/jsp/DOC03/index.jsp?command=NEW&SORT=VERSION+DESC%2CSEQ%2CATTKEY&VALUENAME=writerClass" target="CONTENTS">writerClass</a>

	【タグ】と、@og.tag の位置関係がおかしいコメントを修正します。
	基本的には、【タグ】 と@og.tag はセットで記述します。
	また、【タグ】のすぐ下に、@og.tag を記述して、コメント自体をすべて取り込むようにします。
		BackGamenTag.java 、CommonForwardTag.java、CommonTagSupport.java、DBMetaDataQueryTag.java、
		EntryTag.java、FileWhereTag.java、MessageTag.java、TextTag.java、TfootTag.java、ViewParamTag.java

	[コメント削除]
	古い API へのリンクを、削除します。
	すでに、@see タグで、JavaDoc へのリンクは貼られているので、ほとんど重複状態でした。
		hayabusa.taglib.FileWhereTag.java(194): 	 * <a href="/java/api14/api/java/util/regex/Pattern.html#sum">正規表現</a>
		hayabusa.taglib.FileWhereTag.java(211): 	 * <a href="/java/api14/api/java/util/regex/Pattern.html#sum">正規表現</a>

	[build.xml 修正]
	taglet で外部指定しているので、内部の tag 指定は不要なので、コメントアウトしておきます。
	<target name="javadoc"> 以下の、javadoc タグの入れ子指定部分
		<!--		<tag name="og.formSample" />	-->
		<!--		<tag name="og.tag" />			-->
		<!--		<tag name="og.rev"/>			-->
		<!--		<tag name="og.version"/>		-->		これは使われていなかったので、取り合えずコメントアウト

	[Abstractクラス移動]
	pluginパッケージに含まれていた各種Abstractクラスをhayabusaパッケージ内に移動します。
		org.opengion.plugin.column.AbstractDBType					org.opengion.hayabusa.db に移動
		org.opengion.plugin.column.DBTypeCheckUtil					org.opengion.hayabusa.db に移動
		org.opengion.plugin.column.AbstractEditor					org.opengion.hayabusa.db に移動
		org.opengion.plugin.column.AbstractRenderer					org.opengion.hayabusa.db に移動
		org.opengion.plugin.io.TableReader_Default					org.opengion.hayabusa.io に移動
		org.opengion.plugin.io.TableWriter_Default					org.opengion.hayabusa.io に移動
		org.opengion.plugin.query.AbstractQuery						org.opengion.hayabusa.db に移動
		org.opengion.plugin.table.AbstractTableFilter				org.opengion.hayabusa.db に移動
		org.opengion.plugin.view.AbstractViewForm					org.opengion.hayabusa.html に移動

	[Javaソース削除]
	TLD に存在していないソース ２点と、JSPサンプルに使用されていないソース １点を削除します。
	SQLTag は、TLD からも削除します。
		hayabusa.taglib.JFreeChartTag.java			完全廃止(javaファイル削除) / すでに、TDLに存在しません。
		hayabusa.taglib.TableInOut.java				完全廃止(javaファイル削除) / すでに、TDLに存在しません。
		hayabusa.taglib.SQLTag.java					廃止タグ。サンプルJSPにないため、TDL から削除します。

	[ソースチェック XSLT定義修正]
	廃止タグ、廃止属性の警告の関係で、定義ファイルを修正しました。
	JFreeChartTag、TableInOut、SQLTag のクラス廃止
	headタグの useInputFocus属性、 writeTableタグの direct 属性を警告に追加しました。
	あと、画面表示で、display 属性を追加しました。
		gf\jsp\DOC18\xslt\GF70_PROG.xsl
		gf\jsp\DOC18\query.jsp
		gf\jsp\DOC18\result.jsp

	[tldファイル 整合性]
	hybs-taglib.tld の指定と、各カスタムタグの設定の整合性を取ります。
	以下の設定は、あくまで openGion のケースです。一般のTLDやカスタムタグの設定ルールと
	異なるケースがあります。

	・TLDファイルの body-content の設定
		JSP				：JSPとして解釈します。BODYを使う場合は、基本的に JSP です。
		tagdependent	：そのまま使用します。BODYを使わない場合に設定します。
		Empty			：BODYなしの場合の設定ですが、厳密にBODYを書いてはいけないので、基本、使いません。
	・doStartTag() の戻り値
		SKIP_BODY			：BODY部の評価を行いません。つまり、tagdependent とセットで使用します。
		EVAL_BODY_INCLUDE	：BODY部の評価を行いますが、バッファしません。つまり、doAfterBody()メソッドを呼ばないケースです。
								BODY に書かれた内容が、そのまま、出力されます。
		EVAL_BODY_BUFFERED	：BODY部の評価を行い、かつ、doAfterBody()メソッドを呼ぶ場合は、必須です。
								BODY に書かれた内容は出力されません。

	つまり、下記の組み合わせのみとします。
		BODYなし	tagdependent	SKIP_BODY			BODY部になにか書かれていてもなにもしない。
		BODYあり	JSP				EVAL_BODY_INCLUDE	BODY部のJSP結果がそのまま、出力されます。
		BODYあり	JSP				EVAL_BODY_BUFFERED	doAfterBody()を使用、または、BODY部の出力を明示的に制御したい場合。

	※ Empty が使えなくなった今、tagdependent と JSP の違いは、BODYあり/なし を明示的に示すためだけに
		設定することにします。すべてを、JSP に統一することも可能ですが、あえて区別することにします。
	※ EVAL_BODY_INCLUDE と EVAL_BODY_BUFFERED の違いは、doAfterBody() で値を使用するには、必ず
		EVAL_BODY_BUFFERED にしなければなりませんが、使わない場合は、BODY部に書かれた設定値を
		JspWriter に渡すかどうかの判定になります。
		EVAL_BODY_BUFFERED の場合は、BODY に書かれた内容は、JspWriter に渡されません。
		例えば、一連の処理をBODY部で実行させる場合、その結果（例えば、エラーメッセージ等も含む）を表示させたい
		場合は、EVAL_BODY_INCLUDE にしておく必要があります。
		逆に、BODY部のタグが、findAncestorWithClass などで上位の親に設定値をすべて渡してしまうケースでは、
		上位の親に doAfterBody() がなかったとしても、EVAL_BODY_BUFFERED として、JspWriter に出力しない
		ケースもありえます。

	・TLDファイルの body-content の設定
		InputTag.java					→	JSP

		DatabaseMetaDataTag.java		→	tagdependent
		DirectXMLSaveTag.java			→	tagdependent
		MailSenderTag2.java				→	tagdependent
		PopupTag.java					→	tagdependent
		RegistryQueryTag.java			→	tagdependent
		TableMergeTag.java				→	tagdependent
		TableUpdateParamTag.java		→	tagdependent
		TabListTag.java					→	tagdependent

	・doStartTag() の戻り値(処理用タグなので、BODY部の表示は出さない。)
		ViewMarkerTag					→	EVAL_BODY_BUFFERED
		ViewLinkTag						→	EVAL_BODY_BUFFERED
		EntryTag						→	EVAL_BODY_BUFFERED

		WEB-INF/hybs-taglib.tld
		src/META-INF/hybs-taglib.tld

	[Transaction 続き]
		fukurou.db.DBUtil.java		ほぼ、すべてのメソッドを修正、Transaction 対応メソッドを新規追加
		hayabusa.taglib.QueryTag#traceQuery( final String sql , final Transaction tran )
		hayabusa.taglib.TableExistTag.java		廃止タグなので、修正を行いません。
		hayabusa.taglib.DataCheckTag.java#doEndTag()
		hayabusa.taglib.DataCheckTag.java#checkSql( final String str, final ErrMessageManager manager, final String[] values ･･･
		hayabusa.taglib.DataCheckTag.java#checkRows( final String str, final ErrMessageManager manager, final Transaction tran )

		hayabusa.db.TableFilter#setApplicationInfo( ApplicationInfo appInfo ) ;				廃止
		hayabusa.db.TableFilter#setTransaction( Transaction tran ) ;						新規追加
		hayabusa.taglib.TableFilterTag#doEndTag()
		plugin.table.AbstractTableFilter#setApplicationInfo( ApplicationInfo appInfo ) ;	廃止
		plugin.table.AbstractTableFilter#setTransaction( Transaction tran ) ;				新規追加
		plugin.table.TableFilter_DBSELECT#execute()
		plugin.table.TableFilter_INDEX#execute()
		plugin.table.TableFilter_TABLE#execute()

	[DB定義DB・リソース連携改善]
	DB定義DB・リソース連携機能で、差分を取る際のリソースの検索方法について、'**'も含むことができるようにします。
		gf/jsp/GF2120

	[JSPチェック]
	データベース定義の変更
	VIEW_LENGTH、MAX_LENGTH の属性情報が、標準リソースと異なるので、
	ここでは別の名称に変更します。
	それぞれ、_LENGTH を _SIZE にし、桁数は、20桁とします。
		※ 前回分のおさらい。
			ALTER TABLE GF73 MODIFY ( USE_LENGTH VARCHAR2(20) NULL) ;
			ALTER TABLE GF73 RENAME COLUMN USE_LENGTH TO MAX_LENGTH;

			ALTER TABLE GF73 MODIFY ( VIEW_LENGTH VARCHAR2(20) ) ;
			ALTER TABLE GF73 MODIFY ( READONLY    VARCHAR2(20) ) ;
			ALTER TABLE GF73 MODIFY ( DISABLED    VARCHAR2(20) ) ;
			ALTER TABLE GF74 MODIFY ( DBID        VARCHAR2(20) ) ;

		※ 前回分から、さらに変更分
			ALTER TABLE GF73 RENAME COLUMN VIEW_LENGTH TO VIEW_SIZE;
			ALTER TABLE GF73 RENAME COLUMN MAX_LENGTH  TO MAX_SIZE;

		gf\jsp\DOC18\xslt\GF73_PROG.xsl
		gf\jsp\DOC13\result.jsp

	[spaceタグ修正]
	spase タグに、width 属性、colspan 属性を追加します。
	従来は、ラベル部分（前半部分）の大きさ(width 属性)を指定するための labelWidth 属性と
	値部分（後半部分）の大きさ(width 属性)を指定指定するための valueWidth 属性が
	ありましたが、全体の大きさを指定することができませんでした。
	そこで、全体の大きさとして、width 属性を指定できるようにしました。
	width 属性を指定した場合に、colspan を指定しなかった場合は、colspan="2" に強制的に
	セットされます。
		hayabusa.taglib.SpaceTag#release2()
		hayabusa.taglib.SpaceTag#makeTag()
		hayabusa.taglib.SpaceTag#setWidth( final String width )			新規追加
		hayabusa.taglib.SpaceTag#setColspan( final String colspan )		新規追加

	[selectタグ修正]
	select タグに、addNoValue 属性を追加します。
	この属性は、ColumnTag と、ColumnEditorTag にはありましたが、SelectTag には
	ありませんでした。
	（SelectTagは、option を自分で登録するため、NoValue も自分で登録できるので。）
	ここでは、ColumnTag と同様の方法で、NoValue を登録できるように修正します。
	（※ 初期値は、ColumnTag と異なり、false  に設定します。これは、旧環境との
		 互換性のためです。）
		hayabusa.taglib.SelectTag#doStartTag()
		hayabusa.taglib.SelectTag#release2()
		hayabusa.taglib.SelectTag#setAddNoValue( final String flag )			新規追加

	[andタグ修正]
	and タグに、matchKey 属性、matchVal 属性を追加します。
	and タグは、value 属性の中の、{@XXXX} が、null の場合、その条件を
	消します。ところが、条件そのものが分岐するケースの場合、引数が、
	null にならない場合や、条件違いで、検索するカラムが異なる場合など
	分岐処理が発生すると、equals タグで判断する必要が出てきます。
	SQL文のWHERE条件が、あまり複雑になると、見通しの悪いプログラムに
	なってしまいます。
	そこで、この and タグを利用する/しない の判断に、matchKey 、matchVal 
	属性を使えるように機能追加します。
	これは、Java の String クラスの、正規表現メソッドを利用して、
	matchKey.matches( matchVal ) が、true の場合のみ、and タグを使用するように
	します。ただし、matchKey 、matchVal どちらかが null の場合は、
	判定が無効ということで、true （利用する）とします。
		hayabusa.taglib.SqlAndTag#release2()
		hayabusa.taglib.SqlAndTag#doEndTag()
		hayabusa.taglib.SqlAndTag#setMatchKey( final String mkey )
		hayabusa.taglib.SqlAndTag#setMatchVal( final String mval )

	[コードリソースのサブセット対応]
	コードリソースは、予め決められたプルダウンを作成するための情報を
	持っていますが、それは、動的には変えることができません。
	（DBMENUは、Select文の引数次第で条件を変えることができます。）
	例えば、管理者と一般担当者で、選択できる項目が異なると、従来は、
	２種類のコードリソースを用意しておく必要がありました。
	また、進捗や状況、パターンに応じて、サブセットを用意したいケースが
	あったと思います。
	ここでは、codeList 属性を追加することにより、ここに、コードリソースの
	コード値のサブセット（選択範囲）をカンマ区切りで指定することで、
	指定のサブセットのみのコードリソースを再作成する機能を用意します。
		hayabusa.resource.CodeData#subset( final String codeCsv )
		hayabusa.resource.CodeData#subsetList( final String codeCsv ) 							新規追加
		hayabusa.resource.CodeData#subsetGroup( final String group ) 							新規追加
		hayabusa.resource.CodeData#subsetRole( final RoleMode role ) 							新規追加
		hayabusa.taglib.ColumnTag#release2()
		hayabusa.taglib.ColumnTag#setCodeList( final String list )
		hayabusa.taglib.ColumnTag#setCodeGroup( final String list )
		hayabusa.taglib.ColumnTag#getInsertTag( final DBColumn clm, final String value )
		hayabusa.taglib.ColumnEditorTag#release2()
		hayabusa.taglib.ColumnEditorTag#setCodeList( final String list )
		hayabusa.taglib.ColumnEditorTag#getModifyConfig( final DBColumn dbColumn )

	[tldファイルの修正]
	spaceタグの、width 属性、colspan 属性
	selectタグの、addNoValue 属性
	andタグの、matchKey 属性、matchVal 属性
	columnタグの、codeList 属性、codeGroup 属性
	columnEditorタグの、codeList 属性、codeGroup 属性
	Transactionタグ
	これらの属性追加に伴う、hybs-taglib.tld ファイルの更新を行います。
		WEB-INF/hybs-taglib.tld
		src/META-INF/hybs-taglib.tld

	[コードリソースの階層メニュー対応]
	Selection_DB には実装されている、optgroup (階層メニュー)を、Selection_CODE にも入れます。
	CodeData 、CodeDataLoader 上には、CODELVL などの階層メニューを作成するための
	属性は取得しているが、Selection_CODE で利用していません。
	データベースから直接取得する、Selection_DB では対応済みです。
	ここでは、Selection_CODE にも階層メニューを作成機能を実装します。
		hayabusa.resource.CodeData#	CodeData( final String clm, final Map<String,String[]> data )
		hayabusa.resource.CodeData#useGroup()													新規追加
		hayabusa.resource.CodeData#useParam()													新規追加
		hayabusa.resource.CodeData#getCodeGroup( final int seqNo,final String group )			廃止
		hayabusa.resource.CodeData#isUse( final int seqNo ) 									新規追加
		hayabusa.resource.CodeData#useRoleMode() 												新規追加
		hayabusa.db.Selection_CODE#Selection_CODE( final CodeData cdData )
		hayabusa.resource.CodeDataLoader#QUERY = "select CLM,CODE,
		hayabusa.resource.CodeDataLoader#QUERY2 = "select CLM,CODE,

	[秀丸エディタ 単語補完機能対応]
	秀丸エディタの 単語補完機能が、秀丸 Ver7 以降で利用可能になっています。
	これを受けて、jsp.hokan.txt ファイルを作成します。
	なお、これを、秀丸の実行フォルダにコピーし、ファイルタイプ別の単語補完設定を行います。
	※ このファイルを利用するに当たり、以下の設定も追記しておいてください。
		・[その他]→[ファイルタイプ別の設定]→[その他・単語補完]の単語補完の検索対象で、
			辞書ファイルとして、この、jsp.hokan.txt ファイルを登録します。
			ファイルタイプは、.jsp にしておきます。
		・辞書ファイルの詳細ボタンで、右下 ｢さらに｣ボタンをクリックします。
			・単語の先頭文字：<
			・単語の途中文字：: ="|
			という設定をしておく必要があります。
		その他の設定は、お好みで、お願いします。

		build.xml
		src/xslt/jspHokan.xsl

	[JavaDoc の整合性チェック機能追加]
		fukurou.taglet.DocletSpecific

		build.xml
		_build.bat

	[タグリブのトランザクション対応]
	通常のタグでは、コネクションプールより、その時々のコネクションを取り出して利用するため、
	タグごとに異なるコネクションで処理されます。
	また、commit や rollback などもそれぞれのタグで行われるため、連続処理時にエラーが
	発生しても、中途半端な状態になります。
	ここでは、各 DBID 単位にコネクションを共有し、このタグの間は、同じオブジェクトを
	commit や、rollback せずに使いまわすようにします。
	これにより、複数タグ間のトランザクションや、異なる DBID 間のトランザクションを
	実現します。
		fukurou.db.Transaction						新規追加
		fukurou.db.TransactionReal					新規追加
		fukurou.db.TransactionImpl					新規追加
		hayabusa.db.Query#setTransaction( final Transaction tran ) ;
		hayabusa.db.DBTableModelUtil#makeDBTable( final String stmt ,final String[] args ,
		hayabusa.common.HybsSystem#TRANSACTION_KEY = "h_tran";			セッションにセーブするキー
		plugin.query.AbstractQuery#init()
		plugin.query.AbstractQuery#commit()
		plugin.query.AbstractQuery#rollback()
		plugin.query.AbstractQuery#close()
		plugin.query.AbstractQuery#realClose()
		plugin.query.AbstractQuery#getConnection()
		plugin.query.AbstractQuery#setTransaction( final Transaction tran )
		hayabusa.taglib.TransactionTag				新規追加
		hayabusa.taglib.QueryTag#doAfterBody()
		hayabusa.taglib.DirectTableInsertTag#create( final BufferedReader reader ) 
		hayabusa.taglib.DirectWriteTableTag#create( final PrintWriter out )
		hayabusa.taglib.DirectXMLSaveTag#doEndTag()
		hayabusa.taglib.BizLogicTag#
		hayabusa.taglib.BizLogicTag#release2()
		hayabusa.taglib.BizLogicTag#execute()
		hayabusa.taglib.BizLogicTag#call( final BizLogic logic )
		hayabusa.taglib.QueryOptionTag#doAfterBody()
		hayabusa.taglib.UserInfoTag#doAfterBody()
		hayabusa.taglib.ValueTag#doAfterBody()

	[ConnData,ConnDataFactory の廃止(Deprecated)]
	fukurou専用のコネクション管理クラスでしたが、
	現在は、ConnectionFactory.java と DBConfig.xml が使用できますので、
	廃止します。(Deprecated)
		fukurou.process.ConnData
		fukurou.process.ConnDataFactory

	[JSPチェック]
	JSPファイルをUTF-8 でセーブする場合、BOM が付与されてしまうケースがありますが、
	BOMが付くと、XSLT 変換できないケースがあります。
	セーブするときに、BOM マーカーをOFF（つけない）します。
		gf\jsp\GF6170\entry.jsp
		gf\jsp\GF6170\result.jsp
		gf\jsp\GF6170\undo.jsp
		gf\jsp\GF6170\update.jsp
		gf\jsp\GF9130\entry.jsp
		gf\jsp\GF9130\result.jsp
		gf\jsp\GF9130\undo.jsp
		gf\jsp\GF9130\update.jsp
		gf\jsp\GF9140\entry.jsp
		gf\jsp\GF9230\entry.jsp
		gf\jsp\GF9230\result.jsp
		gf\jsp\GF9230\update.jsp
		gf\jsp\GF9430\entry.jsp
		gf\jsp\GF9430\result.jsp
		gf\jsp\GF9500\result.jsp
		gf\jsp\GF9540\result.jsp
		gf\jsp\GF9610\entry.jsp
		gf\jsp\GF9620\entry.jsp
	JSPソースチェックの XSLT と、実データベースの整合性が取れていなかったため、
	XSLT の修正と、DB定義の変更を行います。
	以前のDB定義見直し時の対応漏れ(Ver5 専用設計とします)
		(TEXT → TEXT_DATA)
			jsp\DOC18\xslt\GF70_PROG.xsl
			jsp\DOC18\xslt\GF73_PROG.xsl
		(KEYS → P_KEYS)
		(VALS → P_VALS)
			gf\jsp\DOC18\xslt\GF71_PROG.xsl
			gf\jsp\DOC18\xslt\GF72_PROG.xsl
		(NAME  → FORM_NAME)
		(VALUE → FORM_VAL)
			gf\jsp\DOC18\xslt\GF73_PROG.xsl
		(GF73 DB定義)
			gf\jsp\DOC13\result.jsp
			db\oracle\sql\01_TABLE\GF73S.sql
			db\oracle\xml\install\01_TABLE\GF73S.xml
		ALTER TABLE GF73 MODIFY ( USE_LENGTH VARCHAR2(20) NULL) ;
		ALTER TABLE GF73 RENAME COLUMN USE_LENGTH TO MAX_LENGTH;
			USE_LENGTH  VARCHAR2(9)    DEFAULT 0 NOT NULL     /* 150 使用桁数 */
				↓
			MAX_LENGTH  VARCHAR2(20)                          /* 150 使用桁数 */
		ALTER TABLE GF73 MODIFY ( VIEW_LENGTH VARCHAR2(20) ) ;
		ALTER TABLE GF73 MODIFY ( READONLY    VARCHAR2(20) ) ;
		ALTER TABLE GF73 MODIFY ( DISABLED    VARCHAR2(20) ) ;
			VIEW_LENGTH , READONLY , DISABLED 
  				VARCHAR2(10) → VARCHAR2(20)
		(NAMES     → CLMS)
		(QUERYTYPE → SQL_TYPE)
		(SCOPE     → JSP_SCOPE)
		(QUERY     → SQL_TEXT)
			gf\jsp\DOC18\xslt\GF74_PROG.xsl
		(GF74 DB定義)
			db\oracle\sql\01_TABLE\GF74S.sql
			db\oracle\xml\install\01_TABLE\GF74S.xml
		ALTER TABLE GF74 MODIFY ( DBID VARCHAR2(20) ) ;
			DBID      VARCHAR2(10)                           /* 90  データベースID */
							  ↓
			DBID      VARCHAR2(20)                           /* 90  データベースID */
		(VERSION → VERNO)
			gf\jsp\DOC18\xslt\GF76_PROG.xsl
		(NAME  → NAME_JA)
			gf\jsp\DOC18\xslt\GF79_PROG.xsl
	JSPチェックの新しい警告を追加します。
	match="og:view" の WARNING21A、WARNING21B、WARNING21C、WARNING21D
			jsp\DOC18\xslt\GF70_PROG.xsl
			jsp\DOC18\xslt\GF7X_PROG.xsl		削除
			gf\jsp\DOC18\query.jsp

	[DBConfig.xml編集機能追加]
	DBConfig.xmlを画面から編集するための機能を追加します。
	編集は、管理メニューの「接続先編集」から行います。
		jsp/common/gamen/05_DBCONFIG			追加
		hybs-taglib.tld
		org.opengion.fukurou.db.DatabaseConfig.DBID_INFO_KEYS
		org.opengion.fukurou.db.DatabaseConfig.DBDRIVER_CLASS_KEY
		org.opengion.fukurou.db.DatabaseConfig.init()
		org.opengion.fukurou.db.DatabaseConfig.reload()
		org.opengion.fukurou.db.DatabaseConfig.getDbidMap(Element, EDbid)
		org.opengion.fukurou.db.DatabaseConfig.getDbidInfoKeys()
		org.opengion.fukurou.db.DatabaseConfig.getDbidInfo()
		org.opengion.fukurou.db.DatabaseConfig.setDbidInfo(String[][])
		org.opengion.fukurou.db.DatabaseConfig.getDriverList()
		org.opengion.fukurou.db.DatabaseConfig.getDriverList(Element)
		org.opengion.fukurou.db.DatabaseConfig.setDriverList(String[])
		org.opengion.fukurou.xml.DomParser.write(File, Document)
		org.opengion.hayabusa.taglib.DataCheckTag.setSelectedAll(String)
		org.opengion.hayabusa.taglib.DataCheckTag.getParameterRows()
		org.opengion.hayabusa.taglib.DataCheckTag.release2()

	[Java業務ロジック改善]
	Java業務ロジックを実装しているorg.opengion.fukurou.businessパッケージで、タブリブなど外部クラスから
	情報をセットするためのメソッドと、業務ロジック内で使用する各種Utilメソッドを分離し、業務ロジックの
	各実装クラスから、不要なメソッドが見えないように改善します。
		org.opengion.fukurou.business.BizLogicHelper
		org.opengion.fukurou.business.BizLogic					削除
		org.opengion.fukurou.business.AbstractBizLogic
		org.opengion.fukurou.business.BizLogic_ENTRY
		org.opengion.fukurou.business.BizLogic_TABLE
		org.opengion.fukurou.business.BizLogic_CURSOR
		org.opengion.hayabusa.taglib.BizLogicTag.execute()
		org.opengion.hayabusa.taglib.BizLogicTag.call(String)

	[fileタグ改善]
	fileタグでファイルを読み込み(action="READ")する際のエンコードを指定できるようにします。
	エンコードを指定しない場合は、過去との互換性を考慮し、OS依存の文字コードでファイルを読み込みます。
		hybs-taglib.tld
		org.opengion.hayabusa.taglib.FileTag.release2()
		org.opengion.hayabusa.taglib.FileTag.actionExec(String)
		org.opengion.hayabusa.taglib.FileTag.setEncode(String)

	[メール送信・改善]
	メール送信時のパラメータとして、mail.smtp.localhostの設定を追加します。
	これは、openGionとSTMPが同一サーバーで動作している場合、メールサーバーの設定によっては、
	"501 Syntax: HELO hostname"というエラーメッセージが返される場合があります。
	これに対応するため、localhost接続時にも、ドメイン名つきのホスト名が適用されるように上記の
	設定を追加します。
		org.opengion.fukurou.mail.MailTX.MailTX(String, String)

	[文字種別追加(KCL)]
	全角+改行のみを許可する文字種別として"KCL"を追加します。
	これは、全角のみ(K)をベースとして、改行C(CR+LF)を許可する文字として追加したものになります。
		org.opengion.plugin.column.DBType_KCL

	[readTableタグ・自動読み取り機能のバグ修正]
	readTableでreaderClassを"AUTO"(自動読み取り)にした場合に、Excel以外の読み取りが正しく処理できない
	バグを修正します。
		org.opengion.hayabusa.taglib.ReadTableTag.doEndTag()

	[リソース登録画面・改善]
	画面リソース登録画面(カラム、コード、ラベル)で、同じ画面ID、アドレスで複数のデータを登録した場合に、
	画面上1件しか表示されないバグを修正します。
	従来は、異なる作成区分で同じ画面IDのデータについて、もっとも上位の作成区分のデータのみを表示させるため、
	画面ID+アドレスでグループ化して表示していましたが、画面リソースの構造上、画面ID、アドレス、作成区分が
	同じデータでもロール違いで登録できるため、今回の対応では、グループ表示そのものを廃止しています。
		ge/jsp/GE0002/result.jsp

	[ヘッダー固定不具合修正]
	画面遷移なし登録で、選択形式をラジオボタンや非選択形式にする、またはカスタムテーブルを使用した場合に、
	行を変更する度に、行の幅が広がってしまうバグを修正します。これは、5.1.4.0 (2010/03/01)の以下の修正と
	関連して、ヘッダーとデータ部の構造が異なる際に、ヘッダー部にコピーされる1行目のデータ部のtdのpaddingが
	0pxに設定されていないために起こります。今回の対応では、ヘッダー、データ部ともに左右のpaddingについては、
	明示的に0pxを指定するようにします。
	---------------------------------------------------------------------------------------------------
		[画面遷移なし登録・バグ修正]
		画面遷移なし登録で、viewFormTypeにHTMLCutomTableや、HTMLFormatTable等を使用している場合に、
		変更ボタン等を押すごとに、各項目の幅が少しずつ広がってしまうバグを修正します。
		これは、IEのCSS実装のバグで、IEでは、THタグのpaddingが0より大きい場合は、width属性の指定値と、
		その結果で表示されるサイズが異なってしまう問題があります。
		(但し、この場合でも、colgroupが指定されている場合(HTMLTableの場合)は、正しい値が返ります)
		今回の対応としては、ヘッダー固定時のTHタグのpaddingを0にします。
		(実際は、データ項目よりヘッダーの方が幅があるということは、レアケースであるため、影響はないと
		 判断しています)
			jsp/common/scrollBar2.js
			jsp/common/scrollBar2.css
	---------------------------------------------------------------------------------------------------
		jsp/common/scrollBar2.css

	[eventColumnバグ修正]
	5.1.8.0 (2010/07/01) の 以下の改善で、動的入替え(eventColumn)が動作しなくなっていた問題に対応します。
	----------------------------------------------------------------------------------------------------
	[DBColumnConfig 改善]
	DBColumnConfig ⇔ DBColumn 間の相互データ更新で、すべての内容をコピーしていなかったため、
	再作成すると属性が抜けてしまっていた。
	必要な属性を設定するように修正。
	今回は、DBColumnConfig の コンストラクタの修正は行っていませんので、セッターメソッドで
	データを設定しています。
		org.opengion.hayabusa.db.DBColumnConfig#setRawEditParameter( final String param )
		org.opengion.hayabusa.db.DBColumnConfig#setRawRendParameter( final String param )
		org.opengion.hayabusa.db.DBColumn#getConfig()
	----------------------------------------------------------------------------------------------------
		jsp/common/eventColumn.jsp
		org.opengion.hayabusa.db.DBColumnConfig
		org.opengion.hayabusa.db.DBEventColumn
		org.opengion.hayabusa.taglib.SelectTag

	[DB定義DB・リソース連携バグ修正]
	DB定義DBのリソース連携機能で、属性差分更新時に、ラベルリソースが更新されず、新規に追加されてしまう
	バグを修正します。
		gf/jsp/GF2120/GFM0010.jsp,GFM0011.jsp

	[リソース登録画面・改善]
	リソース登録画面(カラム、コード、ラベル)で、カラムを検索条件に指定しない状態で、登録を行うと、
	再検索時に、登録したデータしか表示されない不具合を修正します。
		ge/jsp/GE0003/entry.jsp
		ge/jsp/GE0004/entry.jsp
		ge/jsp/GE0005/entry.jsp
		ge/jsp/REP03/entry.jsp

	[dataCheckタグ改善]
	dataCheckタグで、エラーが発生した際、エラー表示の前後に処理・表示を行うJSPをincludeできる機能を追加します。
	通常、entry.jspでdataCheckを行う場合は、entry.jsp内で/jsp/common/history_back.jspをincludeしているため、
	別途戻るボタンなどのJSPをincludeする必要はありません。
	しかし、update.jspでエラーチェックを行った場合は、エラー発生時のみ、戻るボタンを表示する必要があります。
	このような場合に対応するため、エラー発生時のみ、処理を行うことが出来る機能を追加します。
		hybs-taglib.tld
		org.opengion.hayabusa.taglib.DataCheckTag.doEndTag()
		org.opengion.hayabusa.taglib.DataCheckTag.includeJsp(String)
		org.opengion.hayabusa.taglib.DataCheckTag.release2()
		org.opengion.hayabusa.taglib.DataCheckTag.setBeforeErrorJsp(String)
		org.opengion.hayabusa.taglib.DataCheckTag.setAfterErrorJsp(String)
		jsp/common/history_back.jsp

	[columnCheckタグ改善]
	columnCheckタグで、ラジオボタンなど、同じ名前で複数の要素を持つ項目に対して、必須チェックを自動行った場合、
	エラーメッセージが要素数分出力されてしまう問題に対応します。
		org.opengion.hayabusa.taglib.ColumnCheckTag.makeErrorMessage(ErrorMessage)

	[Java業務ロジック改善]
	パラメーターを設定する際、int型、double型でもString.ValueOf()を行うことなく、直接登録できるように
	します。但し、内部的には、String.ValueOf()を呼び出して、String型で管理していますので、値を取り出す際は、
	vari(),vard()等、戻り値の型に対応したメソッドを呼び出す必要があります。
		org.opengion.fukurou.business.AbstractBizLogic.set(String, int)
		org.opengion.fukurou.business.AbstractBizLogic.set(String, double)

	[各種修正（ドキュメント関係）]
	JavaDoc関係のワーニングや、設定漏れなど、繻子瑛しました。
	詳細は、5.1.9.0_refactoring.txt に記述しておきます。
		・@og.tag は、taglib 専用のタグ説明用の キーワードです。
		・【TAG】は、タグリブ用のキーワードです。
		・Javadoc で、パッケージ 説明のHTML(package.html)を追加します。
		・@Deprecated の説明(コメント)追加
		・public 定数のJavaDocコメント追加
		・public定数 ⇒ private定数に変更
		・そものも、定数自体を廃止
		・protected 定数のJavaDocコメント追加
		・@param の記述が不足しているものに、追記しました。
		・@return の記述が不足しているものに、追記しました。

	[自動インストール対応]
	画面からシステムのインストールを行うことの出来る機能を追加します。
	インストールは、管理メニューの「システムインストール」の画面から行います。
	インストール方法の詳細(インストールアーカイブの形式)は、sysInstallタグのタブリブドキュメントを
	参照して下さい。
		hybs-taglib.tld								sysInstallタグ追加
		jsp/common/gamen/06_INSTALL
		org.opengion.hayabusa.common.SystemInstaller
		org.opengion.hayabusa.common.SystemParameter.loadDBResource(Map<String, String>)
		org.opengion.hayabusa.taglib.SysInstallTag

5.1.8.0 (2010/07/01)
	[PostgreSQL対応]
	openGionでは、select文の結果から、DBTableModelの作成や各種パラメーターへのセットする際は、select文の
	項目名を全て大文字化して、管理しています。
	これは、元々のベースであるOracleが項目名を全て大文字で管理しているからです。
	一方、PostgreSQLでは、項目名は、基本的に全て小文字として扱われます。これはselect文発行時に、項目名に別名を
	つけた場合でも同様で、結果として返される項目名は、全て小文字になります。
	しかしながら、一部のロジックにおいて、大文字化が不十分であったため、今回はその対応を行っています。
		org.opengion.hayabusa.io.HybsJDBCCategoryDataset.innerQuery(Connection, String)
		org.opengion.fukurou.business.AbstractBizLogic.execSQL(String, int, ArrayTableModel)

	[Java業務ロジック・バグ修正]
	引数のチェック不備により、NullPointerExceptionが発生するバグを修正します。
		org.opengion.fukurou.business.AbstractBizLogic.replaceParam(String, int, ArrayTableModel)

	[ファイル入力(Calc)・バグ修正]
	Calcからのファイル読み込みで、セル内に書式設定がされている場合に、内容が正しく読み取れないバグを修正します。
		org.opengion.plugin.io.TableReader_Calc.DomOdsParser.processRow(Element, int)

	[ReadTableタグ・自動読み取り改善]
	ReadTableタグの自動読み取り機能で、Calcも自動読み取りの対象とします。
	なお、読み取りの優先順は、Excel、Calc、Text(UnicodeLittle)、Text(Windows-31J)です。
		org.opengion.hayabusa.taglib.ReadTableTag.doEndTag()

	[直列化復元]
	直列化復元の際に設定されないtransientフィールドがあります。
	readObject メソッド中で、初期化する必要があります。
	writeObject 、readObject メソッドを新規に追加します。
		hayabusa.servlet.TestCometServlet#writeObject( final ObjectOutputStream strm ) throws IOException {
		hayabusa.servlet.TestCometServlet#readObject( final ObjectInputStream strm ) throws IOException , ClassNotFoundException {

	初期化漏れの対応
	変数 tabData の初期化が行われていなかったため、処理を追加します。
		hayabusa.taglib.TabLinkTag#readObject( final ObjectInputStream strm ) throws IOException, ClassNotFoundException {

	[Exception キャッチ]
	Exceptionが発生しないのにExceptionをキャッチしています。正式なExceptionをキャッチするように対応します。
	ここでは、IOException と、InvalidFormatException をキャッチします。
		plugin.io.TableReader_Excel#readDBTable() {

	[ユーザーリソース登録画面・改善]
	ユーザーリソース登録画面で、初期ログインFG='0'(初期)のデータが2件登録できないようにチェックをを行います。
	これは、2件存在する場合、どちらのロールでログイン処理が行われるかが判別できなくなるためです。
		ge/jsp/GE0001/entry.jsp

	[3色ボタン・改善]
	フレームを拡大・縮小するための3色ボタンについて、マトリクスメニューから各画面を表示した際に、
	メニューの縮小ボタンを押すと、フレームサイズが不正になり、画面が表示されなくなるバグを修正します。
		jsp/common/toggleFrame.js

	[ユーザーIDの大文字・小文字区別化]
	userInfoの作成で、従来は、ログインIDを全て大文字として扱っていましたが、これを大文字・小文字を区別
	して処理するように変更します。
		org.opengion.hayabusa.taglib.HeadTag.sessionInit()

	[Java業務ロジック・改善]
	テーブル系の処理を行うためのJava業務ロジック(BizLogic_TABLE)で、#first()、#last()を
	行ループの中で呼び出しするように変更します。
		org.opengion.fukurou.business.BizLogic_TABLE.main()

	[lint , pmd , findbugs などのチェック]
	各種バグ発見ツールによるチェックを行いました。
	メソッドの置換え、変数名修正、不要 import 削除など。
	・META-INF/hybs-taglib.tld 属性削除(andのandVals、jspInitのdebug、reportのencode)
	詳細は、5.1.8.0_refactoring.txt を参照願います。

	[enum NativeType 機能追加]
	指定の文字列のNativeType の判定処理を行うメソッドを、enum NativeType クラスに追加しました。
	これにより、従来より、StringUtil.getNativeType( String ) で行われていた判定処理を、
	NativeType.getType( String ) 処理に置き換えます。
		fukurou.model.NativeType#getType( final String str )					新規追加
		fukurou.util.getNativeType( final String str )							廃止
		fukurou.business.ArrayTableModel#getNativeType( final int clm )
		fukurou.model.ArrayDataModel#getNativeType( final int clm )
		fukurou.process.LineModel#getNativeType( final int clm )
		hayabusa.report2.OdsContentParser#getNativeType( final String key, final String val )

	[ViewFormTag 修正]
	ViewFormTag で、同時設定の不可属性のチェック方法を、各メソッドから、doStartTag() の
	最初に移動します。
	同時設定属性 = (columnWritable,noWritable,columnDisplay,noDisplay,columnGroup,noGroup)
	以前は、属性へのセットの順番が不明なため、チェックロジックが複雑 かつ 間違いがありました。
	すべて受け取ってから、判断するようにすると、簡単になります。
		org.opengion.hayabusa.taglib.ViewFormTag#doStartTag()
		org.opengion.hayabusa.taglib.ViewFormTag#setColumnWritable( final String columnName )
		org.opengion.hayabusa.taglib.ViewFormTag#setNoWritable( final String columnName )
		org.opengion.hayabusa.taglib.ViewFormTag#setColumnDisplay( final String columnName )
		org.opengion.hayabusa.taglib.ViewFormTag#setNoDisplay( final String columnName )
		org.opengion.hayabusa.taglib.ViewFormTag#setColumnGroup( final String group )
		org.opengion.hayabusa.taglib.ViewFormTag#setNoGroup( final String group )

	[ヘッダー固定・バグ修正]
	左右分割でヘッダー固定を使用した際に、画面遷移時に左右位置の表示位置が異なるバグを修正します。
		jsp/common/scrollBar2.js

	[選択行スクロール・バグ修正]
	5.1.1.1 (2009/12/02)の以下の修正の影響で、ある画面から行を選択し、ヘッダー固定を行わない画面に
	対して、遷移した場合にJavaScriptのエラーが出る不具合を修正します。
	---------------------------------------------------------------------------------------------
		5.1.1.1 (2009/12/02)
		[選択行スクロール・バグ修正]
		行選択後、画面遷移した際に、選択行に自動的に遷移する機能で、ヘッダーラベルに改行が
		含まれている場合に、入力行が隠れてしまう(スクロールし過ぎてしまう)バグを修正します。
		このバグを修正するため、スクロールする際の基準となる行を、既存の「選択行の1つ前」から
		「選択行自身」に変更します。
			jsp/common/default.js#focus2()
			org.opengion.plugin.view.AbstractViewForm.isFirstChecked(int)
	---------------------------------------------------------------------------------------------
		jsp/common/default.js

	[Viewタグ・バグ修正]
	5.1.7.0 (2010/06/01)の以下の改善によりviewFormType="HTMLCustomData"等で、不要なdivタグが
	出力されてしまう不具合に対応します。
	対応としては、画面遷移なし登録の場合に限って、divタグを必ず出力するようにし、それ以外の場合は、
	従来通り(useHilightRow="false"でdivも出力しない)とします。
	--------------------------------------------------------------------------------------------
		[画面遷移なし登録・バグ修正]
		画面遷移なし登録で、行が1件もない状態で追加ボタンを押した際、update.jspのviewの設定で、
		useHilightRowがfalseになっていると正しく行が表示されないバグを修正します。
		これは、update.jspから返されるHTMLをresult.jspに挿入する際に、「div onclick="hilightRow」
		という文字列でマッチさせていたためですが、useHilightRowをoffにすると、このdivが出力されない
		ために、マッチせず、データが表示されていませんでした。
		今回の対応では、useHilightRowでも、<div id="divHlr" は必ず出力するようにすることで、属性値の
		true/falseに関わらず処理できるようにします。
			/jsp/common/option/noTransision.js
			org.opengion.hayabusa.taglib.ViewFormTag.doEndTag()
	---------------------------------------------------------------------------------------------
		org.opengion.hayabusa.taglib.ViewFormTag.doEndTag()

	[編集種別追加]
	編集種別として新たにCHBOX2,RADIO2を追加します。
	これらの編集種別は、従来("2"が付かないもの)とは異なり、checkboxまたは、radioボタン特有の機能、
	コードリソースへの依存を一切持たず、編集種別="TEXT"とinputのtype属性のみが異なる実装になっています。
		org.opengion.plugin.column.Editor_CHBOX2
		org.opengion.plugin.column.Editor_RADIO2

	[Java業務ロジック・改善]
	{@xxx}の処理で、{@xxx}が連続した場合や、{@xxx}が初めに来たときに正しくパースされない不具合を修正します。
		org.opengion.fukurou.util.SystemParameter.SystemParameter(String)

	[DBColumnConfig 改善]
	DBColumnConfig ⇔ DBColumn 間の相互データ更新で、すべての内容をコピーしていなかったため、
	再作成すると属性が抜けてしまっていた。
	必要な属性を設定するように修正。
	今回は、DBColumnConfig の コンストラクタの修正は行っていませんので、セッターメソッドで
	データを設定しています。
		org.opengion.hayabusa.db.DBColumnConfig#setRawEditParameter( final String param )
		org.opengion.hayabusa.db.DBColumnConfig#setRawRendParameter( final String param )
		org.opengion.hayabusa.db.DBColumn#getConfig()

	DBColumnConfig のメソッド名変更(setDefValue ⇒ setDefault)
		org.opengion.hayabusa.db.DBColumnConfig#getDefault() 
		org.opengion.hayabusa.db.DBColumnConfig#setDefault( final String dataDef )
		org.opengion.hayabusa.db.DBColumn#DBColumn( final DBColumnConfig config )
		org.opengion.hayabusa.taglib.ColumnEditorTag#getModifyConfig( final DBColumn dbColumn )
		org.opengion.plugin.table.TableFilter_ROTATE#getRotateTable()

	[ViewForm 関連改善]
	columnGroup 指定関係の改善
	同一表示データをまとめる機能を強化しました。
	従来は、指定のカラムが、前の行と同じ値の場合に、空文字列(ゼロ文字列)にしていましたが、
	これでは、本当に空文字列なのか、前の値と同じなのか区別が付きません。
	そこで、groupClass 属性を追加し、前の行と同じときの動作を指定できるようにしました。
	groupClass 属性に設定する値は、特殊なので、注意が必要です。
	  記号の場合：
	      記号(-- , → , ↓ , * など）が指定された場合は、そのままの文字に置き換えられます。
		  初期値は、空文字列(ゼロ文字列)です。
	  アルファベットの場合：
	      アルファベット(a-z,A-Z)の場合は、<span class="アルファベット">元の文字</span>
	例えば、バックカラーに色を付ける、文字を薄い灰色にする、などできます。
	ただし、データ量が圧倒的に増えるため、大量のデータ等で使用するのは避けたほうが良いと思います。
	この修正にあわせて、noGroup (まとめないカラム名を指定する)方法を追加しました。
	columnGroup との同時使用は出来ません。
		org.opengion.hayabusa.html.ViewForm#setNoGroup( final String group )				新規追加
		org.opengion.hayabusa.html.ViewForm#setGroupClass( final String grpCls )			新規追加
		org.opengion.plugin.view.AbstractViewForm#clear()
		org.opengion.plugin.view.AbstractViewForm#setNoGroup( final String group )				新規追加
		org.opengion.plugin.view.AbstractViewForm#setGroupClass( final String grpCls )			新規追加
		org.opengion.plugin.view.AbstractViewForm#enum CLM_GRP { KIGO , CHAR };
		org.opengion.plugin.view.AbstractViewForm#getRendererValue( final int row,final int column , final String inVal )
		org.opengion.hayabusa.taglib.ViewFormTag#release2()
		org.opengion.hayabusa.taglib.ViewFormTag#doEndTag()
		org.opengion.hayabusa.taglib.ViewFormTag#setColumnWritable( final String columnName )	実装修正
		org.opengion.hayabusa.taglib.ViewFormTag#setNoWritable( final String columnName )		実装修正
		org.opengion.hayabusa.taglib.ViewFormTag#setColumnGroup( final String group )			実装修正
		org.opengion.hayabusa.taglib.ViewFormTag#setNoGroup( final String group )				新規追加
		org.opengion.hayabusa.taglib.ViewFormTag#setGroupClass( final String grpCls )			新規追加

		gf/jsp/DOC02/result.jsp						サンプル
		hybs-taglib.tld 追加（noGroup,groupClass）

	上記の修正に便乗して、boolean 配列への初期値設定の方法を、一つのメソッドに統一しました。
		org.opengion.plugin.view.AbstractViewForm#setBooleanArray( final String clsm , final boolean def , final boolean[] arrays )
		org.opengion.plugin.view.AbstractViewForm#setColumnWritable( final String columnName )
		org.opengion.plugin.view.AbstractViewForm#setNoWritable( final String columnName )
		org.opengion.plugin.view.AbstractViewForm#setColumnDisplay( final String columnName )
		org.opengion.plugin.view.AbstractViewForm#setNoDisplay( final String columnName )
		org.opengion.plugin.view.AbstractViewForm#setColumnGroup( final String group )
		org.opengion.plugin.view.AbstractViewForm#setNoGroup( final String group )
		org.opengion.plugin.view.AbstractViewForm#setTableSorterKeys( final String columnName )
		org.opengion.plugin.view.AbstractViewForm#setWritableControl( final String wrtCtrl )

	Viewの行単位のゼブラ処理で、TR(テーブル要素の行指定) に class 属性を付与できるようにします。
	これは、bgColorClsClm で指定のカラムの値を、各行の class 要素として出力します。
	このとき、ヘッダー固定のJavaScriptの関係で、クラス名は、"row_XX" 形式にする必要があります。
	（同時に、それに対応するように、JavaScript本体も修正します。
		org.opengion.hayabusa.taglib.ViewFormTag#doEndTag()
		org.opengion.hayabusa.taglib.ViewFormTag#release2()
		org.opengion.hayabusa.taglib.ViewFormTag#setBgColorClsClm( final String clsClm ) 			新規追加

		org.opengion.hayabusa.html.ViewForm#setBgColorClsClm( final String clsClm )					新規追加
		org.opengion.plugin.view.AbstractViewForm#setBgColorClsClm( final String clsClm )			新規追加
		org.opengion.plugin.view.AbstractViewForm#getBgColorCycleClass( final int row ) 			修正

		ge/jsp/common/option/jqog.js				row_0,row_1 ･･･ をrow_ だけ見るように修正
		gf/jsp/common/option/jqog.js				row_0,row_1 ･･･ をrow_ だけ見るように修正
		gf/jsp/DOC02/result.jsp						サンプル
		hybs-taglib.tld 追加（bgColorClsClm）

	[ValueTag 改善]
	value が NULL の時に、設定するかどうか(true/false)を指定する、nullSet 属性を廃止します。
	内部ロジックを削除し、インターフェースは、互換性のために残します。
	ただし、早期にメソッドそのものも廃止される可能性がありますので、Ver5 のJSP移行時に、
	属性の削除をお願いします。
		org.opengion.hayabusa.taglib.ValueTag#doStartTag()
		org.opengion.hayabusa.taglib.ValueTag#release2()
		org.opengion.hayabusa.taglib.ValueTag#setAttribute( final String key,final String value,final String action )
		org.opengion.hayabusa.taglib.ValueTag#setSQLAttribute( final DBTableModel table )
		org.opengion.hayabusa.taglib.ValueTag#setNullSet( final String flag )						廃止(論理的)
		org.opengion.hayabusa.taglib.ValueTag#toString()

		org.opengion.hayabusa.taglib.CommonTagSupport#release2()
		org.opengion.hayabusa.taglib.CommonTagSupport#getRequestValue( final String key, final boolean xssCheckFlg )
		org.opengion.hayabusa.taglib.CommonTagSupport#setUseValue( final boolean flag )				廃止

		gf/jsp/
		common\eventColumnMaker.jsp(45): <og:value command="SQLGET" nullSet="false" xssCheck="false">
		common\fileDownload.jsp(102): 	<og:value command="SET" key="MODELNAME" value="{@MODELNAME}Renderer" nullSet="false" />
		common\gamen\12_GUIMAKEGUI\selectTable.jsp(19): 		<og:value command="SQL" dbid="{@SYS.DEV_DBID}" nullSet="false">
		common\gamen\12_GUIMAKEGUI\selectTable.jsp(27): 		<og:value command="SET" key="asTable" value="{@AS_TABLE}" nullSet="false" />
		DOC04\query.jsp(26): <og:value command="SQL" nullSet="false">

		ge/jsp/
		common\eventColumnMaker.jsp(45): <og:value command="SQLGET" nullSet="false" xssCheck="false">
		common\fileDownload.jsp(102): 	<og:value command="SET" key="MODELNAME" value="{@MODELNAME}Renderer" nullSet="false" />
		common\gamen\12_GUIMAKEGUI\selectTable.jsp(19): 		<og:value command="SQL" dbid="{@SYS.DEV_DBID}" nullSet="false">
		common\gamen\12_GUIMAKEGUI\selectTable.jsp(27): 		<og:value command="SET" key="asTable" value="{@AS_TABLE}" nullSet="false" />

	[XML関連クラス 追加]
	JSP画面のXMLパースの基本クラスとして、JspSaxParser.java および、関連クラスを追加します。
	これは、SAXParser を利用した、独自のOGNode/OGElement オブジェクトを取得する、ユーティリティークラスです。
	DOM で構築した Element では、属性の並び順が保障されません。
	そこで、独自に、OGElement をSAXパーサーから作成することで、簡易的に DOM 的なオブジェクトを作成しています。
	これは、XML パース用に用意したというより、JSP をパーすするために今後も拡張していきます。
	JSPをパースする目的は、JSP画面 ⇒ 仕様書DB ⇒ JSP画面 というサイクルを設けて、画面の自動作成への流れを
	作ることにあります。
		org.opengion.fukurou.xml.JspSaxParser.java					新規作成
		org.opengion.fukurou.xml.OGAttributes.java					新規作成
		org.opengion.fukurou.xml.OGDocument.java					新規作成
		org.opengion.fukurou.xml.OGElement.java						新規作成
		org.opengion.fukurou.xml.OGNode.java						新規作成
		org.opengion.fukurou.xml.OGNodeType.java					新規作成

	[GUESTユーザー対応]
	ユーザー認証が行われないページにおいて、GUESTユーザーとしてログインできる機能を追加します。
	この機能については、既に実装されていましたが、利用するには、headタグでuseGuest="true"を個別に指定する
	という設計思想でしたが、現状の実装では、この属性をJSP上で設定しても、反映されません。
	(つまり、GUESTユーザー機能が有効にならない)
	今回の対応では、useGuest="true"を指定しない場合でもGUESTユーザーが有効になるようにします。
	但し、この場合でも、実際にGUESTユーザーを利用するには、ユーザーリソースにGUESTユーザーを別途意図的に
	登録する必要があります。
		org.opengion.hayabusa.taglib.HeadTag.sessionInit()

	[Java業務ロジック・改善]
	①bizLogicタグでvalsを指定する際、同じキーで複数のパラメーターが存在した場合に、値を連結する機能を
	  追加します。これを利用するには、bizLogicタグでmulti="true"を指定する必要があります。
	②bizLogicタグでkeysだけを指定してvalsを指定しない場合に、Keysで指定された項目名に対応するパラメーターを
	  自動的に取得し、Valsとして使用するようにします。
	③lineメソッドで存在しないカラムを指定した場合に、NullPointerExceptionが発生するバグを修正します。
	④パラメーターのキー一覧、テーブルのキー一覧を返すメソッドを追加します。
	⑤bizの配下にあるclassファイルも自動コンパイルのクラスパスとして追加します。
		hybs-taglib.tld
		org.opengion.fukurou.business.AbstractBizLogic.line(String, int)
		org.opengion.fukurou.business.AbstractBizLogic.lineKeys()
		org.opengion.fukurou.business.AbstractBizLogic.varKeys()
		org.opengion.hayabusa.taglib.BizLogicTag.setMulti(String)
		org.opengion.hayabusa.taglib.BizLogicTag.release2()
		org.opengion.hayabusa.taglib.BizLogicTag.setVals(String)
		org.opengion.hayabusa.taglib.BizLogicTag.makeVals()
		org.opengion.hayabusa.taglib.BizLogicTag.doEndTag()

	[Java業務ロジック・バグ修正]
	①fukurou.jarが読み込まれず、自動コンパイルが正常に動作しないバグを修正します。
	②ソースコードのエンコーディングがOS依存になっていましたが、これをUTF-8固定にします。
		org.opengion.hayabusa.taglib.BizLogicTag
		org.opengion.fukurou.util.HybsLoader.compileClass(String)

	[表示種別追加・複数件QUERY型]
	表示種別として、「複数件QUERY型」を新規に追加します。
	この表示種別では、単一データを取得するQUERY型と異なり、複数件のデータが存在した場合に、
	各値を<span>タグで連結して返します。
	また、QUERY定義で、第2パラメーターにclass属性を指定することができますので、各データを縦に並べて
	表示したり、各各データ毎に文字色を変更することもできます。
	各項目に対して、表示種別を画面から登録するには、システムID:**、作成区分:0(エンジン)で定義されている
	RENDERERのコードリソースで、MULTIQUERYのコード値が定義されている必要があります。
		org.opengion.plugin.column.Renderer_MULTIQUERY

	[リソース登録画面・バグ修正]
	リソース登録画面で"エラーデータを除外"の機能が利用できない不具合を修正します。
		ge/jsp/GE0002/update.jsp
		ge/jsp/GE0003/update.jsp
		ge/jsp/GE0004/update.jsp
		ge/jsp/GE0005/update.jsp
		ge/jsp/GE0007/update.jsp
		ge/jsp/GE0008/update.jsp

	[グループメニューバグ修正]
	グループメニューで、コードリソースのキーが存在しない場合にエラーとなるバグを修正します。
		org.opengion.hayabusa.taglib.TopMenuTag.makeTagMenuString(String, String, String, String, int)

	[画面帳票発行機能改善]
	画面帳票発行機能で、画面から出力する帳票雛形ファイルを、先に対応したコメント形式に変更します。
		jsp/common/gamen/14_EDIT/download.jsp
		org.opengion.plugin.io.TableWriter_CalcDef.writeData(DBTableModel, PrintWriter)
		org.opengion.plugin.io.TableWriter_CalcDef.createTextCell(OdfFileDom, String, DBColumn, Boolean, Boolean)
		org.opengion.plugin.io.TableWriter_CalcDefAno		新規追加

	[全チェック機能改善]
	全チェックを押した状態でresult.jspからupdate.jsp等に遷移した場合に、遷移先のJSPでも全チェックボックスが
	チェックされた状態になるように改善します。
		org.opengion.hayabusa.taglib.ViewFormTag.doStartTag()
		org.opengion.plugin.view.AbstractViewForm.getAllCheckControl()

	[画面リソース登録画面改善]
	画面リソース登録画面で、追加時に、システムID+画面ID+アドレス+作成区分で存在チェックをかけるようにします。
		ge/jsp/GE0002/entry.jsp

	[Calc帳票システム・コメント定義機能追加]
	Calc帳票システムで、コメントに{@xxx_n}の定義ができる機能を追加します。
	従来は、セルに対して、{@xxx_n}の定義を行う必要があったため、データの桁数を確認しながら雛形を定義する
	ことができませんでした。
	今回の機能追加では、{@xxx_n}の定義を、そのセルのコメントとして定義することで、セルには、一般的な
	帳票開発ツールと同じように、XXXXX(文字型)、99999(数値型)を記述することができるようになり、出力結果を
	イメージしながら雛形の開発を行うことができるようになります。
	また、テキストボックスなどのオブジェクトに対しても、「名前」の定義に{@xxx_n}の記述することができます。
	但し、この機能を利用するには、以下の制約があります。
	(1)コメントまたは、オブジェクトの名前に変数を定義する場合、項目定義の先頭には、必ず"ANO."を付加し、
	   {@ANO.xxx_n}の形式で定義する必要があります。
	(2)コメントまたは、オブジェクトの名前に{@ANO.xxx_n}が定義された場合、そのセル全体が{@ANO.xxx_n}の値に
	   よって置き換わります。このため、これらのセルについては関数定義などを行うことはできません。
	また、この定義方法の詳細については、別途マニュアルを用意します。
		org.opengion.hayabusa.report2.TagParser.checkKey(String, StringBuilder)
		org.opengion.hayabusa.report2.OdsContentParser.writeParsedRow(String, BufferedWriter, String, String)
		org.opengion.hayabusa.report2.OdsContentParser.parseByAnnotation(String, int, String, StringBuilder)
		org.opengion.hayabusa.report2.OdsContentParser.isCell(String, int)

	[Calc帳票システム・改善]
	Calc帳票システムで、セルの値に{@xxx_n}を定義し、これを変換すると、データが数値の場合に先頭に'が
	付加されてしまう問題に対応します。
	これは、セルの定義で、数値タイプを指定していても、セルの内容が文字列({@xxx_n})である場合に、Calcが
	自動的に文字列であると判断し、この状態で数値データを埋め込むと、データの先頭に'が付加されてしまいます。
	今回の対応では、カラムの定義で、数値タイプの場合は、パース時にセルの定義を数値型に置き換えることで、
	先頭の'が付加されないようにします。
	なお、数値タイプかどうかの判断については、ローカルリソース使用時はリソース定義から、未使用時はデータ
	に応じて数値タイプかどうかを判断します。
		org.opengion.hayabusa.report2.OdsContentParser.writeParsedRow(String, BufferedWriter, String, String)
		org.opengion.hayabusa.report2.OdsContentParser.changeType(String, int, String, String, NativeType, StringBuilder)
		org.opengion.hayabusa.report2.OdsContentParser.getNativeType(String, String)

	[Calc帳票システム・グラフ対応]
	Calc帳票システムで、雛形で定義されたグラフが正しく出力されるように改善します。
	グラフ表示については、1つの雛形シートから複数シートが出力された場合でも、それぞれのシートで
	独立して、シート毎のデータでグラフ表示が行われます。
	但し、グラフデータで他のシートのデータを参照することはできません。自身のシートのデータのみを
	参照することができます。
	また、グラフ対応に伴い、内部のパースロジックを共通化を行い、内部処理を見直しています。
		org.opengion.hayabusa.report2.OdsSheet					新規追加
		org.opengion.hayabusa.report2.TagParser					新規追加
		org.opengion.hayabusa.report2.OdsContentParser.appendValue(String, int, String, StringBuilder)
		org.opengion.hayabusa.report2.OdsContentParser.writeParsedRow(String, BufferedWriter, String, String)
		org.opengion.hayabusa.report2.OdsContentParser.replaceOoocError(String)
		org.opengion.hayabusa.report2.OdsContentParser.execStyles()
		org.opengion.hayabusa.report2.OdsContentParser.replaceGraphInfo(String, String, String)
		org.opengion.hayabusa.report2.OdsContentParser.parseGraphContent(String, String, String)
		org.opengion.hayabusa.report2.OdsContentParser.parseManifest(String, String[])

	[エラーメッセージ表示改善]
	システムエラー発生時に画面に表示されるエラーメッセージを改善し、テーブル形式でエラーメッセージが
	表示されるようにします。
		ラベルリソース(SYSERR)			追加
		jsp/common/error.jsp
		org.opengion.hayabusa.taglib.ErrorTag.getTableMsg(Throwable)
		org.opengion.hayabusa.taglib.ErrorTag.VIEW_MSGTYPE
		org.opengion.hayabusa.taglib.ErrorTag.setViewMsgType(String)
		org.opengion.hayabusa.taglib.ErrorTag.doEndTag()

	[画面帳票発行機能・画面改善]
	画面帳票発行機能の帳票定義画面を見直しします。
		jsp/image/hatena_min.gif
		jsp/common/gamen/14_EDIT/

	[forwardタグ・バグ修正]
	5.1.7.0 (2010/06/01)の以下の修正で、forwardタグのpage属性にhttpから始まる外部URLを直接記述した
	場合に、自身の画面IDが付加されてしまうバグを修正します。
		org.opengion.hayabusa.taglib.ForwardTag.doEndTag()
	----------------------------------------------------------------------------------------------
		[og:forwargタグ改善]
		og:forwardタグでGAMENIDをパラメーターとして渡すようにします。
		gamenId属性で指定された場合はその画面IDが、指定されていない場合は、自身の画面IDが渡されます。
		また、過去との互換性を考慮し、keys属性にGAMENIDが含まれている場合は、valsで指定されている
		画面IDが優先されます。
			org.opengion.hayabusa.taglib.ForwardTag.doEndTag()
	----------------------------------------------------------------------------------------------

	[ラベルリソース登録画面修正]
	ラベルリソース登録画面で、言語を検索条件に指定しない場合に、日本語のデータしか表示されないバグを
	修正します。
		ge/jsp/GE0005/result.jsp

	[ヘッダーソート機能・バグ修正]
	ヘッダーソート機能で、result.jsp以外のJSPをforward.jsp経由で呼び出した場合に、ヘッダーソートが
	正しく機能しないバグを修正します。
	これは、forward.jspに記述されているcommonForwardタグの遷移先の制御で、command=VIEWの場合に、必ず
	result.jspに遷移していたためです。
	今回の対応では、直前にアクセスされたJSPに遷移するように変更し、result.jsp以外でもヘッダーソート
	機能が正しく動作するようにします。
		org.opengion.hayabusa.taglib.CommonForwardTag.getForwardURI(HttpServletRequest, HttpSession)

5.1.7.0 (2010/06/01)
	[ヘッダー固定・バグ修正]
	ヘッダー固定(ScrollBar2.js)で、tdタグで指定した高さが無視されてしまうバグを修正します。
		jsp/common/scrollBar2.css

	[画面キャプチャ機能 追加]
	org.opengion.fukurou.util.DisplayCapture.java クラスを新規に追加します。
	これは、画面イメージをキャプチャして、ファイルに書き出すためのクラスです。
	基本的な使い方は、main メソッドから立ち上げて、クリップボードの状態を監視します。
	クリップボードに、"GUI:画面ID xxxxx.jsp" 形式の文字が書き込まれると、flavorsChanged イベントが
	発生して、画面を、ファイルに書き出す処理が実行されます。
	書き出すファイル名の初期形式は、useGuiDir の設定により異なります。
		org.opengion.fukurou.util.DisplayCapture.java	新規追加
		gf\jsp\custom\result_info_Capture.jsp			クリップボードに画面IDとJSPファイル名をセットする。

		 * Usage: java org.opengion.fukurou.util.DisplayCapture
		 *                   [BASE_DIR] [useGuiDir(false/true)] [imageFormat(png|gif|jpg)] [startCnt]
		 *
		 *     args[0]  BASE_DIR    : キャプチャファイルをセーブするベースとなるディレクトリ(初期値：起動フォルダ)
		 *     args[1]  useGuiDir   : キャプチャ画像をセーブするファイル方式を指定します。(初期値：false)
		 *                            true(保存時は、ベースフォルダに、画面ID＋jspファイル名で、ファイルを作成する)
		 *                            false(保存時に画面IDのフォルダを作成し、その下に、jspファイル名で、ファイルを作成する。) 
		 *     args[2]  imageFormat : 作成するイメージの形式。png|gif|jpg のどれか。
		 *     args[3]  startCnt    : セーブファイル名をユニークにするためのカウント(初期値：100)

	[DBConfig.xml 取得方法変更]
	DBConfig.xml の取得方法を、jaxb とDBConfig.xsd 方式から、DocumentBuilder による DOM処理に変更します。
	スキーマの定義情報をコンパイルして、毎回、作り直す処理は、複雑なためです。
	ただし、DBConfig.xml を変更した場合は、読取クラスも修正する必要があります。
	＃ 以前は、DBConfig.xsd を変更するだけで、Javaのソースを自動作成していました。しかし、実際には
	＃ 修正箇所は、何箇所も発生するため、スキーマからJavaソースを作成するメリットはありませんでした。
	これに伴い、org.opengion.fukurou.xml.jaxb.dbid のクラスは、廃止されます。
		org.opengion.fukurou.xml.DomParser.java					新規追加
		org.opengion.fukurou.db.DatabaseConfig.java				大幅書き換え
		org.opengion.fukurou.db.EDbid.java						Cloneable の追加と、メソッドの若干の修正
		org.opengion.fukurou.xml.jaxb.dbid.DbConfig.java		廃止
		org.opengion.fukurou.xml.jaxb.dbid.DbDriver.java		廃止
		org.opengion.fukurou.xml.jaxb.dbid.Dbid.java			廃止
		org.opengion.fukurou.xml.jaxb.dbid.ObjectFactory.java	廃止
		org.opengion.fukurou.xml.jaxb.dbid.DBConfig.xsd			廃止
		gf/build.xml											DBConfig.xsd 廃止に伴う修正

	[filter関連修正]
	filter関連で、isClosed == true の場合に 安全のため、Exception を発行していますが、
	これを、無視して、単に、return のみとします。
	これは、GZIPResponseWrapper の finishResponse() メソッドで、
		public void finishResponse() {
			Closer.ioClose( writer );
			Closer.ioClose( stream );
		}
	のような処理を行っていますが、writer 自体が、stream を元に作られているため、
	writer の close() で、自動的に、stream もclose() されています。

	この処理で、Closer.ioClose( stream ) を止めれば、解決すると思われますが、
	何らかの問題で、IO関連のリソースが開放されないケースでは、システムダウンにも
	繋がりかねないため、すでに、close 済みの場合は、何もしないという実装で対処します。
		org.opengion.hayabusa.filter.FileResponseStream#flush()
		org.opengion.hayabusa.filter.FileResponseStream#write(final int bt)
		org.opengion.hayabusa.filter.FileResponseStream#write(final byte bt[], final int off, final int len)
		org.opengion.hayabusa.filter.GZIPResponseStream#flush()
		org.opengion.hayabusa.filter.GZIPResponseStream#write(final int bt)
		org.opengion.hayabusa.filter.GZIPResponseStream#write(final byte bt[], final int off, final int len)

	[og:view(フォーマット処理)バグ修正]
	og:viewタグで、HTMLFormatテーブルやHTMLCustomテーブルを利用して、Body部分にフォーマットを記述した際、
	そのフォーマット部分に{@xxx}形式の変数が存在し、さらにその値に"["が含まれてる場合、その値が
	フォーマット定義として処理されてしまい、エラーとなる問題に対応します。
	今回の対応では、og:view、og:tbody、og:thead、og:tfoot、og:Itdの各タグで、{@xxx}の変数の値に"["が含ま
	れていた場合は、予めサニタイズ(無効化)し、表示時に戻すという処理を加えることで、その値がフォーマット
	定義として処理されないようにします。
		org.opengion.fukurou.util.SystemParameter.getColumns()
		org.opengion.fukurou.util.SystemParameter.getFormats()
		org.opengion.hayabusa.html.TableFormatter.getFormat()
		org.opengion.hayabusa.html.TableFormatter.getTrTag()
		org.opengion.hayabusa.html.TableFormatter.makeFormat(DBTableModel)
		org.opengion.hayabusa.html.TableFormatter.decodeSanitizedStr(String)
		org.opengion.hayabusa.taglib.CommonTagSupport.getSanitizedBodyString()
		org.opengion.hayabusa.taglib.ViewFormTag.doAfterBody()
		org.opengion.hayabusa.taglib.TFormatTag.doEndTag()

	[columnタグ、selectタグのdefaultVal属性の改善]
	columnタグ、selectタグでcommandがRENEWの場合は、defaultValを適用しないようにします。。
	これは、defaultValの値が埋め込まれた項目が存在する画面に戻った際に、
	defaultValの項目の値がnullとなっていた場合に、defaultValの値が復元されると、
	検索結果との不一致が発生するためです。
	※この問題は、command=NEW(画面リンクした場合)でも発生します。
	  しかし、この場合、遷移先の画面がエントリー画面などであった場合は、defaultValが適用されないと
	  問題が発生する可能性があります。
	  このため、command=NEWの場合の問題を根本的に解決するには、今回の対応方法ではなく、画面遷移時の
	  forward制御を見直す必要があります。
	  具体的には、forward.jspでcommand=NEWの場合に、自動的にresult.jspに遷移するのではなく、query.jspで
	  自動サブミットさせることで、これをトリガとして、result.jspを表示することで、query.jspとresult.jspの
	  整合性をあわせることができます。
	  但し、この方法も、result.jspのみが存在し、query.jspが存在しない場合に、result.jspが開かなくなる可能性があります。
	  つまり、JSPを変えないと言う前提の上では、対応は困難であるため、command=NEWに対する対応は見送っています。
		org.opengion.hayabusa.taglib.ColumnTag.doStartTag()
		org.opengion.hayabusa.taglib.SelectTag.doStartTag()

	[ポップアップボタン・閉じるボタン標準化]
	ポップアップ画面で、閉じるボタンを標準化します。
	閉じるボタンを表示するには、query.jspでpopup_info.jsp、または、popup_info.jsp_minを
	インクルードして下さい。
	(ポップアップ画面の標準雛形もこれをインクルードするように変更しています。)
		/jsp/custom/popup_info.jsp
		/jsp/custom/popup_info.jsp_min
		/jsp/image/close.gif
		/jsp/image/close_min.gif
		/gf/jsp/GF9510/query.jsp

	[1行用のヘッダー追加]
	クエリ部分に表示される標準のヘッダー(query_info.jsp)について、表示領域の高さを縮小したものを
	標準として提供します。
	これを利用するには、custom/query_info.jsp_minを標準のcustom/query_info.jspと置き換えて下さい。
		/jsp/custom/query_info.jsp_min
		/jsp/image/separator_min
		/jsp/image/back_min.gif

	[Calc帳票・シートブレイク機能追加]
	Calc帳票システムで、データを埋め込む雛形シートを動的に切り替えることのできる機能を追加します。
	この機能を利用するには、以下の手順を踏む必要があります。
	①1つの雛形ファイルに対して、複数シートSHEET1,SHEET2を定義しておく
	②帳票レイアウト定義で、(SHEETBREAK)という項目を予め用意しておき、その項目の値としてシート名
	  (SHEET1,SHEET2)を定義しておく。
	これにより、SHEETBREAKのシート名がブレイクしたタイミングでデータを埋め込むシートを切り替える
	ことができます。
		org.opengion.hayabusa.report2.OdsContentParser.SHEET_BREAK
		org.opengion.hayabusa.report2.OdsContentParser.execContent()
		org.opengion.hayabusa.report2.OdsContentParser.getBodyValue(String, int)
		TEST10.ods							シートブレイク用のサンプル追加

	[Calc帳票システム・バグ修正]
	Calc帳票システムで雛形シートにセル参照(セルBをセルAの参照にするなど)を行った際に、正しくパース
	されない不具合を修正します。
		org.opengion.hayabusa.report2.OdsContentParser.replaceOoocError(String)

	[tableUpdateタグ・SQLインジェクション対策対応]
	tableUpdateタグでSQLインジェクション対策を行うための、quotCheck属性が利用できるようにします。
	但し、現状のJSPとの互換性を考慮し、初期値は、false(SQLインジェクションチェックを行わない)です。
		hybs-taglib.tld
		org.opengion.hayabusa.taglib.TableUpdateTag.doStartTag()
		org.opengion.hayabusa.taglib.TableUpdateTag.release2()
		org.opengion.hayabusa.taglib.TableUpdateTag.setQuotCheck(String)

	[ヘッダーソート機能・バグ修正]
	ヘッダーソート後に画面遷移し、戻ってきた際にstartNoがクリアされるバグを修正します。
		org.opengion.hayabusa.taglib.ViewFormTag.doStartTag()

	[画面遷移なし登録・バグ修正]
	画面遷移なし登録で、行が1件もない状態で追加ボタンを押した際、update.jspのviewの設定で、
	useHilightRowがfalseになっていると正しく行が表示されないバグを修正します。
	これは、update.jspから返されるHTMLをresult.jspに挿入する際に、「div onclick="hilightRow」
	という文字列でマッチさせていたためですが、useHilightRowをoffにすると、このdivが出力されない
	ために、マッチせず、データが表示されていませんでした。
	今回の対応では、useHilightRowでも、<div id="divHlr" は必ず出力するようにすることで、属性値の
	true/falseに関わらず処理できるようにします。
		/jsp/common/option/noTransision.js
		org.opengion.hayabusa.taglib.ViewFormTag.doEndTag()

	[ファイルダウンロード機能強化]
	標準のファイルダウンロード機能について、進む・戻る後、またはヘッダーソート後でもダウンロードできる
	ようにします。
	なお、ヘッダーソート後にダウンロードした場合は、ソートされた状態で出力されます。
		org.opengion.hayabusa.taglib.FileUDTag.doEndTag()
		org.opengion.hayabusa.taglib.ForwardTag.doEndTag()

	[Excel連結機能対応]
	Excel連結を行う機能を追加します。
	この機能を利用するには、og:docConvertタグを利用します。
	このタグで、inputFileにカンマ区切りで複数ファイルを指定することで、ファイルを連結して、出力します。
	なお、現状は、ファイルの連結は、入力ファイルがExcelまたはCalcファイルの場合のみ対応しています。
	(出力形式は、Excel、Calc、PDFのいずれかが指定可能)
	また、内部実装には、OpenOffice.orgを利用しているため、この機能を利用するには、OpenOfficeが正しく設定
	されている必要があります。
		gf/jsp/GF6420
		org.opengion.hayabusa.report2.SOfficeProcess.checkEnv(String)
		org.opengion.hayabusa.report2.SOfficeProcess.getDispatcher()
		org.opengion.hayabusa.report2.SOfficeProcess.getTempPath()
		org.opengion.hayabusa.report2.ExecProcess
		org.opengion.hayabusa.report2.DocConverter_OOO				(DocConverterからクラス名を変更)
		org.opengion.hayabusa.taglib.DocConvertTag

	[DBMENUのパラメーター対応]
	DBMENUでパラメーター{@XXXX}が利用できるように対応します。
		org.opengion.hayabusa.taglib.ColumnTag.getInsertTag(DBColumn, String)
		org.opengion.hayabusa.taglib.ViewFormTag.doStartTag()
		org.opengion.hayabusa.db.DBColumn.isNeedsParamParse()

	[動的プルダウン見直し]
	動的プルダウン見直しの実装の大幅な見直しを行います。
	[変更内容]
	①内部ロジック実装の大幅な見直し(将来的にはカラム以外の置き換え(div要素の動的置き換え)にも対応します)
	②表示項目の動的置き換えの対応
	③カラムを入れ替えた際にカラムの各種属性が入れ替え後にも引き継がれるように対応
	④その他各種バグ修正
		(a)プルダウン項目を子カラムとして場合に初期値がセットされないバグを修正
		(b)フォーカスアウトで、次の項目が置き換えられた時、置き換えた項目にフォーカスが当たらないバグを修正
		(c)< , > がSQL文中で利用できないバグを修正
		gf/jsp/GF6410
		hybs-taglib.tld									valueタグ、columnタグにxssCheck属性を追加
		jsp/common/htmlend.jsp
		jsp/common/eventColumnSql.jsp														廃止
		jsp/common/eventColumn.jsp															新規追加
		jsp/common/eventColumn.js
		jsp/common/eventColumnMarker.jsp
		jsp/common/jquery/jquery.js															1.4.2にバージョンアップ
		org.opengion.hayabusa.common.HybsSystem.EVENT_COLUMN_CLASS
		org.opengion.hayabusa.common.HybsSystem.EVENT_COLUMN_WRITABLE
		org.opengion.hayabusa.common.HybsSystem.EVENT_COLUMN_ID
		org.opengion.hayabusa.common.HybsSystem.EVENT_COLUMN_INITVAL
		org.opengion.hayabusa.db.DBEventColumn												新規追加
		org.opengion.hayabusa.db.DBColumn.DBColumn(String, ColumnData, LabelData, CodeData)
		org.opengion.hayabusa.db.DBColumn.getRawParam()										廃止
		org.opengion.hayabusa.db.DBColumn.getRawEditParam()
		org.opengion.hayabusa.db.DBColumn.getRawRendParam()
		org.opengion.hayabusa.db.DBColumnConfig.getRawParameter()							廃止
		org.opengion.hayabusa.db.DBColumnConfig.getRawEditParameter()
		org.opengion.hayabusa.db.DBColumnConfig.getRawRendParameter()
		org.opengion.hayabusa.db.DBColumnConfig.setRawParameter(String)
		org.opengion.hayabusa.db.DBColumn.getEventColumnTag(String, String, boolean)
		org.opengion.hayabusa.db.DBColumn.getEventColumnTag(String, String, int, boolean)
		org.opengion.hayabusa.html.StringFormat												org.opengion.plugin.columnから移動
		org.opengion.hayabusa.taglib.CommonTagSupport.addEventColumn(String, String)		廃止
		org.opengion.hayabusa.taglib.CommonTagSupport.addEventColumn(String, String, String, String, String, String)
		org.opengion.hayabusa.taglib.CommonTagSupport.addEventColumn(DBColumn)
		org.opengion.hayabusa.taglib.ColumnTag.doAfterBody()
		org.opengion.hayabusa.taglib.ColumnTag.release2()
		org.opengion.hayabusa.taglib.ColumnTag.setXssCheck(String)
		org.opengion.hayabusa.taglib.ColumnTag.getInsertTag(DBColumn, String)
		org.opengion.hayabusa.taglib.ColumnEditorTag.doAfterBody()
		org.opengion.hayabusa.taglib.ColumnEditorTag.setParameter(String)
		org.opengion.hayabusa.taglib.QueryOptionTag.doAfterBody()
		org.opengion.hayabusa.taglib.QueryOptionTag.doEndTag()
		org.opengion.hayabusa.taglib.QueryOptionTag.release2()
		org.opengion.hayabusa.taglib.QueryOptionTag.getEventColumn()						廃止
		org.opengion.hayabusa.taglib.SelectTag.makeTag()
		org.opengion.hayabusa.taglib.SelectTag.setRawParam(String)
		org.opengion.hayabusa.taglib.SelectTag.release2()
		org.opengion.hayabusa.taglib.ValueTag.doStartTag()
		org.opengion.hayabusa.taglib.ValueTag.doAfterBody()
		org.opengion.hayabusa.taglib.ValueTag.doEndTag()
		org.opengion.hayabusa.taglib.ValueTag.release2()
		org.opengion.hayabusa.taglib.ValueTag.setXssCheck(String)
		org.opengion.hayabusa.taglib.ValueTag.commandExec(String)
		org.opengion.hayabusa.taglib.ValueTag.getSQLAttribute(DBTableModel)
		org.opengion.hayabusa.taglib.ViewFormTag.doEndTag()
		org.opengion.plugin.view.AbstractViewForm.init(DBTableModel)
		org.opengion.plugin.view.AbstractViewForm.getRendererValue(int, int, String)
		org.opengion.plugin.view.AbstractViewForm.getEditorValue(int, int, String)
		org.opengion.plugin.view.AbstractViewForm.setColumnWritable(String)
		org.opengion.plugin.view.AbstractViewForm.setNoWritable(String)
		org.opengion.plugin.view.AbstractViewForm.setUseEventCols()
		org.opengion.plugin.column.AbstractEditor.AbstractEditor(DBColumn)
		org.opengion.plugin.column.AbstractEditor.getValue(String)
		org.opengion.plugin.column.AbstractEditor.getValue(int, String)
		org.opengion.plugin.column.AbstractEditor.createEventColumnJS(String, String, int, String)	廃止
		org.opengion.plugin.column.Editor_AUTOAREA.getValue(String)
		org.opengion.plugin.column.Editor_AUTOAREA.getValue(int, String)
		org.opengion.plugin.column.Editor_DBMENU.Editor_DBMENU(DBColumn)
		org.opengion.plugin.column.Editor_DBMENU.getValue(String)
		org.opengion.plugin.column.Editor_DBMENU.getValue(int, String)
		org.opengion.plugin.column.Editor_DBMENU.getOption(TagBuffer, String, boolean)
		org.opengion.plugin.column.Editor_DBRADIO.getValue(int, String)
		org.opengion.plugin.column.Editor_DBRADIO.getValue(String)
		org.opengion.plugin.column.Editor_HIDDEN.Editor_HIDDEN(DBColumn)
		org.opengion.plugin.column.Editor_INDBMENU
		org.opengion.plugin.column.Editor_INDBMENU.getOption(TagBuffer, String)
		org.opengion.plugin.column.Editor_MENU.Editor_MENU(DBColumn)
		org.opengion.plugin.column.Editor_MENU.getValue(String)
		org.opengion.plugin.column.Editor_MENU.getValue(int, String)
		org.opengion.plugin.column.Editor_MENU.getValue(int, String)
		org.opengion.plugin.column.Editor_QUERY.getValue(int, String)
		org.opengion.plugin.column.Editor_QUERY.getValue(String)
		org.opengion.plugin.column.Editor_TEXTAREA.getValue(String)
		org.opengion.plugin.column.Editor_TEXTAREA.getValue(int, String)
		org.opengion.plugin.column.Renderer_DBMENU.getValue(int, String)
		org.opengion.plugin.column.Renderer_DBMENU.getValue(String)
		org.opengion.plugin.column.Renderer_FORM
		org.opengion.plugin.column.Renderer_FORM.getValue(String)
		org.opengion.plugin.column.Renderer_QUERY
		org.opengion.plugin.column.Renderer_QUERY.getValue(String)

	[左右分割画面不具合対応]
	左右分割画面で、右側のビューに他画面のリンク・マーカーがセットされてしまうバグを修正します。
	これは、右側のビュー表示のcommandが"VIEW"で設定されていることにより、他画面のビュー情報のキャッシュが
	復元されてしまうため発生します。(通常、右側のビューは、viewFormId="viewX2"となっており、他画面で
	同じviewFormIdが存在すると、復元されてしまう)
	今回の対応では、ビュー情報をキャッシュから復元する条件を厳しくし、同一画面IDのキャッシュ情報のみしか
	復元しないようにします。
		org.opengion.hayabusa.html.ViewForm.setGamenId(String)
		org.opengion.hayabusa.html.ViewForm.getGamenId()
		org.opengion.plugin.view.AbstractViewForm.setGamenId(String)
		org.opengion.plugin.view.AbstractViewForm.getGamenId()
		org.opengion.hayabusa.taglib.ViewFormTag.doStartTag()

	[og:forwargタグ改善]
	og:forwardタグでGAMENIDをパラメーターとして渡すようにします。
	gamenId属性で指定された場合はその画面IDが、指定されていない場合は、自身の画面IDが渡されます。
	また、過去との互換性を考慮し、keys属性にGAMENIDが含まれている場合は、valsで指定されている
	画面IDが優先されます。
		org.opengion.hayabusa.taglib.ForwardTag.doEndTag()

	[Calc帳票64Bit対応]
	Calc帳票が64Bit版Javaでも動作するように対応します。
	但し、64Bit版Javaで動作させる場合は、システムリソースのREPORT_OOO_CONN_TYPEを"TCP"に設定した上で、
	"そのサーバー上で動作する他のCalc帳票と重複しない"ようにREPORT_OOO_MIN_PORTを設定する必要があります。
	REPORT_OOO_MIN_PORTについては、「プロセス毎に割り当てるポート番号を初期値」ですので、REPORT_OOO_MIN_PORT
	を基準として、プロセスの最大数分までのポート番号は予め明けて置いてください。
	----------------------------------------------------------------------------------------------------
	設定例) REPORT_OOO_CONN_TYPE = "TCP"、REPORT_OOO_MIN_PORT = "8100"、REPORT_MAX_PROCESS_COUNT = "256"
			の場合、8100から、最大で8355までのポート番号が自動で割り振られます。
	----------------------------------------------------------------------------------------------------
	但し、プロセスを起動しようとしたポート番号が、他のプロセス(OpenOffice以外のプロセスを含む)で、
	既にバインド(使用中)の場合は、そのポート番号をスキップした上で空きポートを検索します。
		org.opengion.hayabusa.common.SystemData.REPORT_OOO_CONN_TYPE
		org.opengion.hayabusa.common.SystemData.REPORT_OOO_MIN_PORT
		org.opengion.hayabusa.report2.ProcessFactory.ProcessPool.createInstance()
		org.opengion.hayabusa.report2.SOfficeProcess.ENV_DIR
		org.opengion.hayabusa.report2.SOfficeProcess.bootstrap()
		org.opengion.hayabusa.report2.SOfficeProcess.execOffice(String, String, int)
		org.opengion.hayabusa.report2.SOfficeProcess.getConnParam(String)
		org.opengion.hayabusa.report2.SOfficeProcess.getProcParam(String)
		org.opengion.hayabusa.report2.SOfficeProcessTcp									新規作成

	[og:popupタグ改善]
	og:popupタグでポップアップ先に渡すコマンドを指定できるようにします。
	従来は、JavaScriptでcommand="NEW"を固定で渡していましたが、今回の対応で、これを引数として
	渡せるようにします。
		hybs-taglib.tld
		jsp/common/ogPopup.js
		org.opengion.hayabusa.taglib.PopupTag.release2()
		org.opengion.hayabusa.taglib.PopupTag.setCommand(String)
		org.opengion.hayabusa.taglib.PopupTag.makePopup(boolean)

	[og:errorMessageタグ改善]
	エラー・ワーニングメッセージの後に改行を入れるようにします。
	「登録しました。」(displayMsg)の後には、改行が入っているため、これに仕様を合わます。
		org.opengion.hayabusa.taglib.ErrorMessageTag.makeTitle()

5.1.6.0 (2010/05/01)
	[docConvertタグ追加]
	xlsやodsなど各種ファイルを変換するためのタグを追加します。
	--- Javadocより抜粋 ------------------------------------------------------------
	変換を行うことのできる入出力のフォーマット以下の通りです。
	[対応フォーマット]
		入力[Calc(ODS)   ,Excel(XLS)     ] -> 出力[Calc(ODS)   ,Excel(XLS)     ,PDF]
		入力[Writer(ODT) ,Word(DOC)      ] -> 出力[Writer(ODT) ,Word(DOC)      ,PDF]
		入力[Impress(ODP),PowerPoint(PPT)] -> 出力[Impress(ODP),PowerPoint(PPT),PDF]
	--------------------------------------------------------------------------------
		hybs-taglib.tld
		jsp/GF6420												サンプル画面追加
		org.opengion.hayabusa.taglib.DocConvertTag
		org.opengion.hayabusa.report2.ExecProcess.output(String...)
		org.opengion.hayabusa.report2.OdsConverter				廃止
		org.opengion.hayabusa.report2.DocConverter				新規追加

	[リアルタイム帳票・マルチスレッド対応]
	画面からのリアルタイム帳票機能のマルチスレッド対応を行います。
	具体的には、リクエスト毎のスレッドを生成することで、マルチスレッド対応を行います。
	但し、デーモン起動時とは異なり、生成されたスレッドは、処理後、WAITすることなく、
	即座にスレッドを終了します。
		org.opengion.hayabusa.report2.ExecThread.finishAfterExec()
		org.opengion.hayabusa.report2.ExecThreadManager.insertQueueOnNewThread(ExecQueue)
		org.opengion.hayabusa.report2.QueueManager_DIRECT.create()

	[DBTypeの初期値]
	DBTypeの初期値を "XK" とし、各種設定時にこれを使用するように変更します。
		org.opengion.hayabusa.db.DBType#DEF_TYPE = "XK" ;		追加
		org.opengion.hayabusa.db.DBTypeFactory#newInstance( final String id )
		org.opengion.hayabusa.db.DBColumnConfig#DBColumnConfig( final String name )
		org.opengion.hayabusa.db.DBColumnConfig#DBColumnConfig(	final String	lang		, ・・・
		org.opengion.hayabusa.db.DBColumnConfig#setDbType( final String dbType )
		org.opengion.hayabusa.resource.ColumnData#ColumnData( final String[] data ) 

	[TableWriterのDbType判定方法の初期化]
	TableWriter で、DbType が、NVAR や S9,R などの場合の処理分岐を、
	事前にチェックしておく方法に変更します。
	現時点で、TableWriter_Default 、TableWriter_Renderer などで、判定方法（の順番）の
	相違による動作の違い（先のDBTypeがnullの場合のエラーの発生の仕方が異なる）
	が発生しているため。
	処理的にも、データ件数分の判定を行っているため、事前にカラム作成時に
	判定しておくほうが効率的にもなります。
		org.opengion.plugin.io.TableWriter_Default#createDBColumn()
		org.opengion.plugin.io.TableWriter_Default#writeData( final DBTableModel table,final PrintWriter writer )
		org.opengion.plugin.io.TableWriter_Default#writeData( final DBTableModel table,final PrintWriter writer )
		org.opengion.plugin.io.TableWriter_CSV#writeData( final DBTableModel table,final PrintWriter writer )
		org.opengion.plugin.io.TableWriter_CSV2#writeData( final DBTableModel table,final PrintWriter writer )
		org.opengion.plugin.io.TableWriter_Data#writeData( final DBTableModel table,final PrintWriter writer )
		org.opengion.plugin.io.TableWriter_Data2#writeData( final DBTableModel table,final PrintWriter writer )
		org.opengion.plugin.io.TableWriter_Renderer#writeData( final DBTableModel table,final PrintWriter writer )
		org.opengion.plugin.io.TableWriter_T#writeData( final DBTableModel table,final PrintWriter writer )
		org.opengion.plugin.io.TableWriter_XML#writeData( final DBTableModel table,final PrintWriter writer )
		org.opengion.hayabusa.io.TableWriter#NUMBER_TYPE_LIST	削除

	[readDBTableのエラーチェック強化]
	読み取るファイルが、０件の場合で、かつ、#NAME が見つからない、または、
	columns で設定されていない場合（つまり、DBTableModel が作成されなかった場合）は、
	エラーにします。
		org.opengion.plugin.io.TableReader_Default#readDBTable( final BufferedReader reader )

	[readDBTableのcolumns対応]
	TableReader_Default.java などに実装されている、columns が設定されている場合は、
	その情報を使用する対応を実装します。
	あと、useNumber 属性が考慮されていなかったので、それも対応しておきます。
		org.opengion.plugin.io.TableReader_Excel$HeaderData#setColumns( final String columns )
		org.opengion.plugin.io.TableReader_Excel$HeaderData#setUseNumber( final boolean useNumber )
		org.opengion.plugin.io.TableReader_Excel#readDBTable()
		org.opengion.plugin.io.TableReader_JExcel$JxlHeaderData#setColumns( final String columns )
		org.opengion.plugin.io.TableReader_JExcel$JxlHeaderData#setUseNumber( final boolean useNumber )
		org.opengion.plugin.io.TableReader_JExcel#readDBTable()
	useNumber 属性を考慮
		org.opengion.plugin.io.TableReader_Calc#makeHeaderFromClms()

	[ReadTable系 機能追加]
	ReadTable系で、入力データの読み飛ばし機能を追加します。
	タグ属性は、skipRowCount とします。
		org.opengion.hayabusa.taglib.ReadTableTag#release2()
		org.opengion.hayabusa.taglib.ReadTableTag#setSkipRowCount( final String count )
		org.opengion.hayabusa.taglib.ReadTableTag#create( final BufferedReader out )
		org.opengion.hayabusa.io.TableReader#setSkipRowCount( final String count )
		org.opengion.hayabusa.io.TableReader#getSkipRowCount()
		org.opengion.hayabusa.io.TableReader#readDBTable( final BufferedReader reader )
		org.opengion.plugin.io.TableReader_Calc#makeDBTableModel( final RowInfo[] rowInfoList )
		org.opengion.plugin.io.TableReader_Excel#readDBTable()
		org.opengion.plugin.io.TableReader_JExcel#readDBTable()
	動作確認用に、JSPを修正します。
		jsp/GF6370/query.jsp
		jsp/GF6370/entry.jsp
		jsp/GF6370/result.jsp

	[forwardタグ・日本語ファイル名の文字化け対応(Firefox対応)]
	Firefoxでforwardタグ経由で、日本語ファイル名のファイルをダウンロードした場合に、文字化けが発生する
	バグを修正します。
	このバグは、ブラウザ毎に日本語ファイル名の取り扱いが異なるためです。(詳細は以下を参照下さい)
	--------------------------------------------------------------------------------------------
	[日本語ファイル名でダウンロードさせる方法]
	(1)IEの場合
		①ファイル名(URL)に直接日本語(Shift_JIS)を指定。
		②Content-Dispositionヘッダに、UTF-8でURLエンコード(x-www-form-urlencoded)
			された日本語を指定する。
			(※ただし、Content-Dispositionヘッダのファイル名に拡張子がふくまれない
			場合は、URLでコードされないため、%xx...のままのファイル名でダウンロード
			される)
	(2)FireFoxの場合
		①Content-Dispositionヘッダに、UTF-8でMIMEエンコーディングを指定する
	--------------------------------------------------------------------------------------------
		org.opengion.hayabusa.taglib.ForwardTag.doEndTag()

	[リアルタイムチェック・jQuery1.4対応]
	リアルタイムチェック機能で、エラー発生後、正しいデータを入力してもエラーバルーンが消えないバグを
	修正します。
		jsp/common/realTimeCheck.js

	[画面項目並べ替え機能対応]
	ユーザー自身が画面の項目の並び順及び、項目の表示/非表示を設定することのできる機能を追加します。
	詳細は、別途マニュアル及び設計資料を用意しますので、そちらを参照して下さい。
		taglib.tld
		jsp/common/hilightRow.js
		jsp/common/default.css
		jsp/common/gamen/14_EDIT/
		jsp/common/fileDownload.jsp
		org.opengion.hayabusa.common.HybsSystem.USER_VIEW_CLMS
		org.opengion.hayabusa.db.DBLastSql.isTableMatch(String, String)
		org.opengion.hayabusa.db.DBLastSql.setViewNotEditable()
		org.opengion.hayabusa.db.DBLastSql.isViewEditable()
		org.opengion.hayabusa.db.DBLastSql.setViewClmNames(String)
		org.opengion.hayabusa.db.DBLastSql.getViewClmNames()
		org.opengion.hayabusa.taglib.FileUDTag.doStartTag()
		org.opengion.hayabusa.taglib.CommonTagSupport.release2()
		org.opengion.hayabusa.taglib.CommonTagSupport.startQueryTransaction(String)
		org.opengion.hayabusa.taglib.CommonTagSupport.commitTableObject(String, DBTableModel)
		org.opengion.hayabusa.taglib.CommonTagSupport.useMainTrans(boolean)
		org.opengion.hayabusa.taglib.QueryTag.doStartTag()
		org.opengion.hayabusa.taglib.QueryTag.release2()
		org.opengion.hayabusa.taglib.QueryTag.setMainTrans(String)
		org.opengion.hayabusa.taglib.QueryTag.doAfterBody()
		org.opengion.hayabusa.taglib.ReadTableTag.doStartTag()
		org.opengion.hayabusa.taglib.ReadTableTag.release2()
		org.opengion.hayabusa.taglib.ReadTableTag.setMainTrans(String)
		org.opengion.hayabusa.taglib.DBMetaDataQueryTag.doStartTag()
		org.opengion.hayabusa.taglib.DBMetaDataQueryTag.release2()
		org.opengion.hayabusa.taglib.DBMetaDataQueryTag.setMainTrans(String)
		org.opengion.hayabusa.taglib.LDAPQueryTag.doStartTag()
		org.opengion.hayabusa.taglib.LDAPQueryTag.release2()
		org.opengion.hayabusa.taglib.LDAPQueryTag.setMainTrans(String)
		org.opengion.hayabusa.taglib.RegistryQueryTag.doStartTag()
		org.opengion.hayabusa.taglib.RegistryQueryTag.release2()
		org.opengion.hayabusa.taglib.RegistryQueryTag.setMainTrans(String)
		org.opengion.hayabusa.taglib.TableMergeTag.doStartTag()
		org.opengion.hayabusa.taglib.TableMergeTag.release2()
		org.opengion.hayabusa.taglib.TableMergeTag.setMainTrans(String)
		org.opengion.hayabusa.taglib.URLConnectTag.doStartTag()
		org.opengion.hayabusa.taglib.URLConnectTag.release2()
		org.opengion.hayabusa.taglib.URLConnectTag.setMainTrans(String)
		org.opengion.hayabusa.taglib.ViewFormTag.doStartTag()
		org.opengion.hayabusa.taglib.ViewFormTag.doEndTag()
		org.opengion.hayabusa.taglib.ViewFormTag.checkUseSeqClmTable()
		org.opengion.hayabusa.taglib.ViewFormTag.setViewClms()
		org.opengion.hayabusa.html.ViewForm.getViewClms()
		org.opengion.hayabusa.html.ViewForm.isEditable()
		org.opengion.plugin.view.AbstractViewForm.getViewClms()
		org.opengion.plugin.view.AbstractViewForm.isEditable()
		org.opengion.plugin.view.ViewForm_HTMLFormatTable.getViewClms()
		org.opengion.plugin.view.ViewForm_HTMLCustomTable.getViewClms()
		org.opengion.plugin.view.ViewForm_HTMLCustomTreeBOM.getViewClms()
		org.opengion.plugin.view.ViewForm_CustomData.isEditable()
		org.opengion.plugin.view.ViewForm_HTMLCalendar.isEditable()
		org.opengion.plugin.view.ViewForm_HTMLCrossTable.isEditable()
		org.opengion.plugin.view.ViewForm_HTMLDynamic.isEditable()
		org.opengion.plugin.view.ViewForm_HTMLEntry.isEditable()
		org.opengion.plugin.view.ViewForm_HTMLFormatTextField.isEditable()
		org.opengion.plugin.view.ViewForm_HTMLGanttTable.isEditable()
		org.opengion.plugin.view.ViewForm_HTMLRotationTable.isEditable()
		org.opengion.plugin.view.ViewForm_HTMLSimpleList.isEditable()
		org.opengion.plugin.view.ViewForm_HTMLSeqClmTable.getViewClms()
		org.opengion.plugin.view.ViewForm_HTMLTextField.isEditable()

	[リソース登録画面不具合修正]
	カラム、画面、コードリソースの画面で行を選択しない状態で登録を行うと、ラベルリソースに登録されない
	不具合を修正します。
		ge/jsp/GE0002/entry.jsp
		ge/jsp/GE0003/entry.jsp
		ge/jsp/GE0004/entry.jsp

	[画面帳票発行機能対応]
	画面から帳票発行することのできる機能を追加します。
	この機能は、Calc帳票システムをベースとして、ユーザー自身が画面に対して帳票雛形を登録し、その雛形に
	従って、画面の検索結果を出力するための機能です。
	詳細は、別途マニュアルを用意しますので、そちらを参照して下さい。
		taglib.tld								fileUDタグのeditImg追加、readTableのscope、valueタグのtblScopeを追加
		jsp/image/edit.png
		jsp/common/fileDownload.jsp
		jsp/common/fileDownloadListDef.txt
		jsp/common/gamen/14_EDIT
		WEB-INF/web.xml							[ContextRoot]/report以下を公開できるように設定変更
		org.opengion.hayabusa.taglib.FileUDTag.doEndTag()
		org.opengion.hayabusa.taglib.FileUDTag.setEditImg( String )

	[ユーザー永続化テーブル(GE20)の定義変更]
	ユーザー永続化テーブル(GE20)の定義変更でパラメータの値(PARAM)のNOT NULL制約を解除します。
		ge/changes/5160/alter(GE)_GE20.txt

	[画面自動作成対応]
	画面作成を行う画面JSPをgf/jsp以下から、common以下に移動します。また、これに伴い、既存のJSPから
	動的にJSPを作成するための画面を廃止します。
		gf/jsp/GF2200					廃止
		gf/jsp/GF2201					廃止
		gf/jsp/GF2202					廃止
		gf/jsp/GF2203					廃止
		gf/jsp/GF2251					廃止
		gf/jsp/GF2252/query.jsp
		gf/jsp/GF2253/query.jsp
		common/11_GUIMAKE				新規画面(共通)
		common/12_GUIMAKEGUI			新規画面(共通)
		common/13_GUILIST				新規画面(共通)
		common/jquery/jquery-ui.js		新規追加(現時点では、headタグでの読み込みは行いません)
		customUserDef/					作成した画面のJSPを置くフォルダ

	[DB定義DB改善]
	DB定義DBでテーブル間の関連情報(テーブルJOINを行うための項目の関連情報)を管理できるようにします。
		GF2041(テーブル関連)			新規画面
		GF08(テーブル関連定義)			新規テーブル

	[Calc出力対応]
	Calc出力用のwriterクラスを追加します。また、CalcDefのwriterクラスを使用することで、帳票雛形を作成する
	ための元情報({@XXXX_n})を指定行数分列挙したファイルを出力を出力することができます。
		org.opengion.plugin.io.TableWriter_Calc
		org.opengion.plugin.io.TableWriter_CalcDef
		odfdom.jar				Calc出力対応
		xercesImpl.jar			Calc出力対応

	[機能追加]
	DBTableModelの行を物理削除します。
	通常のデータベース等で削除する場合は、DELETE行も残しておかないと、どの行を削除するか
	判らなくなります。また、アプリケーションによっては、削除ではなく、フラグだけを立てる
	ケースもあるため、現在の commend="DELETE" では、論理削除＋値の書き換えも可能になっています。
	ここでの物理削除は、WriteTable など、ファイル出力時には、その行そのものをなくしておくほうが
	良いケースがあるためです。
		org.opengion.hayabusa.taglib.EntryTag.commandExec( final String command )
		org.opengion.hayabusa.taglib.EntryTag.realDelete()
		gf/jsp/GF6370/delete.jsp

	[FileUtil改善]
	内部構造で、copy等の機能を見直しました。
	以前は、バイナリファイルの 改行コードをCR+LF に統一する処理を、copy メソッド中に
	入れていましたが、メソッド自体を完全に分離しました。
	また、copy メソッドの第３引数に、keepTimeStamp=true 属性を追加し、コピー元の
	ファイルのタイムスタンプを、コピー先にもセットする機能を追加しました。
		org.opengion.fukurou.util.FileUtil#copy( final String fromFile,final String toFile )
		org.opengion.fukurou.util.FileUtil#copy( final String fromFile,final String toFile,final boolean keepTimeStamp )
		org.opengion.fukurou.util.FileUtil#copy( final File fromFile,final File toFile )
		org.opengion.fukurou.util.FileUtil#copy( final File fromFile,final File toFile,final boolean keepTimeStamp )
		org.opengion.fukurou.util.FileUtil#changeCrLfcopy( final File fromFile,final File toFile )
		org.opengion.fukurou.util.FileUtil#copy( final InputStream input,final OutputStream output )
		org.opengion.fukurou.util.FileUtil#copyDirectry( final String fromDir, final String toDir )
		org.opengion.fukurou.util.FileUtil#copyDirectry( final File fromDir, final File toDir )
		org.opengion.fukurou.util.FileUtil#copyDirectry( final File fromDir, final File toDir, final boolean keepTimeStamp )
		org.opengion.fukurou.process.Process_FileCopy#action( final LineModel data )
	サンプルの実行に、mainメソッドを修正しています。
		org.opengion.fukurou.util.FileUtil#main( final String[] args )

	[ファイル伝送関係 新規追加]
	ファイル伝送に関するクラスを新規に追加します。
		※ ファイル伝送関連クラスの インターフェース定義
		org.opengion.fukurou.util.ConnectIF.java

		※ ファイル伝送関連クラスの アブストラクトクラス定義
		org.opengion.fukurou.util.AbstractConnect.java

		※ ファイル伝送関連クラスで、FTP伝送クラス定義
		org.opengion.fukurou.util.FTPConnect.java

		※ ファイル伝送関連クラスで、Samba伝送クラス定義
		org.opengion.fukurou.util.SMBConnect.java

		※ ファイル伝送関連クラスで、SFTP伝送クラス定義
		org.opengion.fukurou.util.SFTPConnect.java

		※ 標準ライブラリ追加
		jsch-0.1.42.jar			FTP/SMP対応
		commons-net-ftp-2.0.jar	FTP/SMP対応
		jcifs-1.3.14.jar		FTP/SMP対応

	[Process_FileFtp 新規追加]
		org.opengion.fukurou.process.Process_FileFtp.java

	[ヘッダーソート機能・バグ修正]
	左右分割を行っている画面で、ヘッダーソート機能を利用してソートを行うと、左のビューと
	右のビューでデータの並び順が一致しなくなるバグを修正します。
	これは、左右のそれぞれのビューで、ヘッダーソートが処理されてしまうことが原因です。
	今回の対応では、1リクエストにおいて、1つのテーブルモデルに対してはヘッダーソートが1回しか
	処理されないように対応します。
		org.opengion.hayabusa.common.HybsSystem.VIEW_SORT_KEY
		org.opengion.hayabusa.taglib.ViewFormTag.doStartTag()

	[GF・DB定義変更]
	①GF90 に 参照PGID:SPGID , 画面編集FG:FGGAMEN 追加
		alter(GF)_GF90.txt

	①GF91 に AS_TABLE テーブル別名 , SEQ 表示順 追加
		gf/changes/5160/alter(GF)_GF91.txt

	①GF92 に USE_ORDER 表示順指定追加
	②GF92 に AS_CLM カラム別名追加
	③GF92 に JOINTYPE 連携タイプ追加
	④GF92 に AS_TABLE テーブル別名追加
	⑤GF92 に CLS_NAME DBクラス追加
		gf/changes/5160/alter(GF)_GF92.txt

	[DB定義DBバグ修正]
	テーブルカラムの画面で、新規にカラムの追加ができないバグを修正します。
		gf/jsp/GF2020/entry.jsp

	[valueタグ・バグ修正]
	valueタグで、actipn="ALL_APPEND"を使用した際に、選択行がない場合に処理されないバグを修正します。
		org.opengion.hayabusa.taglib.ValueTag.setTableAttribute(DBTableModel, String, String)
		org.opengion.hayabusa.taglib.ValueTag.getTableAttribute(DBTableModel, String, String)

	[ヘッダー固定バグ修正]
	ヘッダー固定で、段組表示を行った状態で、ポップアップエラーメッセージをドラッグした際に、
	ヘッダー固定が崩れてしまうバグを修正します。
	これは、IEで段組表示を行う際のヘッダー部分の高さの設定に問題があったためです。
	IEの場合、段組表示(正確には、body部分とheader部分のcolspan、rowspanの構造が異なる場合)
	の場合に、ヘッダー部分の各項目の幅を計算するため、ヘッダー固定を行うためにコピーしたヘッダー
	にデータの1行目を付加した上で、幅を計算しています。但し、このヘッダーにコピーしたデータ部分は、
	画面表示には不要なため、今までは、body部分のtopに1行目の高さ分のマイナス値を与えることで
	ヘッダーにコピーされたデータ部分が表示されないように対応していました。但し、この場合に、
	ヘッダー部分の高さを明示して指定していなかったため、リサイズが発生したタイミングで、
	レイアウトが崩れてしまうことがありました。
	今回の対応では、body部分にマイナス値のtopを指定するのではなく、header部分に表示に必要な
	高さを明示的に指定するに変更します。
		jsp/common/scrollBar2.js

	[画面帳票作成機能対応]
	①帳票雛型で行番号・ページ番号を出力できるようにします。
	  具体的な方法として、行番号は、{@ROWNO_n} (nは、通常のカラムと同じ配列番号)、
	  ページ番号は{@PAGENO}を指定します。
		org.opengion.hayabusa.report2.OdsContentParser.getHeaderFooterValue(String)
		org.opengion.hayabusa.report2.OdsContentParser.getBodyValue(String, int)
	②Calc形式で出力するためのWriterClassを追加します。
		org.opengion.hayabusa.taglib.WriteTableTag.doEndTag()
		org.opengion.hayabusa.taglib.WriteTableParamTag.KEY_LIST
	③ODFDOMで出力されたODSファイルをパースできるように、パーサーを改善します。
		org.opengion.hayabusa.report2.OdsContentParser.execMeta()

	[ポップアップエラー・バグ修正]
	headタグで、noTransition="true"または、useAjaxSubmit="true"を指定した際に、エラー時に表示される
	ポップアップがドラッグできないバグを修正します。
		jsp/common/jquery/jqDnR.js

	[URLConnectタグ・DBTableModel変換機能拡張]
	URLConnectタグで結果として返されたXMLをDBTableModelに変換する機能で、rowKeyに指定されたタグの
	親タグ名を取得できるように対応します。
	これは、1つのXML内に
		<group1>
			<item>
				<parson_id>123</person_id>
			</item>
		</group1>
		<group2>
			<item>
				<key>ABC</key>
				<value>XYZ</value>
			</item>
		</group2>
	という構造があった場合に、rowKeyにITEMを指定するだけでは、その後の処理で、それが、group1に属する
	ものか、group2に属するもの何かが判別できないため、このgroup1,group2をDBTableModelにセットできる
	ようにします。
	具体的には、colKeysで、"PARENT_TAG","PARENT_FULL_TAG"を指定すると、それぞれ直近の親タグ、及び
	rowKeyより上の全ての親タグ名を連結した文字列をDBTableModel上にセットするようにします。
		org.opengion.fukurou.xml.XML2TableParser.getCpParentTagName(String)
		org.opengion.fukurou.xml.XML2TableParser.setTableCols(String, String[])
		org.opengion.fukurou.xml.XML2TableParser.startElement(String, String, String, Attributes)
		org.opengion.fukurou.xml.XML2TableParser.getColIdx(String)

	[URLConnectタグ・バグ修正]
	URLConnectタグでPOSTデータがエンコードされないバグを修正します。
	また、これと同時にリクエスト、レスポンスのデータの入出力のデフォルトエンコードとして
	"UTF-8"を設定します。さらにこのエンコード指定をurlConnectタグのencode属性で指定できる
	ようにします。
		hybs-taglib.tld
		org.opengion.hayabusa.taglib.URLConnectTag.release2()
		org.opengion.hayabusa.taglib.URLConnectTag.connect()
		org.opengion.hayabusa.taglib.URLConnectTag.setEncode(String)
		org.opengion.fukurou.util.URLConnect.connect()

	[ViewForm_HTMLTable改善]
	caption 属性が使われていないため、削除します。
		org.opengion.plugin.view.ViewForm_HTMLTable#clear() {
		org.opengion.plugin.view.ViewForm_HTMLTable#getTableTag() {
		org.opengion.plugin.view.ViewForm_HTMLTable#setCaption( final String caption )

	int[] rowNo 宣言が使われていないため、削除します。

	[ユーザー単位カラム表示編集機能]
	ユーザー単位に表示するカラムの順番、表示可非を指定できるように対応します。
	標準的な、ViewForm_HTMLTable に対応すると、カラムのアドレス指定が発生するため、
	（言うほどの処理速度低下にはなりませんが）処理クラスを分けておきます。
	ここでは、ViewForm_HTMLSeqClmTable クラスを新規に追加します。
	具体的には、setColumnDisplay( final String columnName ) に、指定された順番に
	表示するというHTMLFormatTable の簡易版として用意します。
	＃ setColumnDisplay は、表示するカラムだけを指定していますが、このクラスでは、
	＃ 表示順も指定するという機能に格上げします。
		org.opengion.plugin.view.ViewForm_HTMLSeqClmTable.java
		org.opengion.hayabusa.taglib.ViewFormTag#doStartTag()
		org.opengion.hayabusa.taglib.ViewFormTag#release2()
		org.opengion.hayabusa.taglib.ViewFormTag#setClmSeqDisplay( final String columnName ) 
		src/META-INF/taglib.tld

	リクエスト変数 {&#064;SYS.XXXX} に対する値の取得で、パラメータ指定機能を追加します。
	引数に、&#064;変数が使用できる用に修正します。具体的には、{&#064;SYS.&#064;XXXX}
	で、&#064;XXXX をリクエスト変数から取得した値を利用します。
	この中で、&#064;GUIID だけが、さらに特殊で、実行中の画面IDを割り当てます。
	この &#064;GUIID は、ここまでの文字列を画面IDに置き換えるとともに、それ以降の
	文字列を、画面IDに連結させます。
	{&#064;SYS.&#064;GUIID_XXXX} ⇒ 画面ID_XXXX 文字列で、システムパラメータ の値を取得します。
		org.opengion.hayabusa.taglib.CommonTagSupport#sys( final String key )

5.1.5.0 (2010/04/01)
	[Process_FileCopy改善]
	ファイルのコピー時に、元のファイルのタイムスタンプをコピーする機能を追加します。
	-keepTimeStamp パラメータを追加します。初期値は、false(コピー時刻が設定される)
		org.opengion.fukurou.process.Process_FileCopy#init( final ParamProcess paramProcess )
		org.opengion.fukurou.process.Process_FileCopy#action( final LineModel data )

	[Webサービス対応]
	Webサービス対応として、以下の2つの機能を追加します。
	①URLConnectタグで、SOAPで提供されているWebサービスを呼び出しできる機能を追加します。
	  呼び出しを行うには、methodに"SOAP"を指定した上で、EndPointにあたるURLに加えて、
	  メソッド名(soapMethodName)、メソッド名の名前空間(soapNameSpace)、メソッドパラメータ
	  (keys,vals又は、Body部分でXMLを指定)を指定する必要があります。
	②URLConnectタグで、Webサービスを呼び出した返されるXMLを表形式(DBTableModel)及び属性
	  パラメーターに変換するための機能を追加します。
	  この機能は、SOAPだけでなく、URLベース(いわゆるREST)のWebサービスでも利用することができます。
	  DBTableModelへの変換を行うためには、行及び項目のタグをそれぞれ、rowKey、colKeys属性で指定します。
	  属性パラメーター({@xxx}で取り出せる形式)に変換するためには、キーをrtnKeysで指定します。
		hybs-taglib.tld
		org.opengion.fukurou.util.SOAPConnect									新規追加
		org.opengion.fukurou.util.URLConnect.getConnection()
		org.opengion.fukurou.xml.XML2TableParser								新規追加
		org.opengion.hayabusa.taglib.URLConnectTag.doStartTag()
		org.opengion.hayabusa.taglib.URLConnectTag.doEndTag()
		org.opengion.hayabusa.taglib.URLConnectTag.release2()
		org.opengion.hayabusa.taglib.URLConnectTag.setSoapNameSpace(String)
		org.opengion.hayabusa.taglib.URLConnectTag.setSoapMethodName(String)
		org.opengion.hayabusa.taglib.URLConnectTag.setTableId(String)
		org.opengion.hayabusa.taglib.URLConnectTag.setRowKey(String)
		org.opengion.hayabusa.taglib.URLConnectTag.setColKeys(String)
		org.opengion.hayabusa.taglib.URLConnectTag.setRtnKeys(String)
		gf/jsp/GF7020

	[ログ出力改善]
	出力が２重、３重に出力されるのを回避します。
		org.opengion.fukurou.process.MainProcess#init()
		org.opengion.fukurou.process.MainProcess#run()

	[JavaDoc コメント修正]
		org.opengion.fukurou.util.Argument.java

	[コンパイル Warning 対策]
	OpenOffice 3.2 での冗長なキャスト警告の抑止を行います。
	キャストをはずすと、旧3.1 では、エラーになるため、@SuppressWarnings("cast") で
	警告を出さないように修正します。
		org.opengion.hayabusa.report2.OdsConverter.java
		org.opengion.hayabusa.report2.SOfficeProcess.java

	[画面遷移なし登録・改善]
	画面遷移なし登録で、連続して追加・複写ボタンで行追加を行うと、1行→2行→4行と
	行数が倍々に増えていきます。
	これは、追加・複写処理がチェックされた全ての行を対象として行われるためです。
	但し、場合によっては、1行ずつ追加したい場合もあるため、今回はこれに対応します。
	具体的には、submitボタンでcommand="INSERTONE"定義すると、1行ずつ行が追加されます。
	(repeatCountを指定した場合は、複数行を一度に追加することが可能です。)
	また、画面遷移なし登録時のINSERTONEの処理では、画面上の行の並びとサーバー上のDBTableModel上の
	順番が合うように整合性を取った状態で行の追加を行います。
		org.opengion.hayabusa.taglib.EntryTag.commandExec(String)
		org.opengion.hayabusa.taglib.EntryTag.insertOne()
		jsp/common/option/jqog.js
		jsp/common/option/noTransition.js

5.1.4.0 (2010/03/01)
	[ヘッダー固定バグ修正]
	ヘッダー固定で、ビューの高さ、幅を%で指定した場合に、正しく動作しない問題に対応します。
	これは、%指定が誤ってpx指定として処理されていたためです。
		jsp/common/scrollBar2.js

	[メニューハイライト機能追加]
	通常の左メニューで、現在開いている画面メニューがハイライトされるように修正します。
	また、これに伴いボタンメニューでのハイライト処理もjQueryで実装するように見直しします。
		org.opengion.hayabusa.taglib.TopMenuTag.makeTagMenuString(String, String, String, String, int)
		org.opengion.hayabusa.taglib.TopMenuTag.setUseButtonScript(String)
		jsp/menu/multiMenu.jsp
		jsp/menu/menuHilight.js
		jsp/menu/menuHilight_button.js

	[tabLinkタグ・Firefox対応]
	tabLinkタグの初期タブ表示がFirefoxで動作しない問題に対応します。
	これは、Firefoxでaタグに対して、JavaScriptでobj.click()を発行しても、マウスクリックと同等の
	処理が行われないためことが原因です。
	今回の対応では、aタグのクリックイベント(タブのハイライト)の処理は、obj.onclick()で処理を行い、
	リンク先のオープンは、JavaScriptで処理するようにします。
		org.opengion.hayabusa.taglib.TabLinkTag.makeTag()
		jsp/common/tagLink.js

	[タグリブ検索画面改善]
	タグリブ検索画面で、タグ名称を大文字・小文字区別なく検索出来るように修正します。
		jsp/DOC01/result.jsp
		jsp/DOC02/result.jsp

	[標準メニュー改善]
	標準で表示される左メニューで、隠しメニューを定義した際に表示される、隠しメニュー表示用の文字
	"←･･･→"に、カーソルをあてた際に、通常のリンクと同じようにマウスカーソルの形状が変更される
	ようにします。
		jsp/menu/multiMenu.jsp

	[Excel出力のカラム指定]
	writeTable タグで、writerClass が Excel、ExcelRenderer の場合に、
	カラム指定できない件の対応を行いました。
	今回は、カラム指定と、useNumber 属性の対応と合わせて行いました。
	なお、JExcel については、互換性のために残しているだけですので、
	今回は、対応していません。
		org.opengion.plugin.io.TableWriter_Excel.java
		org.opengion.plugin.io.TableWriter_ExcelRenderer.java

	【ファイル入出力】ダウンロード のJSP を修正します。
	主に、この画面で、columns 属性とuseNumber 属性のテストが行えるように
	改造しました。
	また、writerClass の引数も最新にあわせて用意しました。
		gf/jsp/GF6270/query.jsp
		gf/jsp/GF6270/result.jsp

	[タブリンク機能バグ修正]
	タブリンクタグを使用して、タブを複数行に渡って表示している場合に、行の最後に表示されているタブを
	選択状態にすると、最後のタブのみが折り返してしまうバグを修正します。
	これは、選択状態のタブのみ、タブの下のボーダーを表示していないことが原因でした。
	対応しては、選択状態のタブは、下のボーダーをtransparentの状態で表示するようにします。
	(つまり、見た目上の変更はありません)
		jsp/common/default.css

	[IE8対応]
	IE8で各画面のフレームの幅を手動で調節した後、QUERY画面の上に表示されている自動調節ボタンを
	押すと、正しくフレームの幅が設定されないバグを修正します。
	これは、IE8のバグです。http://support.microsoft.com/kb/973210/ja
	対応としては、以下の通りです。
	①メニューフレームの調整 -> 手動で幅を変更した場合は、強制的にメニューフレームの幅を160pxにします。
	②クエリフレームの調整   -> 手動で幅を変更した場合は、縮小機能が働かないようにします。
	                            (手動で変更する場合は、クエリフレームの狭める場合が大半であると想定され、
	                             縮小機能が働かなくても問題ないはずです)
		jsp/common/toggleFrame.js

	[DB定義ファイル取込]
	DB定義ファイル(GF80)を、DB定義DBテーブル(GF02,GF05,GF06,GF07)に取り込む処理で、
	PoatgreSQL では、NULL と ''(空文字列)が異なるため、WHERE条件で
	不要な情報まで取り込まれてしまいました。
	(これは、前回の修正で、
	( UK is not null and UK != '' ) を、( UK is not null or UK != '' )
	に変更したことが原因です。
	ORACLE では、AND にすると、０件になり、OR にすると正常に取れていましたが、
	PostgreSQLでは、セット方法により、カラムが、空文字で満たされ、OR にすると
	すべてのデータが引っかかってしまいました。
	そこで、( LENGTH(UK) != 0 ) とすることで、空文字以外という事を、明確にします。
		GF2060/dbdefIn.jsp

	[NVL⇒COALESCE 置換]
	ORACLE固有の関数である、NVL を、ANSI標準の COALESCE に置き換えます。
	今回は、コメントアウトされている箇所も置き換えておきます。
		gf/jsp/GANTT07/result.jsp
		gf/jsp/GF2020/entry.jsp
		gf/jsp/GF2120/GFM0010.jsp
		gf/jsp/GF2120/GFM0011.jsp
		gf/jsp/GF9100/result.jsp
		gf/jsp/GFX013/query.jsp
		gf/jsp/GFX014/sourceSQL.jsp
		gf/jsp/ORA10/dba_table.jsp

		ge/jsp/MAIL01\entry.jsp
		ge/jsp/MAIL01\result.jsp
		ge/jsp/MAIL01\showPtn.jsp
		ge/jsp/MAIL02\entry.jsp
		ge/jsp/MAIL02\result.jsp
		ge/jsp/MAIL03\result.jsp
		ge/jsp/MAIL03\showDetails.jsp
		ge/jsp/MAIL04\result.jsp
		ge/jsp/MAIL06\result.jsp
		ge/jsp/MAIL07\result.jsp

	[EXCEL(CSV)取込処理]
	リソースで、一括EXCEL取込処理で、ラベルリソースへの値セットが
	行われない件の対応を行いました。
	sqlType が、COPY|MODIFY の場合のみ、処理するようになっていますが、
	EXCEL登録時は、INSERT が帰ってきます。
	よって、判定を、COPY|MODIFY|INSERT に修正します。
		ge/jsp/GE0002/entry.jsp
		ge/jsp/GE0003/entry.jsp
		ge/jsp/GE0004/entry.jsp
		ge/jsp/GE0004/result.jsp

	[repeatCount反映、SYSTEM_ID初期値設定]
	リソース登録画面で、repeatCount を入力しても、データに反映されない件で
	JSP を修正します。
	これは、entry タグにパラメータ設定されていなかったためです。
	それと、SYSTEM_ID を初期検索条件の値をデフォルト設定するように修正します。
		ge/jsp/GE0002/update.jsp
		ge/jsp/GE0003/update.jsp
		ge/jsp/GE0004/update.jsp
		ge/jsp/GE0005/update.jsp
		ge/jsp/GE0007/update.jsp
		ge/jsp/GE0008/update.jsp
		ge/jsp/GE0016/update.jsp

	[SYSTEM_ID の再セット]
	現在、SYSTEM_ID の 初期値は、{@SYS.SYSTEM_ID} になっており、画面で検索する都度、
	この値にセットされる。
	リソース画面(GE)は、各システムごとに組み込むのではなく、共通利用するように
	なったため、この初期値では、毎回、手で書き換える必要があった。
	そこで、QUERYで検索したSYSTEM_IDをセッションに登録し、初期値をその値を利用する
	様に修正します。
	（以下のリストは、修正前の行。修正後は、defaultVal="{@U_SYSID}" となる）
		ge/jsp/custom/init.jsp			ログイン時に、U_SYSID に、SYS.SYSTEM_ID をセットする。
		ge/jsp/custom/result_info.jsp	QUERY から SYSTEM_ID が引数から登録されると、U_SYSID にセットする。
		ge/jsp/GE0001/query.jsp(25): 	<og:column name="SYSTEM_ID" defaultVal="{@SYS.SYSTEM_ID}" must="true" />
		ge/jsp/GE0002/query.jsp(23): 	<og:column name="SYSTEM_ID" defaultVal="{@SYS.SYSTEM_ID}" must="true" >
		ge/jsp/GE0003/query.jsp(23): 	<og:column name="SYSTEM_ID" defaultVal="{@SYS.SYSTEM_ID}" must="true" >
		ge/jsp/GE0004/query.jsp(23): 	<og:column name="SYSTEM_ID" defaultVal="{@SYS.SYSTEM_ID}" must="true" >
		ge/jsp/GE0005/query.jsp(23): 	<og:column name="SYSTEM_ID" defaultVal="{@SYS.SYSTEM_ID}" must="true" >
		ge/jsp/GE0007/query.jsp(23): 	<og:column name="SYSTEM_ID" defaultVal="{@SYS.SYSTEM_ID}" must="true" />
		ge/jsp/GE0008/query.jsp(23): 	<og:column name="SYSTEM_ID" defaultVal="{@SYS.SYSTEM_ID}" must="true" />
		ge/jsp/GE0009/query.jsp(23): 	<og:column name="SYSTEM_ID" defaultVal="{@SYS.SYSTEM_ID}" must="true" >
		ge/jsp/GE0011/query.jsp(25): 			<og:column name="SYSTEM_ID" lbl="SYSTEM_ID" maxlength="10"
		ge/jsp/GE0011/query.jsp(34): 			<og:column name="SYSTEM_ID2" lbl="SYSTEM_ID" maxlength="10"
		ge/jsp/GE0012/query.jsp(23): 		<og:column name="SYSTEM_ID" value="{@SYS.SYSTEM_ID}" />
		ge/jsp/GE0013/query.jsp(25): 	<og:column name="SYSTEM_ID" defaultVal="{@SYS.SYSTEM_ID}" must="true" />
		ge/jsp/GE0016/query.jsp(25): 	<og:column name="SYSTEM_ID" defaultVal="{@SYS.SYSTEM_ID}" must="true" />
		ge/jsp/GE0017/query.jsp(29): 	<og:column name="SYSTEM_ID" defaultVal="{@SYS.SYSTEM_ID}" must="true" readonly="{@readonly}" />
		ge/jsp/GE0018/query.jsp(29): 	<og:column name="SYSTEM_ID" defaultVal="{@SYS.SYSTEM_ID}" must="true" readonly="{@readonly}" />
		ge/jsp/GE0019/query.jsp(29): 	<og:column name="SYSTEM_ID" defaultVal="{@SYS.SYSTEM_ID}" must="true" readonly="{@readonly}" />
		ge/jsp/GE0020/query.jsp(29): 	<og:column name="SYSTEM_ID" defaultVal="{@SYS.SYSTEM_ID}" must="true" readonly="{@readonly}" />
		ge/jsp/MAIL01/query.jsp(26): 		<og:column name="SYSTEM_ID" must="true" size="3" defaultVal="{@SYS.SYSTEM_ID}" />
		ge/jsp/MAIL02/query.jsp(26): 		<og:column name="SYSTEM_ID" size="3" must="true" defaultVal="{@SYS.SYSTEM_ID}" />
		ge/jsp/MAIL03/query.jsp(26): 		<og:column name="SYSTEM_ID" size="3" must="true" defaultVal="{@SYS.SYSTEM_ID}" />
		ge/jsp/MAIL06/query.jsp(25): 		<og:column name="SYSTEM_ID" must="true" size="3" defaultVal="{@SYS.SYSTEM_ID}" />
		ge/jsp/MAIL07/query.jsp(25): 		<og:column name="SYSTEM_ID" size="3" must="true" defaultVal="{@SYS.SYSTEM_ID}" />
		ge/jsp/REP01/query.jsp(25): 	<og:column name="SYSTEM_ID" value="{@SYSTEM_ID}" />
		ge/jsp/REP02/query.jsp(25): 	<og:column name="SYSTEM_ID" />
		ge/jsp/REP03/query.jsp(25): 	<og:column name="SYSTEM_ID" value="{@SYSTEM_ID}" />
		ge/jsp/REP04/query.jsp(25): 	<og:column name="SYSTEM_ID" value="{@SYSTEM_ID}" />
		ge/jsp/REP05/query.jsp(25): 	<og:column name="SYSTEM_ID" value="{@SYSTEM_ID}"  />
		ge/jsp/REP06/query.jsp(25): 	<og:column name="SYSTEM_ID" value="{@SYSTEM_ID}"  />
		ge/jsp/REP07/query.jsp(25): 	<og:column name="SYSTEM_ID" value="{@SYSTEM_ID}"  />
		ge/jsp/REP14/query.jsp(25): 	<og:column name="SYSTEM_ID" value="{@SYSTEM_ID}" />
		ge/jsp/REP20/query.jsp(24): 	<og:column name="SYSTEM_ID" must="true"/>
		ge/jsp/REP21/query.jsp(16): 		<og:column name="SYSTEM_ID" />

	[jfreechart-1.0.13.jar 対応]
	jfreechart-1.0.13.jar に対応する準備を行います。
	jfreechart は、バージョンアップするたびに、どこかで不具合が発生しますので、
	本体のアップは、行いません。
	ただし、将来的なことを考え、影響範囲が少ないと思える箇所は、対応しておきます。

	jfreechart-1.0.13は、org.jfree.chart.plot.CategoryPlot の継承もとの org.jfree.chart.plot.Plot に、
	public void setNotify( boolean ) メソッドが追加されたため、HybsCategoryPlot.java に作成していた
	protected void setNotify( boolean ) メソッドがコンパイルエラーになります。
	よってsetNotify メソッドをpublic にします。
	また、equals と hashCode もあまり意味が無かったので、削除します。
		org.opengion.hayabusa.io.HybsCategoryPlot#setNotify( final boolean isNotify )	protected ⇒ public
		org.opengion.hayabusa.io.HybsCategoryPlot#equals( final Object anObject )	削除
		org.opengion.hayabusa.io.HybsCategoryPlot#hashCode()						削除

	ChartPlot_Category において、CategoryDataset は、setRangeAxis より先に行う必要がある。
		org.opengion.hayabusa.io.ChartPlot_Category#getPlot( final ChartCreate create )

	jfreechart 評価用画面（GF6110：【ビュー関連】集計グラフ）を修正します。
		gf/jsp/GF6110/JfreeChartType.jsp		削除
		gf/jsp/GF6110/typeOption.jsp			削除
		gf/jsp/GF6110/chartTypeXY.jsp
		gf/jsp/GF6110/typeOptionXY.jsp
		gf/jsp/GF6110/typeOptionBar.jsp
		gf/jsp/GF6110/chartTypePie.jsp
		gf/jsp/GF6110/query.jsp
		gf/jsp/GF6110/typeOptionVal.jsp
		gf/jsp/GF6110/typeOptionPie.jsp
		gf/jsp/GF6110/result.jsp
		gf/jsp/GF6110/chartTypeVal.jsp

		gf/jsp/GF6120/typeOption.jsp

	[画面遷移なし登録・バグ修正]
	画面遷移なし登録で、viewFormTypeにHTMLCutomTableや、HTMLFormatTable等を使用している場合に、
	変更ボタン等を押すごとに、各項目の幅が少しずつ広がってしまうバグを修正します。
	これは、IEのCSS実装のバグで、IEでは、THタグのpaddingが0より大きい場合は、width属性の指定値と、
	その結果で表示されるサイズが異なってしまう問題があります。
	(但し、この場合でも、colgroupが指定されている場合(HTMLTableの場合)は、正しい値が返ります)
	今回の対応としては、ヘッダー固定時のTHタグのpaddingを0にします。
	(実際は、データ項目よりヘッダーの方が幅があるということは、レアケースであるため、影響はないと
	 判断しています)
		jsp/common/scrollBar2.js
		jsp/common/scrollBar2.css

	[標準環境バージョンアップ]
	標準環境の各ソフトウェア・モジュールをバージョンアップします。
	これに伴い、app環境として、openGion_apps_win32_5.0_jdk160u18_tomcat6024_ooo32.zipをリリースします。
		JDK			: 160_18
		Tomcat		: 6.0.24
		POI			: 3.6-20091214
		jQuery		: 1.4
		OpenOffice	: 3.2

	[Tomcat6.0.24対応]
	tldの設定で、<body-content>empty</body-content>と記述した場合にタグのボディが記述
	されているとエラーになる問題に対応します。
	(<body-content>tagdependent</body-content>に変更)
	参照 : https://issues.apache.org/bugzilla/show_bug.cgi?id=47977
		src/META-INF/taglib.tld

	[各種パッチソースの場所を移動]
	Tomcatのパッチや、hsqldbの拡張関数など、周辺環境に関連する部分のソースフォルダを
	uap/webapps/gf/src/other から apps/src 以下に移動します。

	[インデックス作成JSP]
	GF80 の検索で、インデックスやインデックスカラムを作成する箇所で、
	UK や IXA などのカラムから、インデックス情報を取得する際に、
		and   ( UK is not null and UK != '' )
	というSQL文で取得しているが、AND 結合なので、同時に発生することが
	ないので、結果、一件もデータを取得できない状況であった。
	ここは、or 結合とすることで、対応します。
		and   ( UK is not null or UK != '' )

	取り込んだ情報を、DB定義に反映させるボタンを、result から query に移動
	させます。（ボタンの存在に気づきにくいため）
		jsp/GF2060/dbdefIn.jsp
		jsp/GF2060/query.jsp
		jsp/GF2060/result.jsp

	各チェック処理において、０件ストップと、オリジナル件数の表示を加えます。
	データが無いために、０件なのか、チェック結果が０件なのか分かりにくいためです。
		jsp/GF2060/GFM0032.jsp
		jsp/GF2060/GFM0034.jsp
		jsp/GF2060/GFM0035.jsp
		jsp/GF2060/GFM0036.jsp
		jsp/GF2060/GFM0039.jsp
		jsp/GF2060/GFM0040.jsp
		jsp/GF2060/GFM0045.jsp

	取り込んだ DB定義情報を DB定義テーブルへ反映させるボタンの名称を変更します。(リソース修正)
		DbdefIn		定義テーブル取込	⇒ 廃止
		DBDEF_IN	DB定義テーブル反映	⇒ 新規追加

	[画面ロールのrootの扱いに関するバグ対応]
	画面ロールに、"root" と登録されると、root しか見えないのではなく
	すべての人から見えるようになってしまう。
	これは、RoleMode で、共通化を図っているため、"root" 文字を
	すべて許可 してしまうためです。
	ここでは、GUIData で、ロールが、"root" の場合、特殊な記号("r00t")に
	置換えることで、通常のロールでは見えないようにします。
	この場合は、user が、root であれば、見ることが可能です。
	＃ 本件は、暫定対応です。
		org/opengion/hayabusa/resource/GUIData#GUIData( final String[] data )

	[ユーザーの言語・ロールの動的切り替え機能]
	ロールの動的切り替え機能は、すでに対応済みで、接続時に、引数として、
	?ROLES=XXXX と渡せば切り替わります。
	ただし、下記の仕様とする。
		１．自分が持っているロールと、ぴたりと一致すること。（部分ではない）
		２．切り替えは、途中からではなく、新しいセッションで再接続する必要がある。

	言語の切り替えは、接続時に、引数として、?NEWLANG=en などと指定する。
	こちらに関しては、自分のユーザーリソースの制限はない。
	（ただし、その言語に対応したリソースが必要）
	こちらも、切り替えは、新しいセッションで再接続する必要がある。

	両方を同時に指定する場合は、?ROLES=XXXX&NEWLANG=en などと指定する。

		org/opengion/hayabusa/resource/UserInfo#setLang( final String newLang )
		org/opengion/hayabusa/taglib/HeadTag#sessionInit()

	[データベース単位のファンクション]
	データベース名の情報も、取得できるようにします。
	データベース名毎に異なるファンクション名の処理を少し見直します。
	ここでは、{@DBF.CON},{@DBF.SUBSTR} 以外に、{@DBF.NAME} を追加します。
	また、fukurou.db.DBFunctionName の呼び出しで、データベース名を引数に取っていた
	箇所を、dbid 名に変更します。
	＃ 考え方は、データベース名 で良いのですが、エンジン内部では、すべて、dbid で
	＃ 接続先を管理しているため。
		org/opengion/fukurou/db/ConnectionFactory#getDBName( final String dbid ) {		新規追加
		org/opengion/fukurou/db/ConnectionFactory#getDBFullName( final String dbid ) {	廃止(getDBName に置換え)
		org/opengion/fukurou/db/DBFunctionName.java		クラスから enum へ変更
		org/opengion/hayabusa/report2/QueueManager_DB#final String CON = DBFunctionName.getFunctionName( "CON", null );
		org/opengion/hayabusa/taglib/CommonTagSupport#getDBFunctionName( final String key ) {

	[データ集合処理のまとめカラム処理]
	TableMergeTag で、集合処理するときに、相違データをCSV連結する機能を追加します。
	masterKeysで集合処理するときに、通常、最初に見つかった行データのみ残りますが、
	ここに指定したカラムについては、発生都度、自分自身の情報に、CSV形式で連結して
	いくカラムを指定する属性、 groupAddClms を追加します。
	この操作により、本来削除された情報が、１行のCSV形式で取得できる効果が得られます。
	これは、value タグの action="APPEND" を、DBTableModel に対して実施するような感じです。
	この機能を利用することで、PL/SQL関数である、INDEX_BIKO を廃止します。
	これに伴い、INDEX_BIKO関数を利用している、GF2040 と GF2110 のロジックを修正します。
		org/opengion/hayabusa/taglib/TableMergeTag#makeKeyMap( final DBTableModel table, final String keys, final boolean useCheckOnly ) {
		org/opengion/hayabusa/taglib/TableMergeTag#release2() {
		org/opengion/hayabusa/taglib/TableMergeTag#setGroupAddClms( final String groupAddClms ) {
		META-INF/hybs-taglib.tld
		db/oracle/sql/05_SRC/INDEX_BIKO.sql		廃止
		jsp/GF2040/directGF07.jsp 
		jsp/GF2110/directGF07.jsp

	[Javadoc 警告修正]
	{@DBF.XXX} 表記が、タグとして認識されて、警告となった。
	{&#064;DBF.XXX} に修正。
		org/opengion/fukurou/db/DBFunctionName.java:44: 警告 - @DBF.XXX は未知のタグです。

	[tomcat6.0.24 対応]
	tomcat6.0.24 のカスタマイズ分を、対応します。
	JSPをコンパイルするときのCLASSローダーのキャッシュ処理のカスタマイズを
	新バージョン対応します。
	gf\src\other\tomcat_Modify-jasper.jar 以下のソースを修正します。
	なお、継承により作成しています、tomcat_CacheControl は、ソース修正不要です。
		org.apache.jasper.EmbeddedServletOptions.java
		org.apache.jasper.compiler.JspRuntimeContext.java

	[クエリ画面・高さ自動調整対応]
	クエリ画面での高さ自動調整対応で以下の機能改善を行います。
	①横スクロールが出る場合にも正しく自動調節されるように修正
	②FireFoxで正しく自動調節されるように修正
		jsp/common/default.js#adjustFrameHeight();

5.1.3.0 (2010/02/01)
	[選択プルダウン・バグ修正]
	メニューまたは、DBメニューで、ラベル(短)が定義されている場合に、検索画面でも、ラベル(短)でプルダウン
	の内容が表示されているバグを修正します。
	対応としては、入力不可能な状態での表示(レンデラー適用時)と同じく、一覧表示の場合のみ、ラベル(短)が適用
	されるようにします。
		org.opengion.hayabusa.db.Selection.getOption(String, boolean, boolean)
		org.opengion.hayabusa.db.Selection_CODE.Selection_CODE(CodeData)
		org.opengion.hayabusa.db.Selection_CODE.getOption(String, boolean)
		org.opengion.hayabusa.db.Selection_CODE.getOption(String, boolean, boolean)
		org.opengion.hayabusa.db.Selection_RADIO.getOption(String, boolean, boolean)
		org.opengion.hayabusa.db.Selection_DBRADIO.getOption(String, boolean, boolean)
		org.opengion.hayabusa.db.Selection_DB.Selection_DB(String, String, String)
		org.opengion.hayabusa.db.Selection_DB.getOption(String, boolean)
		org.opengion.hayabusa.db.Selection_DB.getOption(String, boolean, boolean)
		org.opengion.plugin.column.Editor_MENU.getValue(String)
		org.opengion.plugin.column.Editor_MENU.getValue(int, String)
		org.opengion.plugin.column.Editor_DBMENU.getValue(String)
		org.opengion.plugin.column.Editor_DBMENU.getValue(int, String)
		org.opengion.plugin.column.Editor_DBMENU.getOption(TagBuffer, String, boolean)

	[DBメニュー・バグ修正]
	DBメニューを定義する際に、ラベル(短)(第3カラム)を指定した場合に、ラベル(短)の値がnullの場合でも
	ラベル短で表示されてしまい、選択項目の表示がnullとなってしまうバグを修正します。
		org.opengion.hayabusa.db.Selection_DB.Selection_DB(String, String, String)

	[画面遷移なし登録・バグ修正]
	画面遷移なし登録を有効にした場合に、特定のcommandでsubmitした際に、submit先のog:forwardタグが
	正しく動作しない問題に対応します。
	これは、画面遷移なし登録を行う際にog:headタグに指定する、noTransition="true"の属性値に関して、
	サーバーサイドでの状態とクライアントサイドでの状態が一致していないことが原因です。
	noTransition="true"の設定については、result.jspでのみ設定を行うことで、これを起点にバックグラウンド
	で実行されるupdate.jsp、entry.jspでは、設定しなくても動作するように、セッションにその情報を保存
	しています。(サーバーサイドの状態)
	一方、クライアントに読み込まれるJavaScriptでは、そのsubmitをバックグラウンドで実行するかどうかを
	submitする際のコマンドにより制御しています。(通常の他画面への遷移等は、バックグラウンドで実行しないため)
	ここで、submitするcommandをNEWとすると、クライアント側では、バックグラウンドsubmitは、行われません。
	しかしながら、サーバー側ではセッション情報の値からバックグラウンドsubmitされたものとして処理される
	ため不整合が発生していました。
	今回の対応では、サーバー側の状態をセッションに保存するのではなく、クライアント側からパラメーターとして
	送ることで、そのリクエストを画面遷移なしモードとして処理するかどうかを判定するように変更します。
	この場合の弊害として、「無効である」という状態は、リクエストで送信されなくなるため、システムリソースで
	システム全体で有効となっている場合に、特定の画面だけを無効にする場合は、result.jspだけでなく、関連する
	全てのJSPでnoTransition="false"を指定する必要があります。
		jsp/common/option/noTransition.js
		jsp/common/option/ajaxSubmit.js
		jsp/common/option/jqog.js
		org.opengion.hayabusa.taglib.CommonTagSupport.setNoTransitionRequest(boolean)
		org.opengion.hayabusa.taglib.CommonTagSupport.isNoTransitionRequest()
		org.opengion.hayabusa.taglib.CommonTagSupport.setAjaxSubmitRequest(boolean)
		org.opengion.hayabusa.taglib.CommonTagSupport.isAjaxSubmitRequest()
		org.opengion.hayabusa.taglib.HeadTag.setUseAjaxSubmit(String)
		org.opengion.hayabusa.taglib.HeadTag.setNoTransition(String)
		org.opengion.hayabusa.taglib.HeadTag.doEndTag()
		org.opengion.hayabusa.taglib.EntryTag.doEndTag()
		org.opengion.hayabusa.taglib.EntryTag.setNoTransition(String)
		org.opengion.hayabusa.taglib.ForwardTag.doEndTag()
		org.opengion.hayabusa.taglib.ForwardTag.setNoTransition(String)
		org.opengion.hayabusa.taglib.ForwardTag.setUseAjaxSubmit(String)
		org.opengion.hayabusa.taglib.ViewFormTag.doEndTag()
		org.opengion.hayabusa.taglib.ViewFormTag.setNoTransition(String)

	[DB定義DB修正]
	DB定義DBが、PostgreSQL でも使用できるように調整しました。
	また、PL/SQL の DATA_DEFAULT.sql を廃止するために、
	エンジンに新規クラス plugin/column/DBType_DD.java を作成しました。
	（一部、使用箇所が残っているため、PL/SQLの廃止はまだ）
		org/opengion/plugin/column/DBType_DD.java
		jsp/GF2000/insertGF01.jsp
		jsp/GF2010/insertGF02.jsp
		jsp/GF2020/directGF05.jsp
		jsp/GF2020/entry.jsp
		jsp/GF2020/insertGF05.jsp
		jsp/GF2030/insertGF06.jsp
		jsp/GF2060/GFM0034.jsp
		jsp/GF2060/GFM0035.jsp
		jsp/GF2060/GFM0036.jsp
		jsp/GF2060/GFM0040.jsp
		jsp/GF2060/GFM0045.jsp
		jsp/GF2090/query.jsp
		jsp/GF2110/directGF02.jsp
		jsp/GF2110/directGF05.jsp
		jsp/GF2150/result.jsp
		jsp/GF2160/GFM0035.jsp
		jsp/GF2160/GFM0036.jsp
		jsp/GF2160/GFM0040.jsp
		jsp/GF2160/GFM0045.jsp

	リソース修正
		カラムリソースの DATA_DEFAULT(初期値) に、DBTYPE(文字種別) に、｢DD｣を設定
		コードリソースの DBTYPE に、｢DD｣を追加

	[ヘッダー固定バグ修正]
	ヘッダー固定が画面遷移なし登録で正しく動作しないバグについて修正します。
	この問題は、ヘッダー固定の仕様として、テーブルを初回に描画した後、セル幅を固定
	(CSSのtable-layout:fixed)していたため、HTMLを後から挿入してもセル幅の再調整が行われない
	ことが原因です。
	今回の修正では、セル幅の固定を行わず、自動で再計算を行うように変更します。
	また、このヘッダー固定の仕様として、元のヘッダー部分のコピーを作成することで、ヘッダー固定を
	実現していますが、このコピーする際のヘッダーのセルの計算方法をIEとFireFoxで同じとなるように
	内部ロジックの見直しも行います。
		jsp/common/scrollBar2.js
		jsp/common/scrollBar2.css
		jsp/common/option/jqog.js

	[ヘッダー固定バグ修正]
	上記の修正の影響で発生した、ヘッダーとボディーで異なるcolspan構造を定義した場合にレイアウトが
	崩れてしまう問題に対応します。
	これは元々、IEのバグであり、IEでは、th,tdタグにcolspanが含まれている場合に、widthを指定しても、
	これが無視されてレンダリングされてしまうためです。(FireFoxでは、widthの指定でレンダリングされます)
	この問題は、theadとtbodyのcolspanの構造が同じであれば、発生しませんが、異なる場合に、レイアウトが
	崩れてしまいます。
	今回の対応では、IEの場合のみ、データの1行目のcolspan構造を解析し、これがtheadと異なる場合には、
	ヘッダー固定を行うためのヘッダーテーブルに1行目をダミーデータとして付加し、正しくレンダリングされる
	ように対応します。(この対応は、IEのみ影響を受けます。FireFox等ではこの処理は行われません)
		jsp/common/scrollBar2.js

	[Ajaxツリーテーブル表示・バグ修正]
	Ajaxツリー表示で、展開ボタンを押した後に、その行に対して変更ボタンを押すと、再度展開できてしまう
	バグを修正します。
	この問題は、変更時のHTMLの置き換えで、展開ボタンの状態(クラス属性)がクリアされてしまうことが原因
	です。(展開ボタンの画像のみは、入れ替えていました)
	今回の修正では、展開ボタンについては、クラス属性を含めて、元のものに置き換えるようにします。
		jsp/common/option/noTransition.js

	[行選択エラー画面の改善]
	og:submitタグ等で、forward.jsp経由で別画面に遷移した際に、行が選択されていない場合に
	表示されるエラーメッセージ(ERR0028 選択されていません。もう一度、選択しなおして下さい。)
	の背景色が真っ白になるバグを修正します。
	これは、forward.jspで記述されているog:headタグで、headTypeがnullの場合に、CSSファイルがinclude
	されていなかったことが原因です。
	今回の対応では、CSSファイルに限っては、headTypeがnullの場合でもincludeするように修正します。
		org.opengion.hayabusa.taglib.HeadTag.doEndTag()

5.1.2.0 (2010/01/01)
	[Calc帳票・256ページを超えた場合の対応]
	Calc帳票で、1要求番号当りのページ数が256を超えた場合に、256枚目までしか出力されない件について
	対応します。元々、この問題は、Calcが1ファイル当りに256シートまでしか扱えないことが原因でした。
	今回の対応では、256シートを超える場合、再度続きのデータから処理を行うことによって、それ以降の
	データも出力されるように対応します。
	但し、以下の2点については、ご注意下さい。
	①データの解析、出力処理は、ファイル単位(最大256シート)に行われます。このため、257枚目以降で
	  エラーが発生した場合、それより前の部分については、出力されてしまいます。
	  (要求番号のステータスとしては、"アプリエラー"となります)
	②ファイル出力を行った場合、256シート単位でファイルが分割されます。この場合、出力ファイル名は、
	  1ファイル目     :  GE50にセットした出力ファイル名(現状通り)
	  2ファイル目以降 :  "ファイル名"_[1から始まる連番]."拡張子"となります。
	また、今回の対応と合わせて、処理後に、GE50の処理行数と処理ページ数が正しくセットされるように
	改善します。
		org.opengion.hayabusa.report2.ExecQueue.getOutputName()
		org.opengion.hayabusa.report2.ExecQueue.addExecPageCnt(int)
		org.opengion.hayabusa.report2.ExecQueue.getExecPagesCnt()
		org.opengion.hayabusa.report2.ExecQueue.setExecRowCnt(int)
		org.opengion.hayabusa.report2.ExecQueue.getExecRowCnt()
		org.opengion.hayabusa.report2.ExecQueue.setEnd(boolean)
		org.opengion.hayabusa.report2.ExecQueue.isEnd()
		org.opengion.hayabusa.report2.ExecQueue.MAX_SHEETS_PER_FILE
		org.opengion.hayabusa.report2.ExecProcess.process()
		org.opengion.hayabusa.report2.ExecThread.exec(ExecQueue)
		org.opengion.hayabusa.report2.OdsContentParser.OdsContentParser(ExecQueue, String)
		org.opengion.hayabusa.report2.OdsContentParser.execContent()
		org.opengion.hayabusa.report2.QueueManager_DB.SQL_UPDATE_GE50
		org.opengion.hayabusa.report2.QueueManager_DB.status(ExecQueue, int)

	[Calc帳票・バグ修正]
	Calc帳票で、出力時の例外処理でCalcオブジェクトが正しくCloseされていないバグを修正します。
		org.opengion.hayabusa.report2.ExecProcess.output(String...)

	[タグリブマニュアル・クイックリファレンスマニュアル作成]
	build時にタグリブマニュアルのクイックリファレンスを作成するようにします。
	クリックリファレンスは、アーカイブ内の、uap/webapps/gf/doc/taglib/quickReference.htmlに
	保存されます。
		GFX004 -> DOC08 画面ID変更
		build.xml

	[サンプル・HSQLDB対応]
	サンプル画面が、HSQLDBで動作しない問題について対応します。
		gf/jsp/GF9130
		gf/jsp/GF9430
		gf/jsp/GF9500
		gf/jsp/GF9510

	[MySQL対応・不具合修正]
	MySQL対応で、ロール登録画面が動作しなくなっていた問題に対応します。
		ge/jsp/GE0019
		ge/jsp/GE0020

	[Calc帳票システム・MySQL対応]
	Calc帳票システムで、帳票明細データの各カラムへの分割処理を内部で処理するようにします。
	従来は、帳票レイアウト登録(REP03)画面で、レイアウト変更時に、データを分割するための
	SQL文を生成し、これを利用して、帳票明細データを分割し、DBTableModelを生成していました。
	しかし、このSQL文で必要となる、バイト数ベースの文字分割関数(OracleのSUBSTRB)は、他の
	DBでは通常、用意されていません。このため、今回、MySQL等、他のデータベースに対応するため、
	データの分割処理を、内部で処理するように変更します。
	これに伴い、GE54(帳票雛形定義)のHSQL,FSQL,BSQLの項目については、Calc帳票としては、有閑
	となります。また、レイアウト変更時も、これらの項目に対してのSQL文のセットは行いません。
	もし、旧Excel帳票システムを利用する場合は、GE54のトリガを利用して、SQL文をセットして下さい。
	(具体的には、ge\db\oracle\sql\05_SRC\forOldExcelReportSystem内のスクリプトを参照して下さい)
		ge/jsp/REP02/verify.jsp
		ge/jsp/REP03/entry.jsp
		org.opengion.fukurou.db.DBFunctionName.getFunctionName(String, String)
		org.opengion.hayabusa.report2.ExecQueue.setFsql(String)			廃止
		org.opengion.hayabusa.report2.ExecQueue.getFsql()				廃止
		org.opengion.hayabusa.report2.ExecQueue.setBsql(String)			廃止
		org.opengion.hayabusa.report2.ExecQueue.getBsql()				廃止
		org.opengion.hayabusa.report2.ExecQueue.setHsql(String)			廃止
		org.opengion.hayabusa.report2.ExecQueue.getHsql()				廃止
		org.opengion.hayabusa.report2.QueueManager_DB.create()
		org.opengion.hayabusa.report2.QueueManager_DB.set(ExecQueue)
		org.opengion.hayabusa.report2.QueueManager_DB.DBTableModelCreator
		org.opengion.hayabusa.report2.OdsConverter.print(XComponent, String)
		org.opengion.plugin.table.TableFilter_REPORTDATA
		org.opengion.plugin.table.TableFilter_REPORTLAYOUT.execute()

	[og:equalsタグ・仕様変更]
	og:equalsタグで、ignoreCase属性を指定しない場合でも、大文字、小文字を区別して条件判定を行う
	ように仕様を変更します。
		org.opengion.hayabusa.taglib.EqualsTag
		org.opengion.hayabusa.taglib.EqualsTag.release2()

	[編集種別(AUTOAREA,TEXTAREA)の仕様変更]
	編集種別のAUTOAREA,TEXTAREAで、データの先頭が'_'となっている場合に、自動的に書き込み不可に
	なる機能を廃止します。データより書き込み制御を行う場合は、og:viewタグのwritableControl属性で
	明示的に対象となるカラムを指定して下さい。
		org.opengion.plugin.column.Editor_AUTOAREA.getValue(String)
		org.opengion.plugin.column.Editor_AUTOAREA.getValue(int, String)
		org.opengion.plugin.column.Editor_TEXTAREA.getValue(String)
		org.opengion.plugin.column.Editor_TEXTAREA.getValue(int, String)

	[フィルター機能追加]
	HybsFileFilter に、ディレクトリの判定を行うかどうかを指定する引数を、コンストラクタに追加します。
	これを利用できるように、Process_FileSearch に、useDIR パラメータを実装します。
		fukurou.util.HybsFileFilter#HybsFileFilter( final boolean useDIR )
		fukurou.process.Process_FileSearch#init( final ParamProcess paramProcess )

	[機能追加]
	ValueTag で、DBTableModel を参照する場合の scope を指定できるように、tblScope 属性を追加します。
	従来は、DBTableModel は、scope="session" からのみ、取得するようになっていました。
	（tableId は、パラメータで指定可能でした。）
	従来から存在している scope パラメータは、出力のValue に対する指定でした。
		hayabusa.taglib.ValueTag#setTblScope( final String scp )
		hayabusa.taglib.ValueTag#release2()
		hayabusa.taglib.ValueTag#doEndTag()

	[機能追加]
	HybsFileFilter で、引数のパラメータを、'|' 区切り文字で複数設定可能にします。
	また、reverse 引数を追加することで、結果を反転できるようにします。
	この対応により、UnMatchesFilter が不要になったため、削除します。
	これに伴い、Process_FileSearch に、反転させるパラメータを追加します。
		hayabusa.taglib.FileWhereTag#doEndTag()
		fukurou.process.Process_FileSearch#init( final ParamProcess paramProcess )
		fukurou.util.HybsFileFilter$StartsWithFilter
		fukurou.util.HybsFileFilter$EndsWithFilter
		fukurou.util.HybsFileFilter$InstrFilter
		fukurou.util.HybsFileFilter$EqualsFilter
		fukurou.util.HybsFileFilter$MatchesFilter
		fukurou.util.HybsFileFilter$UnMatchesFilter							削除
		fukurou.util.HybsFileFilter#startsWith( final String prefix,final boolean reverse )
		fukurou.util.HybsFileFilter#endsWith( final String suffix,final boolean reverse )
		fukurou.util.HybsFileFilter#instr( final String str,final boolean reverse )
		fukurou.util.HybsFileFilter#fileEquals( final String str,final boolean reverse )
		fukurou.util.HybsFileFilter#matches( final String str,final boolean reverse )
		fukurou.util.HybsFileFilter#unMatches( final String str )			削除

	[微修正]
	MainProcess で、実行が行われているかどうかの表示で、５０件ごとの、"." や、１０００件毎の Count=[件数]
	表示を、標準出力ではなく、エラー出力に変更します。
	これは、出力のログを、リダイレクト ">" 記号で出力させると、混ざって出力されるためです。
		fukurou.process.MainProcess#run()

	TableDiff で、debug 出力時の項目を増やします。また、デバッグ出力が判る様に、文字列 "DEBUG:" を
	先頭に付与します。
		fukurou.process.TableDiff.java

	[表示機能修正]
	display 属性と、debug 属性を見直します。
	display 属性は、基本的に、条件に合致した場合の次ぎに渡す行を出力します。
	また、debug 属性は、先頭に、"DEBUG:"文字列を追記しますので、通常の画面出力と区別できるようにします。
		fukurou.process.Process_DBWriter#action( final LineModel data )
		fukurou.process.Process_FileCopy#action( final LineModel data )
		fukurou.process.Process_FileSearch#action( final LineModel data )
		fukurou.process.Process_Grep#action( final LineModel data )
		fukurou.process.Process_TableDiff#action( final LineModel model )
		fukurou.process.Process_TableFilter#action( final LineModel data )
		fukurou.process.Process_TableWriter#action( final LineModel data )

	[共通JSP]
	共通JSP(common/gamen/03_DBSEARCH)で、検索結果に、tableFilter で、LABEL を付ける箇所で、
	DB登録処理(INSERT,UPDATE,DELETE など)で、エラーになるため、検索件数が０件以上のみ、処理するように変更。
		jsp/common/gamen/03_DBSEARCH/result.jsp

	[FireBird対応]
	DBスクリプト作成 画面で、FireBird を選択できるように、項目を追加します。
		jsp/GF2140/query.jsp

	[MySQL対応]
	明示的に、TransactionIsolation に、TRANSACTION_READ_COMMITTED を指定する。
		fukurou.db.ConnectionPool#createInstance()

	setObject に ParameterMetaData の getParameterType を渡す。(PostgreSQL対応)
		fukurou.business.AbstractBizLogic.execSQL( String, int, ArrayTableModel )
		fukurou.db.DBUtil.dbExecute( final String stmt ,final String[] args, final ApplicationInfo appInfo, final String dbid, final boolean useHeader )
		fukurou.db.DBUtil.dbExist( final String stmt ,final String[] args, final ApplicationInfo appInfo , final String dbid )
		fukurou.process.Process_DBCountFilter#init( final ParamProcess paramProcess )
		fukurou.process.Process_DBCountFilter#end( final boolean isOK )
		fukurou.process.Process_DBCountFilter#action( final LineModel data )
		fukurou.process.Process_DBMerge#init( final ParamProcess paramProcess )
		fukurou.process.Process_DBMerge#end( final boolean isOK )
		fukurou.process.Process_DBMerge#action( final LineModel data )
		fukurou.process.Process_DBMerge#makePrepareStatement( final String table,final LineModel data )
		hayabusa.db.DBSimpleTable#startInsert()
		hayabusa.db.DBSimpleTable#startUpdate()
		hayabusa.db.DBSimpleTable#startDelete()
		hayabusa.db.DBSimpleTable#execute( final String[] values )
		hayabusa.db.DBSimpleTable#close( final boolean commitFlag )

	[GrepChange修正]
	置換処理を実施する(true)かどうかを指定するパラメータを追加します。（初期値：置換する[true]）
	処理速度向上と、置換する場合の前処理（ファイルのコピーやリネームなど）を実行しないようにします。
		fukurou.process.Process_GrepChange#init( final ParamProcess paramProcess )
		fukurou.process.Process_GrepChange#action( final LineModel data ) 

	[微修正]
	connection.setAutoCommit は、ConnectionFactory で設定済みなので、コメントアウトする。
		hayabusa.common.SystemParameter#loadDBResource( final Map<String,String> sysParam )

5.1.1.2 (2009/12/10)
	[業務ロジックフレームワーク・Linux対応]
	業務ロジックフレームワークで、Javaソースのコンパイル時に指定しているクラスパスの区切り文字が
	Windows依存(;)になっていたため、File.pathSeparatorCharを使い、Linuxでも動作するようにします。
		org.opengion.hayabusa.taglib.BizLogicTag
		org.opengion.fukurou.util.HybsLoaderConfig.HybsLoaderConfig(String, String, boolean)
		org.opengion.fukurou.util.HybsLoaderConfig.HybsLoaderConfig(String, String, boolean, boolean, String)

	[MySQL対応]
	MySQLで、500Byte以上のカラムについては、カラム定義をVARCHARではなく、TEXTで定義します。
	これは、MySQLの制限として
	①ユニークインデックスは、767 bytes 以内にする必要がある。
	②インデックスは、1000byte 以内にする必要がある。
	③テーブルの全カラムの合計バイト数が、65535 を超えるとエラー(UTF-8の場合、実バイト数x3)
	が存在するためです。
	この対応に伴い、ROLES等、インデックスのキーになっている項目も、定義がTEXTになります。
	このような場合、INDEXの定義として、部分インデックス(先頭255Bytesのみインデックス化)を使用
	することで、対応を行います。
		org.opengion.plugin.table.TableFilter_TABLE_MYSQL.makeLineList(String[], boolean)
		org.opengion.plugin.table.TableFilter_INDEX.execute()
		org.opengion.plugin.table.TableFilter_INDEX.makeIndexClmStr(String, int)
		org.opengion.plugin.table.TableFilter_INDEX_MYSQL.makeIndexClmStr(String, int)
		org.opengion.fukurou.db.DBFunctionName.getFunctionName(String, String)

	[Admin管理画面・バグ修正]
	Admin管理画面の「パラメータ」が正しく表示されないバグを修正します。
	(原因:リンク時に画面IDが正しくセットされていなかったため)
		org.opengion.hayabusa.servlet.HybsAdmin.getAdminLink()

5.1.1.1 (2009/12/02)
	[選択行スクロール・バグ修正]
	行選択後、画面遷移した際に、選択行に自動的に遷移する機能で、ヘッダーラベルに改行が
	含まれている場合に、入力行が隠れてしまう(スクロールし過ぎてしまう)バグを修正します。
	このバグを修正するため、スクロールする際の基準となる行を、既存の「選択行の1つ前」から
	「選択行自身」に変更します。
		jsp/common/default.js#focus2()
		org.opengion.plugin.view.AbstractViewForm.isFirstChecked(int)

5.1.1.0 (2009/12/01)
	[業務ロジックフレームワーク・α版リリース]
	業務ロジックをJavaでコーディングするためのフレームワークのα版をリリースします。
	(今回のリリースは、あくまで開発者向けリリースです。正式版リリースまでの間にインターフェース
	レベルで仕様が変更される可能性があります)
		taglib.tld
		org.opengion.common.SystemData
